2009-06-01 17:14  pramsey

	* Back-port from trunk r2534.

2009-05-27 19:11  pramsey

	* Backport r2366 from trunk.

2009-05-27 19:01  pramsey

	* Backport r2368 from trunk.

2009-05-27 18:56  pramsey

	* Backport r2406 from trunk.

2009-05-27 18:28  pramsey

	* Port r2414 from trunk

2009-05-27 18:20  pramsey

	* Back port r2467 from trunk

2009-05-27 18:11  pramsey

	* Backport r2483 from trunk

2009-05-27 18:11  pramsey

	* add const modifier

2009-05-27 17:56  pramsey

	* Back-port fix from trunk r2489 for #234

2009-05-27 17:21  pramsey

	* Match to trunk r2500

2009-05-14 19:28  pramsey

	* port r2503 from trunk back to 3.1

2009-05-13 12:35  warmerdam

	* added GEOSFree() and GEOSFree_r() (#249)

2009-04-08 16:51  pramsey

	* VC build updates from trunk

2009-04-08 16:41  pramsey

	* DistanceOp fix for #236 from trunk.

2009-04-08 16:33  pramsey

	* Patched up autogen script

2009-04-08 16:31  pramsey

	* SetSRID_r consistency fix

2009-04-08 16:04  pramsey

	* Memory fix for PostGIS bug #147

2009-04-08 15:59  pramsey

	* Branch 3.1

2009-03-25 03:21  pramsey

	* Tag 3.1.0

2009-03-10 17:29  pramsey

	* svn:ignore

2009-03-10 17:28  pramsey

	* svn:ignore

2009-03-10 17:18  pramsey

	* Update NEWS for 3.1.0

2009-03-10 16:23  pramsey

	* Update ChangeLog for 3.1.0 release

2009-02-07 23:29  pramsey

	* Include GeometrySnapper.h in distribution package.

2009-02-02 22:58  sgillies

	* Note lack of Python support since 3.0

2009-02-02 22:53  sgillies

	* Notes on state of scripting language bindings

2009-01-30 20:01  pramsey

	* Add new msvc targets to build

2009-01-29 19:22  mloskot

	* Added build/msvc90 with solution and project files for Microsoft
	  Visual C++ 2009 (9.0). Successfully built and tested GEOS with
	  Visual C++ 9.0.

2009-01-29 19:02  pramsey

	* update autogen.bat ref

2009-01-29 18:56  mloskot

	* Fixed broken svn:keyword Id

2009-01-29 18:51  mloskot

	* Renamed bootstrap.bat to autogen.bat for easier guass of the
	  script purpose. Wiki updated.

2009-01-28 01:06  pramsey

	* Add to win32 instructions

2009-01-27 18:10  pramsey

	* Add GeometryCombiner.h to include dist

2009-01-27 00:18  pramsey

	* Revert some junk from an old commit, per issue #220

2009-01-26 20:44  warmerdam

	* added two new files related to cascaded polygon union (#226)

2009-01-24 05:03  pramsey

	* Update

2009-01-24 05:02  pramsey

	* Update changelog

2009-01-24 01:33  mloskot

	* Fixed mixed signed/unsigned integral types in geos_ts_c.cpp, so
	  no compilers should flood with warnings now.

2009-01-24 01:30  mloskot

	* Updated projects for Visual Studio 2005 adding new .h/.cpp files.

2009-01-23 23:58  mloskot

	* Updated svn:keywords property on C/C++ files.

2009-01-21 22:18  pramsey

	* Remove geometryCollection protection from
	  Union/Relate/Intersection/Difference.

2009-01-20 01:01  pramsey

	* Add GEOSUnionCascaded(*GEOSGeometry) to CAPI in preparation for
	  PostGIS hook-up.

2009-01-19 23:55  pramsey

	* Formatting changes to function decls.

2009-01-19 20:41  hobu

	* fixes to allow building in msvc 2003

2009-01-19 20:00  pramsey

	* Make warning flags conditional behind a compiler test... fix to
	  bug #192 ?

2009-01-19 16:44  pramsey

	* Added patch from hkaiser to allow cascadedunion to be run
	  directly on a multipolygon.

2009-01-19 00:12  pramsey

	* Fix error left behind from testing.

2009-01-18 23:28  pramsey

	* Add some more info on missing tools.

2009-01-18 23:07  pramsey

	* Add msvc files to distribution target, and update release notes
	  to include updating
	  version in .vc headers.

2009-01-18 22:35  pramsey

	* Add a couple extra program checks.

2009-01-18 21:30  pramsey

	* Add version test for aclocal and automake to allow OpenSolaris to
	  work.

2009-01-18 20:34  pramsey

	* Apply cascaded union patch, for issue #225

2009-01-15 01:00  pramsey

	* Remove XMLTester from list of installed programs.

2009-01-14 20:25  pramsey

	* Remove strdup use from code for compilation in mingw

2009-01-13 20:59  pramsey

	* Add [macros] include to configure.in directly. Seems to make more
	  recent aclocals happy

2009-01-13 20:43  pramsey

	* Change AC_SUBST to one-per-line instead of one-line-for-all.
	  Seems to make more recent autoconf's happier.

2009-01-13 19:23  pramsey

	* Change return values for GEOSWKBWriter_getIncludeSRID_r to match
	  function signature.

2009-01-13 17:04  pramsey

	* More files missing from commit.

2009-01-13 15:47  pramsey

	* Add missing file to SVN.

2009-01-13 01:21  pramsey

	* Apply patch for issue #210 (thread safe c-api) submitted by Chuck
	  Thibert.

2009-01-05 23:42  swongu

	* Fixed memory leak in BufferBuilder (#218); added read-only
	  coordinates function in OffsetCurveVertexList; explicity pass
	  ownership in LineMerger.

2008-11-26 19:41  pramsey

	* Octant.h error (#185) from Denise Macleod.

2008-11-26 19:27  pramsey

	* Allow proper writing out of z ordinates. From Justin Bronn (#216)

2008-11-26 19:25  pramsey

	* Allow readpoint to look at input dimension and fill higher
	  ordinates. (#217)

2008-11-26 19:06  pramsey

	* Expose GEOSIsValidReason to CAPI

2008-11-18 03:09  pramsey

	* Cygwin build fix from MCA

2008-11-11 17:32  pramsey

	* Memory leak on invalid polygons in intersection(). (#170) from
	  Denise MacLeod.

2008-11-05 20:52  pramsey

	* Another minor memory leak removed.

2008-10-28 15:47  pramsey

	* Cygwin/Mingw patch from Mark Cave-Ayland

2008-10-23 17:33  warmerdam

	* set isChecked flag after checking to fix memory leak (#169)

2008-10-16 00:40  pramsey

	* change info to point to osgeo.org

2008-10-14 15:01  pramsey

	* Consistent const declarations in c-api ($#209)

2008-10-13 22:40  pramsey

	* Add CLocalizer.h to build so it gets packaged in make dist

2008-10-10 17:46  pramsey

	* One last memory leak fix.

2008-10-09 16:39  pramsey

	* Memory leak fix for for prepared intersects. (#207)

2008-10-04 18:14  pramsey

	* Memory leak fix for prepared geometry, from Hartmut Kaiser.
	  (#207)

2008-09-29 19:24  pramsey

	* Put function sig on one line

2008-09-23 23:01  mloskot

	* Moved some ctor/dctor bodies from headers to translation units.
	  Improved source code readability. TODO: We need to run a beast
	  like AStyle on all GEOS code because many places are very hard to
	  read.

2008-09-23 22:55  mloskot

	* MCIndexSegmentSetMutualIntersector::addToIndex: Completed BWJ's
	  comment on memory leaks with important observations about objects
	  relation & lifetime. The note is a diagnosis of roots of the
	  problem. Improved source code readability.

2008-09-22 21:48  mloskot

	* Use conditional operators instead of cast bool to int.

2008-09-22 20:16  mloskot

	* Removed unnecessary std::endl from debug messages in
	  TopologyPreservingSimplifier.cpp.

2008-09-21 21:32  mloskot

	* Patched NMAKE makefiles: replaced lib.exe with link.exe /lib
	  command to enabled compilation using Microsoft Visual C++ Toolkit
	  2003

2008-09-16 21:09  mloskot

	* Patch fixing build problems on Solaris (Ticket #205).

2008-09-16 21:01  mloskot

	* Fixed EOL to LF.

2008-09-16 20:58  mloskot

	* Fixed crash of Prepared Geometry construction with nullptr to
	  Geometry object (Ticket #197).

2008-09-16 20:55  mloskot

	* Added PreparedGeometryFactoryTest to geos_unit.vcproj.

2008-09-16 20:15  mloskot

	* Added CLocalizer to geos_lib.vcproj project for Visual C++
	  2005/2008.

2008-09-16 20:13  mloskot

	* Include missing <cassert> in isPointInRingTest.cpp

2008-09-16 20:05  mloskot

	* Fixed undeclared std::locale in CLocalizer when building using
	  Visual C++ (Ticket #201)

2008-08-31 20:28  mloskot

	* Replaced incorrect <cmath> with <cstdlib> in geos_unit.cpp.

2008-08-31 20:23  mloskot

	* Added missing include <cmath> in geos_unit.cpp.

2008-08-31 19:54  mloskot

	* Removed use of strdup function to fix compilation with GCC 4.3.1
	  (Ticket #204).

2008-08-29 18:17  mloskot

	* Removed redundant return expressions from geos_c.cpp. Testing
	  changes notifications for buildbot.

2008-08-29 00:30  mloskot

	* Fixed execution paths and removed redundant return expr in some C
	  API calls.

2008-08-29 00:29  mloskot

	* Added missing virtual destructor to WKBWriter class.

2008-08-28 22:20  sgillies

	* Added CLocalizer class that switches to C locale and restores to
	  the outer context's locale when deleted (#201)

2008-08-28 21:35  mloskot

	* tests/unit: added GEOSGeomToWKTTest.

2008-08-28 19:16  sgillies

	* Switch to C locale while reading and writing WKT and restore to
	  the original context's locale afterward (#201)

2008-08-22 17:25  warmerdam

	* include cmath for std::pow() and std:log() on MSVC7.1 (#199)

2008-08-22 16:10  mloskot

	* Added build/bjam/README with status note.

2008-08-19 17:02  mloskot

	* LineStringTest: fixed memory leak.

2008-08-19 17:00  mloskot

	* geos/geom/util: Prefer strict static_cast than C-style cast.
	  Commented ownership transfer of coordinates object.

2008-08-19 00:18  mloskot

	* tests/unit/algorithm/ConvexHullTest.cpp: Fixed memory leaks.

2008-08-19 00:05  mloskot

	* tests/unit/algorithm/CGAlgorithms: Fixed memory leaks.

2008-08-18 23:45  mloskot

	* tests/unit/algorithm/CGAlgorithms: Fixed number of memory leaks.

2008-08-18 23:30  mloskot

	* tests/unit/capi: Fixed number of memory leaks.

2008-08-18 16:32  mloskot

	* tests/bigtest: Pointed out number of memory leaks but not fixing
	  them, waiting for comments.

2008-08-18 16:30  mloskot

	* tests/unit: added tests cases to PreparedGeometryFactoryTest,
	  refactored casting utils and geometry comparators, small cleanup.

2008-08-18 16:29  mloskot

	* Fixed svn:keywords.

2008-08-18 16:27  mloskot

	* Fixed UNREFERENCED_PARAMETER macro.

2008-08-18 16:27  mloskot

	* Fixed svn:keywords.

2008-08-18 16:24  mloskot

	* geom/prep: Refactored kamikaze casts to more readable form. Fixed
	  svn:keywords.

2008-08-12 00:25  mloskot

	* Fixed Id keywords.

2008-08-12 00:23  mloskot

	* Fixed EOL to LF in trunk/tests.

2008-08-12 00:09  mloskot

	* Updated svn:keywords property.

2008-08-12 00:03  mloskot

	* Updated svn:keywords property.

2008-08-11 23:54  mloskot

	* Refactored tabs vs spaces in PreparedGeometryFactoryTest.

2008-08-11 23:52  mloskot

	* PreparedGeometry must be a complete type where it is destroyed by
	  the factory (Ticket #198).

2008-08-11 23:42  mloskot

	* Completed PreparedGeometryFactory class with missing named
	  destructor for PreparedGeometry (Ticket #198)

2008-08-11 23:35  mloskot

	* Removed .PreparedGeometryFactoryTest.cpp.swp that must sneaked
	  accidentally.

2008-08-11 22:48  mloskot

	* Added PreparedGeometryFactoryTest with first test cases included.
	  FIXME: The test causes memory leak because we don't know how to
	  destroy PreparedGeometry objects returned by the factory,
	  discussing on the geos-devel list now.

2008-08-07 16:59  pramsey

	* Added original author to main copyright block.

2008-08-07 16:57  pramsey

	* Change to standard header, with (c) credit to author.

2008-08-01 23:23  mloskot

	* Updated ChangeLog with latest submissions. Hmm, should we stil
	  maintain the ChangeLog file?

2008-07-31 17:08  mloskot

	* Fixed tabs, hopefully. Updated svn:keywords property.

2008-07-31 17:01  mloskot

	* Patch completing C API interface with wrapper on
	  Polygonizer::getCutEdges (Ticket #195). Unit test included in
	  tests/unit/capi/GEOSPolygonizer_getCutEdgeTest.cpp. Thanks to
	  Jurgen E. Fischer for this patch.

2008-07-26 23:06  mloskot

	* Number of fixes enabling GEOS compilation with GCC 4.3 (Ticket
	  #167).

2008-07-26 21:00  mloskot

	* Guarded version macros with #ifndef conditions to avoid
	  redefinition errors (Ticket #167).

2008-07-26 20:47  mloskot

	* Guarded version macros with #ifndef conditions to avoid
	  redefinition errors (Ticket #167).

2008-07-26 20:24  mloskot

	* Fixed problems with finding libpython on Mac Darwin (Ticket
	  #191).

2008-07-26 19:57  mloskot

	* Updated svn:keywords property.

2008-07-26 19:56  mloskot

	* Fixed autogen.sh for OpenSolaris (Ticket #192).

2008-07-25 21:00  mloskot

	* Updated svn:keywords property

2008-07-25 20:56  mloskot

	* Updated svn:keywords property

2008-07-19 19:11  warmerdam

	* added manifest handling for DLLs (#193)

2008-07-19 19:07  warmerdam

	* added rules to create platform.h, version.h and geos_c.h from
	  templates on win32

2008-07-15 22:04  mloskot

	* Fixed compilation on with Sun Studio compiler on Solaris x86 and
	  Sparc (Ticket #189). Thanks to Magne Mahre for the patch.

2008-07-15 13:35  mloskot

	* For building with Visual C++, added new flag DEBUG=1 (see GEOS
	  building instructions on GEOS Wiki). Added missing flags for
	  Visual C++ compiler, in release and debug configuration.

2008-05-20 21:34  mloskot

	* Added missing subdirs to source/dirlist.mk

2008-05-20 21:31  mloskot

	* Updated svn:ignore patterns.

2008-05-20 21:25  mloskot

	* * source\headers\geos\util.h: Add UNREFERENCED_PARAMETER macro.
	  * source\geom\PrecisionModel.cpp,
	  source\geom\GeometryComponentFilter.cpp,
	  source\geom\util\GeometryTransformer.cpp,
	  source\precision\GeometrySnapper.cpp,
	  source\precision\CommonBitsRemover.cpp,
	  source\simplify\DouglasPeuckerSimplifier.cpp,
	  source\operation\overlay\OverlayOp.cpp,
	  source\operation\overlay\FuzzyPointLocator.cpp,
	  source\index\quadtree\NodeBase.cpp,
	  source\headers\geos\geom\BinaryOp.h,
	  source\headers\geos\operation\overlay\PointBuilder.h,
	  source\headers\geos\noding\MCIndexNoder.h,
	  source\headers\geos\noding\ScaledNoder.h,
	  source\headers\geos\noding\Octant.h,
	  source\noding\ScaledNoder.cpp,
	  source\noding\snapround\MCIndexPointSnapper.cpp,
	  source\noding\SegmentString.cpp,
	  tests\unit\geom\DimensionTest.cpp: Use UNREFERENCED_PARAMETER
	  macro to get rid of C4100 warning when building with Visual C++.
	  * build\msvc80\geos_lib\geos_lib.vcproj: Remove non-existing
	  source files.

2008-05-20 20:45  mloskot

	* source/makefile.vc: Removed non-existing file entry:
	  PreparedPolygonLineIntersects.obj.

2008-05-20 20:33  mloskot

	* * bootstrap.bat: Added script generating headers for use with
	  Visual C++ compiler. DO NOT include this script in GEOS source
	  distribution. * source/makefile.vc: Do not make copies of 3
	  dynamic headers but let users to use bootstrap.bat instead.

2008-02-07 22:59  warmerdam

	* make sure makefile.vc gets distributed

2008-02-06 22:17  warmerdam

	* try to fix up the files include in distribution, and remove
	  unused files from Makefile.vc (#175)

2008-01-30 22:34  benjubb

	* Added documentation, for benefit of doxygen.

2008-01-30 22:30  benjubb

	* deleted out-commented line.

2008-01-30 22:29  benjubb

	* removed ref to PreparedPolygonLineIntersection

2008-01-30 22:18  benjubb

	* Removed refs to PreparedPolygonLineIntersection.

2008-01-30 22:17  benjubb

	* Deleted. not used, not needed.
	  
	  

2008-01-30 19:09  benjubb

	* Added for benefit of doxygen.

2008-01-29 17:55  benjubb

	* Some small changes to improve the memory management. These
	  changes plug a few leaks, but not all.

2008-01-29 17:49  benjubb

	* Fix a bug in the shortcut test for containment in a rectangle.
	  This test wasn't correctly testing for case of a point on the
	  boundary.
	  
	  Was also a bug in JTS (now fixed).

2008-01-29 17:37  benjubb

	* Patch to fix bug in ticket #171

2008-01-22 19:34  benjubb

	* Updated for VC to give correct version (3.1.0-CAPI-1.5.0).

2008-01-18 00:37  benjubb

	* Added to CAPI interface, cleared CAPI_INTERFACE_REV, bumped AGE &
	  CURRENT

2008-01-18 00:35  benjubb

	* Fixed a bug in the handling of line strings with repeated points.
	  
	  -This line, and those below, will be ignored--
	  
	  M MonotoneChainBuilder.cpp

2008-01-17 19:15  benjubb

	* Fixed a misspelling, GEOSPreparedContainsProperty =>
	  GEOSPreparedContainsProperly

2008-01-16 18:36  warmerdam

	* updated to include post 3.0 classes

2008-01-09 23:49  benjubb

	* Added support for prepared geometry

2008-01-09 23:48  benjubb

	* removed extraneous 'using namespace'

2008-01-03 21:11  benjubb

	* commented out some delete's in
	  MCIndexSegmentSetMutualIntersector::addToIndex, to fix a bug in
	  prepared contains() predicate.

2008-01-02 23:23  sgillies

	* Conditionally add swig/python,ruby to SUBDIRS

2007-12-22 00:04  mloskot

	* Updated configuration of experimental builder based on
	  Boost.Build. GEOS compiles with bjam successfully as static
	  library.

2007-12-21 23:50  mloskot

	* Updated Visual C++ makefiles with new submissions from Ben. Now,
	  new GEOS features compiles with NMAKE too.

2007-12-21 23:31  mloskot

	* Removed SimplePointInAreaLocator.h from algorithm/Makefile.am
	  (header migrated to algorithm/locate).

2007-12-21 23:26  mloskot

	* Added comment about deprecated translation units in
	  source/algorithm.

2007-12-21 23:26  pramsey

	* remove trailing backslash

2007-12-21 23:21  mloskot

	* Updated svn:ignore property.

2007-12-21 23:18  mloskot

	* Fixed extra qualifications in
	  /geom/prep/PreparedPolygonContainsProperly.

2007-12-21 23:12  mloskot

	* Fixed extra qualifications in PreparedGeometryFactory class.

2007-12-21 22:57  mloskot

	* Fixed GeometryTypeId misused in
	  geos/geom/util/ComponentCoordinateExtracter.h.

2007-12-21 22:49  pramsey

	* remove .cpp files that weren't there before

2007-12-21 22:49  mloskot

	* Reverted changes appled in r2089 to three files from source/geom.

2007-12-21 22:47  pramsey

	* type subdir typo

2007-12-21 22:43  mloskot

	* Updated svn:ignore property.

2007-12-21 22:41  mloskot

	* Added missing <iostream> header to
	  CustomPointCoordinateSequence.cpp.

2007-12-21 22:40  mloskot

	* Removed unused SimplePointInAreaLocator.cpp. This unit migrated
	  to algorithm/locate module.

2007-12-21 22:21  pramsey

	* Updated configure.in with new locations.

2007-12-21 22:14  mloskot

	* Updated configure.in with new locations.

2007-12-21 22:12  mloskot

	* Updated configure.in with new locations.

2007-12-21 22:09  mloskot

	* Updated configure.in with new locations.

2007-12-21 22:07  mloskot

	* Updated configure.in with new locations.

2007-12-21 22:02  pramsey

	* Add headers/geos/algorithm/locate to automake

2007-12-21 22:01  pramsey

	* Add files to automake

2007-12-21 21:57  pramsey

	* Added headers/index/intervalrtree to automake

2007-12-21 21:55  pramsey

	* Added headers/geom/prep headers/geom/util to automake

2007-12-21 21:47  pramsey

	* Added index/intervalrtree to automake

2007-12-21 21:43  pramsey

	* added geom/util/ComponentCoordinateExtracter.h

2007-12-21 21:40  pramsey

	* Add geom/prep to automake

2007-12-21 21:36  pramsey

	* Add algorithm/location to automake

2007-12-21 21:31  pramsey

	* Added new files

2007-12-21 20:50  benjubb

	* 

2007-12-21 20:48  benjubb

	* 

2007-12-21 20:47  benjubb

	* Added from JTS 1.9 to support prepared geometry

2007-12-21 20:47  benjubb

	* Added from JTS 1.9 to support prepared geometry

2007-12-21 20:44  benjubb

	* Added from JTS 1.9 to support prepared geometry

2007-12-21 20:44  benjubb

	* Added from JTS 1.9 to support prepared geometry

2007-12-21 20:42  benjubb

	* modified because SimplePointInAreaLocator.h moved

2007-12-21 20:41  benjubb

	* Added from JTS 1.9 to support prepared geometry

2007-12-21 20:41  benjubb

	* Added from JTS 1.9 to support prepared geometry

2007-12-21 20:40  benjubb

	* Added from JTS 1.9 to support prepared geometry

2007-12-21 20:39  benjubb

	* modified because SimplePointInAreaLocator.h moved

2007-12-21 20:38  benjubb

	* Moved into geos::algorithm::locate

2007-12-21 20:37  benjubb

	* Added from JTS 1.9 to support prepared geometry

2007-12-21 20:35  benjubb

	* Added from JTS 1.9 to support prepared geometry

2007-12-21 20:34  benjubb

	* Added from JTS 1.9 to support prepared geometry

2007-12-21 20:33  benjubb

	* changed destructor to be virtual

2007-12-21 20:31  benjubb

	* Added a covers() predicate, from JTS 1.9, to support prepared
	  geometry

2007-12-21 20:30  benjubb

	* changed IsRectangle to be public

2007-12-21 20:03  benjubb

	* Added a covers() predicate, from JTS 1.9, to support prepared
	  geometry

2007-12-21 20:00  benjubb

	* Moved from geos::algorithm as in JTS 1.9

2007-12-21 19:55  benjubb

	* New namaspace geos::algorithm::locate, as in JTS 1.9..

2007-12-21 19:52  benjubb

	* Added a public constructor, and a method to bring in line with
	  JTS 1.9. Changed namespace to geos::algorithm::locate

2007-12-21 18:44  pramsey

	* version numbering for next release (3.1.0)

2007-12-21 18:41  pramsey

	* 3.0.0 release

2007-12-19 20:18  mloskot

	* Improved warning message about using DEPRECATED headers

2007-12-17 23:09  mloskot

	* Fixed std::tolower usage in XMLTester.cpp (Ticket #163).

2007-12-17 23:05  mloskot

	* Replaced finite function with std::numeric_limits (Ticket #162).

2007-12-17 21:52  mloskot

	* source\Makefile.vc: Fixed MSVC_VER condition for Microsoft Visual
	  C++ 2008 (9.0).

2007-12-13 16:11  mloskot

	* Added Id keyword at the top of ChangeLog file.

2007-12-13 16:09  mloskot

	* * build\msvc80\geos_unit\geos_unit.vcproj: fixed post-build event
	  * source\geom\GeometryCollection.cpp: removed unreachable code,
	  shorten exception message.
	  * source\geom\Geometry.cpp: purified condition based on
	  dynamic_cast
	  * tests\unit\geom\GeometryFactoryTest.cpp: use std::size_t
	  instead of
	  int where unsigned integral type required.

2007-12-09 00:02  mloskot

	* Added test suite for class
	  geos::precision::SimpleGeometryPrecisionReducer.

2007-12-08 22:59  mloskot

	* Updated svn:keyword property.

2007-11-26 16:26  mloskot

	* Added geos.vsprops - property sheet for Visual C++ projects.

2007-11-26 15:19  mloskot

	* Added common Property Sheet for Visual C++ projects where Python
	  and Ruby macros/locations are defined. Fixed include of Python.h,
	  see Ticket #164 for details.

2007-11-26 06:21  mloskot

	* Updated svn:ignore patterns.

2007-11-26 06:16  mloskot

	* Enabled target copying version.h.vc and geos_c.h.vc to headers
	  used by Visual C++. Added test if version.h.vc is used with
	  Visual C++.

2007-11-23 02:33  mloskot

	* A bit of purification with explicit casting int to bool type.

2007-11-02 22:41  pramsey

	* urls updated to point to osgeo locations

2007-11-02 22:17  pramsey

	* add the web site content to svn for collaborative management

2007-09-21 17:42  csavage

	* Update the CAPI and GEOS version numbers based on Reader/Writer
	  additions to the CAPI and EWKB support for the C++ api.

2007-09-21 17:40  csavage

	* Updated the SWIG bindings and tests to use the new Reader/Writer
	  classes exposed in the CAPI.

2007-09-21 17:40  csavage

	* Update the CAPI to expose WKTReader/WBTWriter and
	  WKBReader/WBKWriter in the CAPI. This is an improvement over the
	  existing API since it avoids the use of the static variable used
	  to control byte order and # of dimenions, and gives clients more
	  control over the creation/destruction of readers and writers.
	  Finally, exposed the ability to output the EWKB format (set SRID
	  to true in the WKBWriter).

2007-09-21 17:35  csavage

	* Switched back to using < because the fuzzy comparison now in use
	  trips assertion errors in VC++. See comments in code for more
	  information. Note this change may cause problems. Strk left a
	  note in the code saying that the '<' comparison sometimes gives
	  unstable results. But that seems better than an assertion
	  failure.

2007-09-21 17:32  csavage

	* Updated the WKBWriter so it can output EWKB format similar to
	  PostGIS. Also added a few getter/setter methods that allow
	  clients to specify the reader's number of dimensions, byte order
	  and whether srid values should be output. These getters/setters
	  make it easier to wrap the reader in the CAPI.

2007-09-14 15:34  csavage

	* 

2007-09-14 15:34  csavage

	* Told SVN to ignore MSCV++ Python swig build directories.

2007-09-14 15:25  csavage

	* Set unknown SRID values to 0 instead of -1 to be more consistent
	  with the rest of GEOS (srid values are initialized to 0 by
	  default).

2007-09-11 02:02  csavage

	* Don't include config.h for MSVC++ builds.

2007-09-07 17:32  csavage

	* The test for SWIG was incorrect. Fixed by patch from Mark
	  Cave-Ayland.

2007-09-06 23:24  csavage

	* Applied patch from Mark Cave-Ayland's to make older versions of
	  MingW that don't have struct timezone defined compile again. Also
	  fixed issues with more recent versions of MingW that don't
	  correctly compile with the -ansi compiler switch.

2007-09-06 23:22  csavage

	* Applied patches from Mark Cave-Ayland's that reorganize/improve
	  the SWIG support in the generated configure file.\

2007-08-31 20:44  csavage

	* For MSVC++ builds the CAPI version was set in geos_c.cpp instead
	  of geos_c.h and it was set incorrectly. This patch fixes the
	  MSVC++ version number and centralizes the various versoin
	  #defines in the geos_c.h.

2007-08-31 20:18  csavage

	* Update swig makefiles to make the wrappers dependent on the SWIG
	  interface files even if SWIG is disabled. Doing this means that
	  Make will correctly recognize that a user has modified an I file,
	  but that the .cxx wrapper cannot be regenerated since SWIG is not
	  available.

2007-08-30 20:06  csavage

	* MingW now includes the gettimeofday function - so reworked
	  includes to only use custom version when building with VC++.

2007-08-30 17:00  csavage

	* Added RUBY_BIN_DIR to autoconf macros - simplified auto make
	  input file for ruby bindings.

2007-08-30 06:19  csavage

	* The last attempt to fix this file failed - instead keep the code
	  that queries the swig libraries but use sed to merge multiple
	  lines together. If this is not done, then the swig output causes
	  ./configure to blow up on msys.

2007-08-30 05:31  csavage

	* Fixes sed issue with swig on msys. For more info see:
	  
	  http://lists.refractions.net/pipermail/geos-devel/2007-August/002956.html

2007-08-30 03:18  csavage

	* Changed from dos to unix line feeds.

2007-08-29 01:41  csavage

	* New VC++ project for the python SWIG bindings.

2007-08-29 01:29  csavage

	* Ruby SWIG bindings - mapped eql? to == so that you can do point
	  == point2 in ruby. Removed a hard-coded path from VC++ project.
	  Updated out-of-date copyright notices for no particularly good
	  reason.

2007-08-28 21:29  csavage

	* Added release as an ignored directory for VC++, similar to the
	  debug directory.

2007-08-28 21:28  csavage

	* Added new ruby VC++ project to solution file.

2007-08-28 21:27  csavage

	* Fixed c api include for VC++ - it should be #include
	  <geos/version.h> instead of #include <version.h>.

2007-08-28 21:27  csavage

	* Added new ruby VC++ project to solution file.

2007-08-28 21:26  csavage

	* Follow lead of geos_lib project - copy geos/geos_c.h.in to
	  geos/geos_c.h when building with VC++.

2007-08-28 21:25  csavage

	* Added new vc++ project for building ruby bindings. Its not
	  perfect since it hard-codes the path to Ruby, but its enough to
	  get one started.

2007-08-28 21:22  csavage

	* Updated SWIG wrappers based on changed interface file. Also
	  generated with SWIG 1.3.31

2007-08-28 20:42  csavage

	* SWIG bindings - updated Ruby tests based on name changes.

2007-08-28 20:41  csavage

	* Updated Ruby swig bindings to more closely match Ruby style
	  names. So eql? instead of equals, dimensions instead of
	  get_dimensions, etc.

2007-08-28 20:40  csavage

	* Exposed Geometry::Clone method in SWIG bindings. Added check for
	  NULL string in geomFromWKT wrapper.

2007-08-23 20:35  pramsey

	* Memory leak patches from Robert Coup

2007-08-22 23:45  mloskot

	* Cleaned compilation warnings from VC++.

2007-06-11 07:43  mloskot

	* Replaced post-increment operators with pre-increment operators
	  where standard iterators are incremented in loops. NOTE: Prefer
	  pre-incr. over post-inc. when working with standard iterators.

2007-06-11 07:39  mloskot

	* Added unit test for geos::operation::IsSimpleOp class.

2007-06-10 13:03  mloskot

	* Updated tests/unit/Makefile.am with new files.

2007-06-10 11:53  mloskot

	* Added unit test for
	  geos::algorithm::CGAlgorithms::computeOrientation() function.

2007-06-10 11:29  mloskot

	* Updated svn:ignore property for the whole tree adding VC++ and
	  Windows specific patterns.

2007-06-10 11:18  mloskot

	* Added unit test for CGAlgorithms::isCCW() function.

2007-06-10 11:08  mloskot

	* Added unit test for geos::algorithm::ConvexHull.

2007-06-10 11:03  mloskot

	* Added custom operators for static and dynamic casts of pointers
	  wrapped with std::auto_ptr<T> type.

2007-06-08 17:13  mloskot

	* Identified test case failing because of
	  geos::index::strtree::yComparator() instability.

2007-06-08 17:10  mloskot

	* Analysis of instability of the yComparator, there are some new
	  important questions to answer.

2007-06-08 15:27  mloskot

	* Cleaned signed/unsigned types mixtures, got rid from annoying
	  compiler warnings.

2007-06-08 14:50  mloskot

	* Applied Konstantin Baumann's suggestion about including version.h
	  in C API header for Visual C++.

2007-06-08 14:50  mloskot

	* Applied Konstantin Baumann's suggestion about including version.h
	  in C API header for Visual C++.

2007-06-01 13:53  mloskot

	* Added Boost.Build configuration for GEOS (experimental). The idea
	  is to enable users to build GEOS with bjam tool from Boost.Build
	  package.

2007-06-01 13:43  mloskot

	* Set missing svn:keywords property.

2007-06-01 13:06  mloskot

	* Applied patch with pre-build events generating platform.h and
	  version.h headers. Thanks to Konstantin Baumann for this patch.

2007-05-06 02:42  mloskot

	* Updated svn:ignore property for build\msvc80.

2007-05-06 02:40  mloskot

	* Added source/headers/geos/version.h.vc file for Visual C++
	  compiler.

2007-04-22 04:44  mloskot

	* Added assertion validating ordinateIndex in setOrdinate()
	  function. Extended GEOSCoordSeqTest with swapped and non-swapped
	  calls of coordiantes assignment functions.

2007-04-15 18:02  mloskot

	* Added detection of glibtoolize under Mac OS X.

2007-03-05 09:58  strk

	* Add new testcases by Carl Anderson

2007-02-26 10:46  strk

	* Patch by Tom Elwertowski:
	  * source/inlines.cpp: fix for MingW32 builds.

2007-02-21 10:14  strk

	* Patch by Carl Anderson:
	  
	  * source/operation/buffer/SubgraphDepthLocater.cpp
	  (findStabbedSegments):
	  Implement short-circuit to avoid inner defective
	  logic.
	  
	  Fixes badguy3.xml

2007-02-21 10:12  strk

	* * tests/xmltester/: Makefile.am, badguy3.xml:
	  Added simplified version of nasty buffer bug test.

2007-02-08 23:33  strk

	* Patch by Mark Cave-Ayland:
	  
	  * configure.in: Allow configure to continue with use_python
	  set to false if a python binary is not found, as per
	  http://sources.redhat.com/automake/automake.html#Python.

2007-02-07 00:34  strk

	* General refactoring aimed at making the code cleaner
	  to read and maintain; use iterators rather then random
	  accessing containers to allow easy future switch to std::list
	  from std::vector; use a tolerance-based strict weak ordering
	  operator for sorting child boundables in STRtree, this
	  fixes the heisenbug when building with inlines disabled.

2007-02-06 02:05  strk

	* * tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp:
	  Expect result of POLYGON simplification to always be
	  a polygon, even if collapsed to the empty geom.

2007-02-06 01:57  strk

	* * operation::buffer::BufferBuilder,
	  operation::buffer::BufferOp:
	  Fixed buffer operation to always return polygonal
	  geometry

2007-02-03 02:18  pramsey

	* 3.0.0rc4 tagging

2007-02-01 11:11  strk

	* * operation::buffer::BufferOp: set MAX_PRECISION_DIGITS
	  so to match JTS.

2007-01-26 01:19  strk

	* * tests/xmltester/: Makefile.am, stmlf-cases-20070119.xml:
	  New overlay test.

2007-01-26 00:57  strk

	* * tests/xmltester/XMLTester.cpp: improved buffer
	  result validator.
	  * source/operation/buffer/BufferBuilder.cpp (computeNodedEdges):
	  remove repeated points from noded SegmentStrings, skip collapsed
	  edges.

2007-01-17 11:59  strk

	* New testcase for bug fixed by previous commit.

2007-01-17 01:05  strk

	* * source/index/strtree/STRtree.cpp (yComparator):
	  Use static_cast<> and make code more readable.
	  A side effect seems to be fixing a segfault :!

2007-01-17 00:45  strk

	* * source/headers/geos/index/strtree/STRtree.h (centreY):
	  const-corrected.

2007-01-16 14:12  strk

	* * tests/xmltester/XMLTester.cpp: don't include catch-all headers.

2007-01-09 17:34  strk

	* * source/operation/buffer/: Makefile.am, OffsetCurveVertexList.h:
	  New helper class for OffsetCurveBuilder
	  * operation::buffer::OffsetCurveBuilder:
	  Move vertexlist management to external class.
	  * tests/xmltester/: Makefile.am, TestBufferExternal.xml:
	  added test for above changes (imported from JTS and
	  modified to work with GEOS).
	  * tests/xmltester/XMLTester.cpp: change buffer
	  validator again: check area of topological
	  difference between expected and obtained result
	  to be smaller then 1/1000 of expected geometry
	  area.

2007-01-09 15:08  strk

	* * source/geom/CoordinateArraySequence.cpp,
	  source/headers/geos/geom/CoordinateSequence.h,
	  source/headers/geos/geom/CoordinateArraySequence.h:
	  add(Coordinate, bool) made a virtual method and overrridden
	  for CoordinateArraySequence, for better performance
	  (single virtual call vs. multiple); added front() and
	  back() methods.

2007-01-09 10:27  strk

	* * tests/xmltester/XMLTester.cpp: add areatest to buffer test
	  handler.

2007-01-05 01:01  strk

	* * configure.in: prepared for version to 3.0.0rc4,
	  fixed swig python errors as suggested by hint
	  (AM_PATH_PYTHON).

2007-01-04 22:43  strk

	* * configure.in, swig/geos.i.in, swig/geos.i:
	  geos.i generated at configure time from geos.i.in
	  (so we don't have to manually update versions there).

2007-01-04 22:38  strk

	* Patch by dev-zero at gentoo dot org:
	  
	  * swig/geos.i: use unsigned int when CAPI signatures
	  expect unsigned int (not size_t).

2007-01-03 20:11  strk

	* * tests/xmltester/: fme.xml, Makefile.am: added buffer testcase.

2007-01-03 20:06  strk

	* * tests/xmltester/XMLTester.cpp: use a tolerance of 10E-6
	  for buffer validation (~10cm at worst when using latlong
	  projections); create sql tables with oid to work around a
	  bug in qgis 0.7.4.

2007-01-03 19:18  strk

	* Applied patch by Mark Cave-Ayland
	  <mark.cave-ayland@ilande.co.uk>:
	  
	  * source/inlines.cpp, source/algorithm/HCoordinate.cpp:
	  Fixes for MingW builds. See geos-devel/2007-January/002766.html.

2007-01-03 14:56  strk

	* * source/operation/buffer/BufferOp.cpp (bufferReducedPrecision):
	  Fixed computation of reduced PrecisionModel scale.

2006-12-18 20:04  strk

	* * tests/xmltester/robustness.xml: added
	  testcase reported to fail with 2.2.3 on
	  postgis-users/2006-November/014013.html.

2006-12-18 18:44  strk

	* Geometry snapping synced with JTS.

2006-12-18 14:27  strk

	* * HOWTO_RELEASE: add ChangeLog's release mark step.

2006-12-18 14:19  strk

	* * source/precision/GeometrySnapper.cpp (computeSnapTolerance):
	  properly compute snap tolerance for fixed precision geometries.
	  * tests/xmltester/: Makefile.am, TestRobustOverlayFixed.xml:
	  new test for fixed precision snapping.

2006-12-15 10:50  strk

	* release 3.0.0rc3 marked

2006-12-14 19:12  pramsey

	* bumped version numbers for 3.0.0rc3

2006-12-13 11:05  mloskot

	* Updated makefile and project files for Visual C++.

2006-12-13 10:55  strk

	* Updated port information.

2006-12-13 10:51  strk

	* * precision::GeometrySnapper, precision::LineStringSnapper:
	  Updated port information.

2006-12-11 17:42  strk

	* * source/headers/geos/noding/SegmentIntersector.h: added virtual
	  isDone() function, always returning false by default.
	  * source/noding/MCIndexNoder.cpp (intersectChains):
	  short-circuit from JTS-1.8, based on the new
	  SegmentIntersector::isDone() method.
	  * source/noding/Makefile.am,
	  source/noding/FastNodingValidator.cpp,
	  source/noding/SingleInteriorIntersectionFinder.cpp,
	  source/headers/geos/noding/Makefile.am,
	  source/headers/geos/noding/FastNodingValidator.h,
	  source/headers/geos/noding/SingleInteriorIntersectionFinder.h:
	  New ports from JTS-1.8-cvs.
	  * source/headers/geos/geomgraph/EdgeNodingValidator.h:
	  use a FastNodingValidator rather then a simple NodingValidator.

2006-12-07 10:45  strk

	* * source/headers/geos/algorithm/: CentralEndpointIntersector.h,
	  Makefile.am: new port from JTS-1.8.
	  * algorithm::LineIntersector: robustness improvements
	  from JTS-1.8.

2006-12-05 11:22  mloskot

	* Fixed indentantion in tests/unit/capi.

2006-12-05 11:10  mloskot

	* Fixed typos in changelog.

2006-12-05 11:05  mloskot

	* Set svn:keyword property on CAPI tests.

2006-12-05 11:02  mloskot

	* Purifying CAPI unit tests.

2006-12-05 10:59  mloskot

	* Added CAPI tests to VC++ project.

2006-12-05 10:42  strk

	* * source/operation/overlay/OverlayOp.cpp: Use EdgeNodingValidator
	  instead of OverlayResultValidator (faster and more effective).
	  Note that compile-time defines can select use of either or both
	  ones.
	  * source/headers/geos/geom/BinaryOp.h: be quiet if not in DEBUG
	  mode.

2006-12-05 09:59  strk

	* * noding::NodingValidator.h: throw TopologyException
	  rather then a generic GEOSException.

2006-12-04 12:41  strk

	* * source/headers/geos/geomgraph/EdgeNodingValidator.h:
	  fix members initialization order.

2006-12-04 11:38  strk

	* * geomgraph::EdgeNodingValidator: minor cleanup
	  to use references args instead of pointers for
	  method that doesn't handle NULLs anyway.

2006-12-04 10:31  strk

	* * tests/unit/capi/: GEOSCoordSeq.cpp => GEOSCoordSeqTest.cpp
	  * tests/unit/capi/GEOSSimplifyTest.cpp: new test
	  for GEOSSimplify (just a test for bug #134).
	  * source/simplify/DouglasPeuckerLineSimplifier.cpp (simplify):
	  don't try to simplify empty coordinate lists. Fixes bug #134.

2006-12-04 10:14  strk

	* Other tests using setOrdinate instead of set{X,Y,Z}

2006-12-04 10:12  strk

	* * source/geom/CoordinateArraySequence.cpp (setOrdinate): fix bug
	  #133.

2006-12-04 10:00  strk

	* * tests/unit/capi/GEOSCoordSeq.cpp: add test for bug #133
	  (failing).

2006-12-04 09:57  strk

	* * tests/unit/geom/CoordinateArraySequenceTest.cpp: added tests
	  for setOrdinate()

2006-11-30 14:49  strk

	* * tests/unit/: Makefile.am, capi/GEOSCoordSeq.cpp:
	  new experimental test for C-API GEOSCoordSeq.
	  * capi/geos_c.cpp (GEOSCoordSeq_create): removed
	  suspicious static cast.

2006-11-28 19:13  mloskot

	* Added Visual C++ 2005 project files.

2006-11-23 20:17  strk

	* * source/geom/Point.cpp (equalsExact): don't segfault on empty
	  points. Fixes bug #132.

2006-11-23 12:25  strk

	* Added short descripion of testcases provenience

2006-11-22 20:29  strk

	* * tests/xmltester/: stmlf-cases-20061020.xml, Makefile.am: add
	  more robustness testcases.

2006-11-22 12:26  strk

	* Patch by dron@ak4719.spb.edu:
	  
	  * autogen.sh: call 'autoheader' after 'aclocal'.
	  Fixes bug #131

2006-11-18 15:30  mloskot

	* Fixed path to geos_c.h in source/makefile.vc.

2006-11-15 18:26  strk

	* * configure.in: don't generate geos_c.h.vc
	  * source/Makefile.vc: don't generate geos_c.h and version.h
	  * source/headers/geos/version.h.vc, capi/geos_c.h.vc.in:
	  removed, will NOT be needed by Makefile.vc
	  * source/headers/geos/Makefile.am: distribute version.h
	  * capi/Makefile.am: distribute geos_c.h

2006-11-15 14:42  strk

	* * capi/geos_c.h.in: hopefully fixed GEOS_DLL use.

2006-11-15 11:28  strk

	* * capi/geos_c.cpp (GEOSGeom_getDimensions): Fix a segfault on
	  empty geometry input (fix bug #126).

2006-11-11 05:32  pramsey

	* Retreived original .vc file and put in MACRO substitutions.
	  Somehow GNU version replaced .vc version during file shuffles to
	  get macros in.

2006-11-10 18:24  strk

	* fixed timewarp

2006-11-10 17:56  pramsey

	* noted .vc change

2006-11-10 17:55  pramsey

	* Made sure geos_c.h.vc is part of 'make dist' since VC users won't
	  have .configure

2006-11-10 17:38  pramsey

	* Added substitution strings to .in files for .vc generation.

2006-11-10 17:35  pramsey

	* Changes for capi .vc generation

2006-11-10 14:50  hobu

	* update

2006-11-09 09:10  strk

	* * test/xmltester/XMLTester.cpp: improved 'testarea' test.

2006-11-08 11:54  strk

	* added 'release-separator' tag

2006-11-08 11:51  strk

	* * tests/xmltester/robustness.xml: made test safe to
	  run by using the new 'areatest' operation; added
	  new testcases just raised on the mailing list.
	  * tests/xmltester/Makefile.am: robustness.xml is now safe
	  to run, so run it on make check.

2006-11-08 10:40  strk

	* * source/headers/geos/geom/BinaryOp.h: enable
	  COMMONBITS-removal heuristic so it is attempted
	  before geometry snapping.

2006-11-05 20:34  strk

	* * capi/Makefile.am: distribute files needed for testing, proper
	  cleanup (make distcheck works now)

2006-11-05 00:24  csavage

	* Updated ruby swig wrapper for changes in header files.

2006-11-05 00:24  csavage

	* Updated python swig wrapper for changes in header files.

2006-11-05 00:23  csavage

	* Fixes for changes in header files.

2006-11-03 12:35  strk

	* redirect 'diff' output to stderr

2006-11-03 10:54  strk

	* hopefully fixed proper quoting

2006-11-03 10:30  strk

	* Report non-zero return from ./geostest run

2006-11-02 10:08  strk

	* * source/headers/geos/geom/BinaryOp.h: disable debugging output
	  by default.

2006-11-02 10:02  strk

	* * capi/geostest.c: updated to use the new GEOSGeometry typedef,
	  so to build w/out warnings and fully respecting current const
	  specification.

2006-11-02 09:48  strk

	* * capi/geos_c.cpp, capi/geos_c.h.in: const-corrected and
	  documented GEOSPolygonize function.

2006-11-02 09:38  strk

	* * capi/test.expected: updated expected version
	  * capi/testrunner.sh: be happy with geostest running w/out
	  segfaulting, still run diff for reference.

2006-11-02 09:33  strk

	* * configure.in: updated versions to 3.0.0rc2 / CAPI-1.3.0

2006-11-02 08:32  strk

	* Patch by Markus Schaber <schabi@logix-tt.com>:
	  
	  * capi/geos_c.h.in: add GEOSGeometry and GEOSCoordSequence
	  typedef, to unhide the pointer type and allow fine-grained
	  const specification, use the new typedefs in function signatures
	  (fix some const-specifications accordingly)
	  * capi/geos_c.cpp: define GEOSGeometry and GEOSCoordSequence
	  for cross-checking of types in header.

2006-10-30 15:14  strk

	* Patch by Markus Schaber <schabi@logix-tt.com>
	  
	  * capi/geos_c.cpp: more focused 'using' directives.
	  * capi/geos_c.h.in: let the enum visible by geos_c.cpp
	  now that there are no more name clashes.

2006-10-30 13:20  strk

	* removed useless GEOSGeomTypes define

2006-10-30 13:00  strk

	* reduce default verbosity

2006-10-30 12:49  strk

	* * capi/geos_c.cpp:
	  Remove a typedef which is also included via Header;
	  Use dynamic_cast instead of C cast in 2 cases to allow the RTTI
	  type check;
	  Replace "geoms" temp vector in polygonizer function with a loop,
	  this saves us at least one of the two vector copies;
	  Drop 2 unneded const_cast occurences;
	  Allow calling getNumGeometries against non-collections;
	  2 comment / whitespace cleanups.
	  * capi/geos_c.h.in:
	  Added a comment explaining ou #ifndef magic;
	  Unified the two #ifndef into a single one.

2006-10-30 10:29  strk

	* * capi/: test.expected, testrunner.sh, Makefile.am: Added a run
	  of ./geostest as part of 'make check'

2006-10-30 10:15  strk

	* Patch submitted by Markus Schaber <schabi@logix-tt.com> (
	  reviewed and fixed )
	  
	  * capi/: geos_c.cpp, geos_c.h.in:
	  Changed the C-API implementation to actually include the header
	  that's included by the clients, this allows the compiler to check
	  declarations and implementation for consistency, fixed geos_c.cpp
	  accordingly (const-correctness, mainly).

2006-10-30 09:49  strk

	* * capi/geostest.c: added some checks of return from CAPI
	  functions returning GEOSGeom (not all, just a few)

2006-10-27 11:54  strk

	* Patch by Markus Schaber <schabi@logix-tt.com>
	  
	  * algorithm::InteriorPointLine (ctor): take Geometry by
	  const-pointer.
	  * geom::Geometry (getInteriorPoint): made a const-method
	  * operation::polygonize::Polygonizer: implement filter_ro rather
	  then filter_rw, as it doesn't change the Geometry, propagated
	  change to internal interfaces (add methods)

2006-10-26 09:22  strk

	* * capi/geos_c.h.in: reverted all changes of 'int' types
	  to 'size_t' types (the lib never changed, and still expects
	  ints)

2006-10-24 16:54  strk

	* * source/headers/geos/geom/BinaryOp.h: try original geoms first
	  by default.

2006-10-24 16:53  strk

	* * operation::overlay::OverlayResultValidator.cpp (isValid): run
	  the test even if inputs and output are not areal.

2006-10-24 16:49  strk

	* * operation::overlay::FuzzyPointLocator: eliminate non-polygonal
	  components from consideration when testing the location of
	  points.

2006-10-24 10:16  strk

	* * precision::GeometrySnapper: snapPrecisionFactor augmented from
	  10e-12 to 10e-10.

2006-10-24 09:49  strk

	* * precision::LineStringSnapper (findSegmentToSnap):
	  return the *closest* segment, don't snap if the closest
	  segment *intersects* the snap points, consider a distance
	  of exactly snapTolerance as non-tolerated (got in sync with JTS)

2006-10-23 10:23  strk

	* * source/headers/geos/geom/BinaryOp.h (SnapOp): document and add
	  optional CBR step (snap after applying common bits removal - this
	  is the default); (check_valid): add validity checker function.

2006-10-20 11:18  strk

	* * noding::SegmentString: added notifyCoordinatesChange method.
	  * noding::ScaledNoder: notify possible coordinates change to
	  SegmentString after removing repeated points.

2006-10-19 18:26  strk

	* * configure.in: use 'expr' for arithmetics (more portable)

2006-10-18 19:21  mloskot

	* Refactored Visual C++ makefiles.

2006-10-18 17:53  mloskot

	* Updated source\makefile.vc and source\dirlist.mk files.

2006-10-18 17:53  mloskot

	* Added top-level makefile.vc.

2006-10-18 14:28  strk

	* fixed svn:ignore property

2006-10-18 12:08  strk

	* disable non-JTS overlay result validators (to more closely track
	  JTS at this stage)

2006-10-17 14:26  strk

	* * source/headers/geos/geom/BinaryOp.h (SnapOp): fixed horrible
	  bug applying overlay of first geom to itself :(

2006-10-17 10:15  strk

	* really fixed 'extra tokens at end of #endif directive' warning

2006-10-17 10:10  strk

	* fixed 'extra tokens at end of #endif directive' warning

2006-10-17 08:44  strk

	* * capi/Makefile.am: don't directly link geostest against
	  both libgeos.so and libstdc++ (should be derived by
	  libgeos_c.so).

2006-10-12 15:33  strk

	* * tests/bigtest/GeometryTestFactory.cpp, tests/bigtest/bigtest.h,
	  tests/bigtest/TestSweepLineSpeed.cpp: fixed header inclusion, to
	  reduce compiler noise.

2006-10-09 16:39  strk

	* * source/headers/geos/geom/BinaryOp.h: always snap geoms to
	  each-other before applying an overlay (temp hack).

2006-10-09 16:35  strk

	* * source/operation/overlay/OverlayOp.cpp: enable all overlay
	  result validators, make it disablable at compile time.

2006-10-05 10:58  mloskot

	* Added inclusion guards to geos_c.h files.

2006-10-05 09:46  strk

	* increment areatest verbosity (needs -v -v)

2006-10-02 18:53  hobu

	* GEOSEnvelope wasn't in the PROTOTYPES section in geos_c.cpp

2006-09-27 07:48  strk

	* updated tag item

2006-09-27 07:43  strk

	* added info about svn tags

2006-09-19 06:54  strk

	* Added <algorithm> include

2006-09-08 23:13  pramsey

	* Added information about funders of the 3.0.0 series: Safe
	  Software, Autodesk,
	  Bavarian State Ministry of Agriculture and Forestry and the State
	  Survey of Bavaria.

2006-09-08 09:38  strk

	* updated

2006-09-08 09:31  strk

	* more debugging output

2006-09-08 09:21  strk

	* More testcases

2006-09-07 18:07  strk

	* New unit test for OverlayResultValidator class

2006-09-07 18:07  strk

	* more debugging output

2006-09-07 17:52  strk

	* Added addVertices private method (unused, as in JTS, but possibly
	  useful in the future)

2006-09-07 17:41  strk

	* Added debugging code

2006-09-07 17:35  strk

	* more testcases (added test for max distance of offset points)

2006-09-07 15:28  strk

	* removed svn:executable prop from all .cpp files

2006-09-07 15:22  strk

	* removed svn:executable property

2006-09-07 15:21  strk

	* testing execute bit state

2006-09-07 12:17  mloskot

	* Set svn:keyword for $ expansion.

2006-09-07 11:34  strk

	* Cleaned up OverlayResultValidator call (still disabled due to
	  bugs)

2006-09-07 11:27  strk

	* blindly return positive result if any input or output is not an
	  area

2006-09-07 11:08  strk

	* new test for FuzzyPointLocator

2006-09-07 10:30  strk

	* Explicit values to LocationValue enum items. Removed CVS Log

2006-09-07 09:33  strk

	* Removed catch-all headers inclusion and use of obsoleted Unload
	  class

2006-09-07 09:24  strk

	* updated

2006-09-07 09:23  strk

	* comment cleanup

2006-09-07 09:01  strk

	* Comments about ownership (and lifetime) of returned objects

2006-09-07 08:59  strk

	* New DistanceOp unit test

2006-09-07 08:57  strk

	* (computeMinDistancePoints): fixed invalid reference.

2006-09-07 08:23  strk

	* don't giveup on automake failures (testing)

2006-09-06 18:44  strk

	* Ops, overlay result validation erroenously committed

2006-09-06 18:41  strk

	* new test for OffsetPointGenerator class

2006-09-06 18:37  strk

	* Fixed uninitialized memory bug

2006-09-06 17:59  strk

	* new test for FuzzyPointLocator class

2006-09-06 17:48  strk

	* updated after GeometrySnapper interface change.

2006-09-06 17:26  mloskot

	* Set $ expansion for new files in 'overlay' module.

2006-09-06 17:22  strk

	* Rest of Overlay validation classes.

2006-09-06 16:54  mloskot

	* Set svn:keyword property for Id keyword expansion.

2006-09-06 15:50  strk

	* Fixed comments and includes

2006-09-06 15:33  strk

	* new helper class for Overlay op validation.

2006-09-06 15:21  strk

	* (getBoundary) memory allocations documented

2006-09-05 16:18  strk

	* updated (last commit log was bogus, refer to ChangeLog entry)

2006-09-05 16:07  strk

	* (OverlayOp::checkObviouslyWrongResult): exceptions messages
	  rewording

2006-08-31 23:13  strk

	* (insertContained): fixed bug reported in
	  geos-devel/2006-August/002541.html

2006-08-31 23:07  strk

	* Reverted last two commits. Darwin host on buildbot seems to have
	  its own problems...

2006-08-31 22:28  strk

	* Ops, it was AM_CONFIG_HEADER the old version - still testing

2006-08-31 22:21  strk

	* AC_CONFIG_HEADERS => AM_CONFIG_HEADER (to support older automake
	  versions)

2006-08-04 20:30  hobu

	* version should be 3.0.0 instead of 3.3.0

2006-08-04 20:29  hobu

	* bump patch to rc1

2006-08-04 20:23  hobu

	* give makefile.vc some love

2006-08-04 16:40  csavage

	* Updated SWIG bindings to expose the equalsExact and normalize
	  methods.

2006-08-03 23:43  csavage

	* Two changes needed to include the correct definitions for
	  compiling geos using MingW/msys on Windows.

2006-08-03 22:46  strk

	* try to keep text within 80 cols

2006-08-03 22:24  csavage

	* Changed configure.in to use *nix line feeds.

2006-08-03 22:17  csavage

	* Mistakenly used Geometry* in C api headers instead of GEOSGeom.

2006-08-03 22:13  csavage

	* Removed native line endings for configure.in since CR/LF does not
	  work on Windows under msys.

2006-08-03 22:02  csavage

	* Added equalsExact and normalize to the c api as discussed on the
	  mailing list
	  (http://geos.refractions.net/pipermail/geos-devel/2006-July/002452.html).

2006-08-03 21:34  csavage

	* Updated build scripts so that ruby/geos_wrap.cxx,
	  python/geos_wrap.cxx and python/geos.py are removed by make
	  maintainer-clean but not make clean.

2006-08-03 16:28  mloskot

	* Fixed Bug #90

2006-08-03 16:18  csavage

	* Added SWIG generated wrapper files for Ruby and Python

2006-07-27 06:18  mloskot

	* Added svn:ignore property to ignore 'geos-3.0.0rc1' dir (testing
	  commit access to SVN).

2006-07-26 19:06  strk

	* Removed .cvsignore files from repository

2006-07-26 17:51  strk

	* * capi/Makefile.am: forced link of geostest against stdc++ lib
	  * tests/xmltester/XMLTester.cpp: added <cmath> include (for fabs
	  use)

2006-07-26 15:28  strk

	* Added geometry snapping heuristic

2006-07-25 20:45  strk

	* Made autogen.sh errors more visible

2006-07-21 19:37  csavage

	* Added note about inclusion of version.in.vc. See
	  http://geos.refractions.net/pipermail/geos-devel/2006-July/002463.html
	  for more info.

2006-07-21 17:59  strk

	* Added test for GeometrySnapper

2006-07-21 17:59  strk

	* Fixed preprocessor directive use

2006-07-21 17:09  strk

	* Added new precision::LineStringSnapper class + test
	  and precision::GeometrySnapper (w/out test)

2006-07-21 17:05  strk

	* added operator<< for CoordinateList class

2006-07-21 17:00  strk

	* Added another distance() test

2006-07-21 16:45  mloskot

	* Wrapped FIXME message with #warning directive to shout about
	  potential headers removal in future.

2006-07-21 14:53  strk

	* CoordinateList class re-introduced, for list-based ops
	  (not strictly mapped to JTS version, not yet at least)

2006-07-21 14:49  strk

	* Fixed typo in comment

2006-07-21 08:33  strk

	* Removed blank space after backslash (automake complained)

2006-07-19 02:43  csavage

	* Added veresion.h.vc as EXTRA_DIST to ensure it is packaged when
	  doing make dist.

2006-07-15 19:36  csavage

	* Removed python test/cases directory (tests are now just in tests
	  directory).

2006-07-13 08:02  csavage

	* Updated ChangeLog to note additional SWIG tests and integration
	  with the GEOS build system.

2006-07-13 07:49  csavage

	* Updated version number to 3.0.0rc1-CAPI-1.1.1 to match the
	  autoconf generated files.

2006-07-13 07:38  csavage

	* Fixed spelling mistake in test task.

2006-07-13 07:36  csavage

	* Removed dependency on README.txt since it has been removed.

2006-07-13 07:35  csavage

	* New tests for the buffer operation.

2006-07-13 07:29  csavage

	* Added SWIG Python and Ruby bindings back into the main GEOS build
	  system.

2006-07-13 07:27  csavage

	* Updated extra_dist for test directories.

2006-07-13 07:20  csavage

	* Remove the dependency on the cases subdirectory which is no
	  longer needed.

2006-07-13 07:19  csavage

	* Updated test suite to use the correct tests.

2006-07-13 07:16  csavage

	* Removed old tests cases which are no longer valid (worked using
	  the C++ api).

2006-07-13 07:14  csavage

	* New Python test case to ensure creating coordinate sequences and
	  geometries works correctly.

2006-07-13 07:14  csavage

	* Removed README.txt files which are no longer applicable now that
	  the SWIG bindings have been intergrated into the GEOS build
	  system.

2006-07-13 07:13  csavage

	* Renamed test class.

2006-07-13 07:09  csavage

	* Removed old, unused code.

2006-07-13 07:09  csavage

	* Added tyepmap to support creating polygons with holes.

2006-07-13 07:08  csavage

	* Added default value for quadsegs parmeter in buffer operation.

2006-07-13 04:47  csavage

	* Manually moved from parent directory.

2006-07-13 04:46  csavage

	* Updated EXTRA_DIST to include python.i and geos.pth

2006-07-13 04:46  csavage

	* Moved file to tests subdirectory.

2006-07-13 04:45  csavage

	* Installation is now done by autoconf macros instead of setup.py

2006-07-13 04:39  csavage

	* Cleaned up ruby.i, added licenxe to python.i, commented back in
	  python.i into geos.i.

2006-07-13 04:09  csavage

	* Added code to read xml test cases.

2006-07-13 04:08  csavage

	* Added exception handling for results that return geometries.
	  Added normalize and equalsExact, but for the moment they are
	  commented out.

2006-07-13 03:59  csavage

	* Changes to compile on VC++ - fully qualified polygon name. Should
	  also work on MingW, will test next.

2006-07-12 23:17  csavage

	* Disabled test_combinations.rb for the moment since it fails.

2006-07-12 23:16  csavage

	* Fixed serious bug in geom_to_hex and geom_to_wkb type maps. Was
	  using temporary variable instead of passed in variable.

2006-07-12 22:55  csavage

	* Switched GeosBytesOrder to int in api signatures.

2006-07-12 22:11  csavage

	* A number of changes to fix warning generated by gcc and to make
	  sure the bindings compile for Python.

2006-07-12 22:11  csavage

	* Updated Python SWIG makefile to build with the c api.

2006-07-12 22:10  csavage

	* Minor change to fix gcc warning.

2006-07-12 22:10  csavage

	* Updated Ruby SWIG makefile to build with the c api.

2006-07-12 21:03  csavage

	* Fixed an error in the way GEOSByteOrder was declared. It is now
	  an enum in geos_c.h

2006-07-12 19:10  csavage

	* Added %rename directive so that GeomUnion is exposed as union is
	  SWIG languages.

2006-07-12 19:08  csavage

	* Updated tests for combinatins (union, intersection, etc.) and
	  operaptions (buffer, centroid, etc.).

2006-07-12 19:07  csavage

	* These tests are no longer needed.

2006-07-12 17:51  csavage

	* Ported old tests for relations, such as intersects, touches,
	  etc., to new swig bindings.

2006-07-12 08:30  csavage

	* Added type map needed to create polygons with holes.
	  Unfortunately, this is Ruby specific. It needs to be ported to
	  Python next.

2006-07-12 08:29  csavage

	* Removed wrapper classes and replace them with SWIG "fake"
	  classes. This makes the interface cleaner, and makes memory
	  management much easier. Also added area, dimension, length,
	  getExteriorRing, getInteriorRingN methods.

2006-07-12 08:27  csavage

	* Added test to read from wkb geometry - currently fails, needs
	  more investigation.

2006-07-12 08:27  csavage

	* Added tests for invalid geometries.

2006-07-12 08:27  csavage

	* Updated ruby test suite.

2006-07-12 08:24  csavage

	* New tests for area, length, distance.

2006-07-12 05:21  csavage

	* Converted line feeds to Unix style.

2006-07-12 05:21  csavage

	* New tests for creating geometries and calling various functions
	  such as numGeometries, isValid, etc.

2006-07-12 05:20  csavage

	* Tests for srid handling.

2006-07-12 05:20  csavage

	* Merged tests from test_wkb_reader.rb

2006-07-12 05:18  csavage

	* Merging into test_io.rb

2006-07-12 04:46  csavage

	* Tests to verify returned version numbers from C api.

2006-07-11 18:48  csavage

	* Fixes for coordinate sequences. Fixed bug in range checking,
	  chaned clone to be a method instead of copy constructor, marked
	  clone as creating a new object.

2006-07-11 18:44  csavage

	* Tests for SWIG coordinate sequence class.

2006-07-11 09:07  csavage

	* Added reference to new enum called GEOSByteOrders. The enum has
	  two values, GEOS_WKB_NDR and GEOS_WKB_XDR which signify big
	  endian and little endian byte orders.

2006-07-11 09:05  csavage

	* Added 5 methods to the C API as documented in the changelong. The
	  new methods are read/write WKB Hex values, read/write WKB byte
	  order and read wkb output dimensions.

2006-07-11 08:55  csavage

	* Test cases for reading and writing geometries to WKT, WKB and hex
	  encoded WKB formats via the SWIG bindings.

2006-07-11 08:54  csavage

	* Updated visual studio header file to match geos_c.h.in

2006-07-11 08:53  csavage

	* Added 5 methods to the C API as documented in the changelong. The
	  new methods are read/write WKB Hex values, read/write WKB byte
	  order and read wkb output dimensions.

2006-07-11 08:52  csavage

	* Noted additions to the C API and porting of SWIG to use the C
	  api.

2006-07-11 08:44  csavage

	* Ported SWIG bindings to use c-api.

2006-07-10 22:29  strk

	* Added .cvsignore file

2006-07-10 21:51  strk

	* don't use dynamic strings as format arg the formatted message
	  callbacks.

2006-07-10 10:16  strk

	* changed vector<bool> to vector<short int> (see bug#101)

2006-07-09 03:37  mloskot

	* Added 'testrunner' pattern to tests/xmltester/.cvsignore.

2006-07-09 03:21  mloskot

	* Added 'testrunner' to .cvsignore patterns.

2006-07-09 03:21  mloskot

	* Updated ChangeLog with details about new unit tests.

2006-07-09 03:16  mloskot

	* Added new tests to tests/unit/Makefile.am.

2006-07-09 03:15  mloskot

	* Added new tests cases to tests/unit/noding. Removed
	  zero-to-pointer casts.

2006-07-09 00:24  strk

	* Added testrunner to CLEANFILES. make distcheck now succeeds.

2006-07-08 00:33  strk

	* * configure.in: incremented CAPI minor version, to avoid falling
	  behind any future version from the 2.2. branch.
	  * source/geom/Geometry.cpp, source/geom/GeometryFactory.cpp,
	  source/geomgraph/EdgeRing.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryFactory.h,
	  source/headers/geos/geom/GeometryFactory.inl,
	  source/headers/geos/geomgraph/EdgeRing.h:
	  updated doxygen comments (sync with JTS head).
	  * source/headers/geos/platform.h.in: include <inttypes.h>
	  rather then <stdint.h>

2006-07-07 20:02  mloskot

	* Updated ChangeLog with version comparison fix in GEOS_UNIT.

2006-07-07 20:00  mloskot

	* Fixed versions comparison in the GEOS_UNIT macro.

2006-07-07 19:33  strk

	* * acsite.m4: include <inttypes.h> rather then <stdint.h>
	  (the latter is not available on Solaris 9)
	  * configure.in: make sure CFLAGS is set before compiling
	  using the 64bit integer detection macro.

2006-07-06 16:39  mloskot

	* Fixed version query regexp with escaped dots. Removed -lpq from
	  GEOS_LIBS flags.

2006-07-05 23:27  mloskot

	* Removed redundant -L and -I from GEOS_LIBS and GEOS_CFLAGS.

2006-07-05 23:10  mloskot

	* Fixed GEOS_INIT to support full paths to geos-config passed to
	  --with-geos. Fixed version decoding.

2006-07-05 22:54  strk

	* distribute utility.h

2006-07-05 22:19  strk

	* distribute the TUT framework.

2006-07-05 21:47  strk

	* Distribute XML tests and tester.

2006-07-05 21:18  strk

	* Fixed missing SweeplineNestedRingTester.cpp file.

2006-07-05 20:52  strk

	* Fixed missing backslash, dropping headers from distribution.

2006-07-05 20:20  strk

	* updated

2006-07-05 20:19  strk

	* added checks for obviously wrong result of difference and
	  intersection ops

2006-06-27 15:59  strk

	* * source/algorithm/HCoordinate.cpp: added support for MingW -ansi
	  builds.

2006-06-27 15:26  strk

	* * capi/geos_c.cpp: fixed forward declaration of
	  GEOSCoordSeq_getOrdinate.
	  * capi/geos_c.h.in: renamed GEOSGeomTypeId enum to GEOSGeomTypes,
	  to make VC++ 2005 happy.

2006-06-19 23:33  strk

	* Don't *require* CoordinateFilters to define both read-only and
	  read-write methods.

2006-06-19 22:52  strk

	* optimized loops

2006-06-19 21:20  strk

	* updated port info

2006-06-19 21:17  strk

	* port info and doxygen dox.

2006-06-19 20:48  strk

	* parseCase(): make sure to exit the <case> tag before returning

2006-06-14 19:27  strk

	* Let the compiler synthetize copy ctor and assignment op for
	  Coordinate class to obtain better numerical stability.

2006-06-14 19:19  strk

	* Added support for "AreaTest" operations.

2006-06-14 19:17  strk

	* Fixed bug in findShell() needlessly erasing vector elements

2006-06-14 15:38  strk

	* Fixed just-introduced bug

2006-06-14 15:03  strk

	* * source/operation/overlay/OverlayOp.cpp: use NodeMap::container
	  and related typedefs, removed (int) casts, optimized loops.

2006-06-14 14:32  strk

	* EdgeEnd::getEdge() made non-virtual and inlined.

2006-06-14 13:59  strk

	* Fixed bug in PolygonBuilder::placePolygonHoles, performance
	  improved as a side effect.

2006-06-13 23:26  strk

	* cleanups

2006-06-13 22:50  strk

	* * source/headers/geos/io/WKTReader.inl: added missing include for
	  GEOS_DEBUG set case, use stderr for debugging output.

2006-06-13 22:19  strk

	* fixed unused parameter warning

2006-06-13 22:00  strk

	* Changed GeometryGraph::lineEdgeMap set comparison function to be
	  pointer-based. Should be safe and much faster. Available tests
	  all succeed.

2006-06-13 21:42  strk

	* trimmed cvs log, cleanups

2006-06-13 21:40  strk

	* Cleanups and some more debugging lines

2006-06-13 21:38  strk

	* Added self comparison check in Geometry::compareTo().

2006-06-13 19:16  strk

	* fixed mis-assigned commit

2006-06-12 17:18  strk

	* LineSegmentIndex: explicitly initialized parent class in
	  constructors.

2006-06-12 17:15  strk

	* Removed unused parameters warning

2006-06-12 17:14  strk

	* added assert(0) version of filter_ro() and filter_rw() to allow
	  implementations to only defined the required one.

2006-06-12 16:59  strk

	* Removed unused parameter warnings

2006-06-12 16:57  strk

	* Added note about ownership of return from getEdgesBetween()

2006-06-12 16:55  strk

	* fixed compiler warnings, fixed some methods to omit unused
	  parameters.

2006-06-12 16:51  strk

	* Added equality and inequality operators and tests

2006-06-12 16:36  strk

	* indentation, notes about things to be fixed.

2006-06-12 15:47  strk

	* implemented missing getEdgesBetween() method (untested).

2006-06-12 15:46  strk

	* provided a memory friendly version of toEdges() method.

2006-06-12 15:07  strk

	* explicitly invoked CoordinateSequence (copy) ctor - suggested by
	  GCC warning.

2006-06-12 15:06  strk

	* Added default ctor and copy ctor (protected)

2006-06-12 13:57  strk

	* Check for int64_t type for int64 typedef.

2006-06-12 11:29  strk

	* unsigned int => size_t

2006-06-12 10:49  strk

	* unsigned int => size_t

2006-06-12 10:39  strk

	* don't print test file precision model if verbosity level < 2.

2006-06-12 10:10  strk

	* Fixed getGeometryN() to take size_t rather then int, changed
	  unsigned int parameters to size_t.

2006-06-09 08:28  strk

	* Removed compiler warning

2006-06-09 08:17  strk

	* removed signed/unsigned comparison warnings.

2006-06-09 08:09  strk

	* removed signed/unsigned comparison warnings.

2006-06-09 08:02  strk

	* Fixed signed/unsigned comparison tests

2006-06-09 07:42  strk

	* * source/geomgraph/GeometryGraph.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/operation/valid/RepeatedPointTester.cpp: Fixed warning
	  after Polygon ring accessor methods changed to work with size_t.
	  Small optimizations in loops.

2006-06-09 06:41  strk

	* Added missing log for mloskot change

2006-06-08 18:50  mloskot

	* Fixed no-effect warning in test<1> from DimensionTest.cpp.

2006-06-08 18:18  strk

	* * tests/unit/geom/GeometryFactoryTest.cpp: fixed compiler
	  warnings about signed/unsigned comparisons.

2006-06-08 17:58  strk

	* Polygon::getNumInteriorRing() return size_t,
	  Polygon::interiorRingN() takes size_t.

2006-06-08 17:46  strk

	* * tests/unit/geom/CoordinateArraySequenceTest.cpp: fix
	  signed/unsigned comparison warning.

2006-06-08 15:55  strk

	* * tests/xmltester/markup/MarkupSTL.cpp: removed use of
	  allocator<char>, which brings in some incompatibilities with
	  libstdc++ 6.0.7 (gcc 4.0.2).

2006-06-08 13:19  strk

	* Commented out ruby and python detection

2006-06-08 12:58  strk

	* Fixed xml testrunner rule

2006-06-08 12:16  strk

	* added XML tests run to the 'make check' rule.

2006-06-08 11:20  strk

	* Added missing virtual destructor to abstract classes.

2006-06-07 20:04  strk

	* * configure.in: enforce -Wall -ansi -pedantic -Wno-long-long to C
	  and CXX flags.

2006-06-07 19:45  strk

	* Renamed (reserved) TESTS variable to RUBY_TESTS

2006-06-07 19:26  strk

	* Fixed SUBDIRS order, and added a NOTE about maintaining it.

2006-06-07 17:03  strk

	* * Makefile.am, configure.in, swig/python/Makefile.am,
	  swig/ruby/Makefile.am, swig/ruby/test/Makefile.am: swig removed
	  from automatic build process.
	  * configure.in: removed check for boost availability.

2006-06-07 16:07  strk

	* Set release version to 3.0.0rc1

2006-06-07 14:10  mloskot

	* Update ChangeLog with info about new test case
	  isPointInRingTest.cpp.

2006-06-07 14:06  mloskot

	* Renamed file isPointInRing.cpp to isPointInRingTest.cpp to follow
	  GEOS Unit Test convention.

2006-06-07 13:52  mloskot

	* Added new test: CGAlgorithms/isPointInRing.cpp.

2006-06-07 13:10  strk

	* Removed Triangle.h include from geom.h

2006-06-07 13:08  strk

	* * source/headers/geos/geom/Makefile.am: removed Triangle.h from
	  installed header set.

2006-06-05 19:42  strk

	* Fixed noinst_geos_HEADERS => noinst_HEADERS.

2006-06-05 15:36  strk

	* Given OverlayOp funx code enum a name and renamed values to have
	  a lowercase prefix. Drop all of noding headers from installed
	  header set.

2006-06-03 22:31  hobu

	* update to track latest removals

2006-06-03 22:29  hobu

	* Use a fully qualified namespace for LineSegment because we're
	  inside of geos::simplify at the time

2006-06-01 11:49  strk

	* Reduced installed headers form geomgraph namespace

2006-06-01 10:28  strk

	* Reduced number of installed headers for the geos::index namespace

2006-05-25 18:44  strk

	* * tests/unit/geom/TriangleTest.cpp: take floating-point rounding
	  error into account.

2006-05-25 16:11  mloskot

	* Changed precision constant with epsilon() from
	  std::numeric_limits.

2006-05-25 15:54  mloskot

	* Added specialization of ensure_equals for double type.

2006-05-24 16:29  strk

	* * source/index/quadtree/DoubleBits.cpp: handled negative or zero
	  values in getExponent().

2006-05-24 16:01  strk

	* * tests/unit/utility.h: fixed missing return from
	  isSameStructure's specialization on GeometryCollection, also
	  fixed a signed/unsigned mismatch warning there.

2006-05-24 15:42  strk

	* * source/util/Makefile.am, source/util/CoordinateArrayFiter.cpp,
	  source/util/GEOSException.cpp,
	  source/util/UniqueCoordinateArrayFilter.cpp: removed empty
	  implementation files.

2006-05-24 15:32  strk

	* * source/headers/geos/simplify/TaggedLinesSimplifier.h: added
	  LineSegmentIndex.h include so that every use of the templated
	  simplify() function get all the required definitions.

2006-05-24 15:17  strk

	* Reduced number of installed headers in geos/operation/ subdir

2006-05-24 13:44  strk

	* Added a note about unit tests being introduced

2006-05-24 11:44  mloskot

	* Added missing entries to ChangeLog.

2006-05-24 11:41  strk

	* * source/headers/geos/simplify/TaggedLinesSimplifier.h,
	  source/simplify/TaggedLinesSimplifier.cpp,
	  source/simplify/TopologyPreservingSimplifier.cpp:
	  fixed bug in TopologyPreservingSimplifier failing to
	  detect intersections, refactored TaggedLinesSimplifier
	  class to more closely match JTS and use templated
	  functions.

2006-05-24 08:32  strk

	* * capi/geos_c.h.in: #include <stddef.h> to get size_t definition
	  (only #ifndef __cplusplus)

2006-05-24 05:53  mloskot

	* Added new test: TopologyPreservingSimplifierTest.cpp. Added new
	  utility.cpp helper for Unit Tests (implementes utils from JTS
	  Unit Tests).

2006-05-23 15:06  strk

	* * source/headers/geos/geom/Coordinate.h: added missing <string>
	  include.

2006-05-23 14:44  strk

	* * source/headers/geos/config.h: removed file which is not
	  supposed to be in the repository.

2006-05-23 14:29  strk

	* * source/headers/geos/index/quadtree/DoubleBits.h,
	  source/index/quadtree/DoubleBits.cpp: const correctness and
	  documentation.

2006-05-23 13:21  strk

	* Added test for put/get Long values

2006-05-23 13:16  strk

	* Fixed a bug in WKBWriter::writeByteOrder() failing to consider
	  machine's byte order

2006-05-23 12:57  strk

	* Fixed small typo in label

2006-05-23 12:33  strk

	* * source/io/ByteOrderValues.cpp: fixed bug in putLong() also
	  affecting putDouble()

2006-05-23 12:23  strk

	* * tests/unit/Makefile.am, tests/unit/io/ByteOrderValuesTest.cpp:
	  unit test for ByteOrderValues class.

2006-05-23 11:07  strk

	* * source/io/WKBWriter.cpp: fixed bug in ::writeInt missing to
	  honour the requested byte order.

2006-05-23 10:56  strk

	* Fixed top comment

2006-05-23 10:48  strk

	* * tests/unit/io/WKBReaderTest.cpp: cleaned up and added both XDR
	  and NDR tests.

2006-05-23 09:24  strk

	* * source/io/ByteOrderValues.cpp: changed ENDIAN_BIG and
	  ENDIAN_LITTLE values to match WKBConstants::XDR and
	  WKBConstants::NDR respectively.
	  * source/headers/geos/io/WKBConstants.h: added comments about
	  meaning of XDR/NDR.

2006-05-22 15:08  strk

	* Print colon after exception name (as it has always been)

2006-05-19 17:44  strk

	* * source/simplify/TopologyPreservingSimplifier.cpp:
	  removed friend specification in
	  TopologyPreservingSimplifier helper class
	  (no more needed)

2006-05-19 17:39  strk

	* * tests/unit/geom/Geometry/coversTest.cpp:
	  keep tests in 'tut' namespace.

2006-05-19 16:38  strk

	* * tests/xmltester/XMLTester.cpp: report
	  error on load of requested tests.

2006-05-18 10:19  strk

	* * source/headers/geos/geom.h: fixed doxygen header for mainpage.

2006-05-18 10:16  strk

	* Added note about the new BinaryOp class and its uses.

2006-05-18 10:13  strk

	* * source/headers/geos/geom/BinaryOp.h: added compile-time defines
	  to avoid precision-reduction and simplify based policies (default
	  to enabled).

2006-05-18 09:32  strk

	* added note about new Geometry predicates

2006-05-18 09:00  strk

	* Added tests for coveredBy(), fixed ChangeLog entry

2006-05-18 08:56  strk

	* * source/geom/Geometry.cpp,
	  source/headers/geos/geom/Geometry.h: added
	  covers() and isCoveredBy() predicates.
	  * tests/unit/Makefile.am,
	  tests/unit/geom/Geometry/coversTest.cpp:
	  added test for covers() predicates.

2006-05-17 17:41  strk

	* Added output operator + test

2006-05-17 17:24  strk

	* Added port info, fixed isCoveredBy() comment.

2006-05-17 17:20  strk

	* added isCovers() and isCoveredBy() public methods to
	  IntersectionMatrix and associated tests.

2006-05-17 08:40  strk

	* typo fixed to make description more clear

2006-05-13 10:42  mloskot

	* Fixed line-ends in PointLocatorTest.cpp file.

2006-05-13 08:26  mloskot

	* Fixed line-ends in isRectangleTest.cpp. Added new patterns to
	  .cvsignore.

2006-05-05 15:40  strk

	* Had nodind validation error throw an exception for
	  SimpleSnapRounder
	  and MCIndexSnapRounder

2006-05-05 14:34  strk

	* New SegmentString unit test

2006-05-05 14:25  strk

	* moved getSegmentOctant out of .inl into .cpp, renamed private
	  eiList to nodeList as in JTS, added more assertion checking and
	  fixed doxygen comments

2006-05-05 10:19  strk

	* droppped SegmentString::getContext(), new name is getData() to
	  reflect change in JTS

2006-05-05 09:37  strk

	* * source/headers/geos/geom.h: fixed namespace qualification in
	  doxygen page about C++ interface.

2006-05-04 15:49  strk

	* updated all Geometry::getDimension() methods to return
	  Dimension::DimensionType (closes bug#93)

2006-05-04 14:05  strk

	* * source/headers/geos/util/math.h: provided an util::round()
	  method being an inline proxy to call appropriate default rounding
	  function for the whole GEOS codebase. Currently pointing at
	  util::java_math_round() being the last being used.

2006-05-04 13:38  strk

	* doxygen comments cleanup

2006-05-04 12:54  strk

	* Added invariant tester for NodeMap class, fixed comment about
	  ownership of NodeFactory

2006-05-04 12:33  strk

	* Added some comments about RightmostEdgeFinder only considering
	  forward DirectedEdge

2006-05-04 12:19  strk

	* Added note about findEdge() only scanning for forward
	  DirectedEdges

2006-05-04 12:17  strk

	* Added comment about management of newly created DirectedEdges

2006-05-04 10:15  strk

	* Doxygen comments

2006-05-04 09:16  strk

	* Added JTS debugging, for comparison with JTS

2006-05-04 08:42  strk

	* Added note about the CoordinateSequence::toVector() method.

2006-05-04 08:35  strk

	* noding/SegmentNodeList.cpp: cleanups, changed output operator to
	  be more similar to JTS

2006-05-04 08:30  strk

	* removed use of SegmentString::setCoordinates() [dropped]

2006-05-04 08:29  strk

	* * source/noding/ScaledNoder.cpp: removed use of
	  SegmentString::setCoordinates().
	  * source/headers/geos/noding/SegmentStrign.{h,inl}: removed new
	  setCoordinates() interface.

2006-05-04 07:43  strk

	* output operator for SegmentString class

2006-05-04 07:41  strk

	* const-correct size() method for SegmentNodeList

2006-05-04 06:36  strk

	* Extended definition to take new CoordinateSequence tracking into
	  account

2006-05-03 20:05  strk

	* Added SQL debugging output

2006-05-03 19:47  strk

	* added operator<< for CoordinateSequence

2006-05-03 18:04  strk

	* added SegmentString::setCoordinates() interface

2006-05-03 17:54  strk

	* Uncommented correctness checker

2006-05-03 17:51  strk

	* system headers included after package headers

2006-05-03 17:50  strk

	* Doxygen comments

2006-05-03 17:48  strk

	* Forgot a slash

2006-05-03 17:48  strk

	* Doxygen brief

2006-05-03 16:22  hobu

	* tweak clean target

2006-05-03 16:21  hobu

	* Build the C API and shared lib separate from the normal lib
	  Add missing files

2006-05-03 16:19  strk

	* fit in 80 columns

2006-05-03 16:09  hobu

	* Maintain a geos_c.h.vc until we come up with a better solution

2006-05-03 15:50  hobu

	* *** empty log message ***

2006-05-03 15:49  strk

	* fixed bug in SimpleSnapRounder::computeSnaps, trying to access
	  out-of-bound vector element.

2006-05-03 15:49  hobu

	* add additional files and change names where necessary

2006-05-03 15:40  strk

	* test SegmentString invariant before and after scaling

2006-05-03 15:37  strk

	* Tabs for indent

2006-05-03 15:32  hobu

	* *** empty log message ***

2006-05-03 15:30  hobu

	* Maintain a version.h.vc until we come up with a better solution

2006-05-03 15:28  strk

	* updated JTS_PORT to 1.7.1

2006-05-03 15:26  strk

	* testInvariant made public and always inlined

2006-05-03 15:19  strk

	* Changed sym_round() to java_math_round()

2006-05-03 15:12  strk

	* Oops, uninitialized value fix

2006-05-03 15:06  strk

	* Updated

2006-05-03 15:06  strk

	* Better doxygen comment

2006-05-03 15:05  strk

	* Assertions checking

2006-05-03 15:04  strk

	* removed reduntant port info

2006-05-03 15:02  strk

	* moved some implementations from header to .cpp file (taken out of
	  inline)

2006-05-03 15:00  strk

	* Fixed scale() function to remove repeated points *after*
	  rounding. Added brief doxygen class description.

2006-05-03 10:26  strk

	* Fixed misuse of precision model in noder (bufferFixedPrecision)

2006-05-03 09:46  strk

	* buffer headers reduction item

2006-05-03 09:45  strk

	* Do not install following buffer headers: BufferBuilder.h,
	  OffsetCurveSetBuilder.h, BufferSubgraph.h,
	  SubgraphDepthLocater.h,
	  RightmostEdgeFinder.h

2006-05-03 09:14  strk

	* * source/operation/buffer/OffsetCurveSetBuilder.cpp: used
	  auto_ptr to protect leaks of CoordinateSequence
	  * source/noding/ScaledNoder.cpp,
	  source/headers/geos/noding/ScaledNoder.h: ported JTS bugfix in
	  scale method.

2006-05-03 08:58  strk

	* added new non-static CoordinateSequence::removeRepeatedPoints()
	  mutator.

2006-05-02 16:22  strk

	* * source/noding/ScaledNoder.cpp: use java_math_round instead of
	  sym_round.

2006-05-02 14:51  strk

	* Added port info and fixed doxygen comments for CGAlgorithms class

2006-05-02 14:32  strk

	* Added port info for polygonize/EdgeRing class,
	  polygonize/EdgeRing.h header
	  not installed.

2006-05-02 14:22  strk

	* * source/operation/polygonize/: polygonizeEdgeRing.cpp renamed to
	  EdgeRing.cpp, to follow JTS naming.

2006-05-02 14:01  strk

	* * source/io/WKBReader.cpp: fixed reads of XDR WKB.

2006-04-28 12:09  strk

	* Added 'verbose-test' rule

2006-04-28 12:08  strk

	* Added note about Geometry constructors

2006-04-28 11:56  strk

	* * source/geom/GeometryFactory.cpp,
	  source/headers/geos/geom/GeometryFactory.h: added LineString copy
	  constructor.
	  * source/geom/Polygon.cpp: fixed getBoundary method to always
	  return a geometry composed by LineStrings (not LinearRings)

2006-04-28 11:12  strk

	* removed warnings related to change in getNumPoints() return type.

2006-04-28 10:55  strk

	* Geometry constructors made protected, to ensure all constructions
	  use GeometryFactory,
	  which has been made friend of all Geometry derivates.
	  getNumPoints() changed to return
	  size_t.

2006-04-28 10:51  strk

	* Unit tests: only construct Geoms using GeometryFactory.

2006-04-27 15:15  strk

	* Z check removed from invariant tester to avoid aborts due to
	  differences in FP computations.

2006-04-27 15:07  strk

	* use output operators in debugging lines

2006-04-27 15:06  strk

	* (addNode): always use the Node Coordinate as a key in the map to
	  reduce likeliness of a premature deletion.

2006-04-27 15:03  strk

	* standard algorithm used in addZ() for vector seek

2006-04-26 16:35  strk

	* Had WKTReader accept correct form for MultiPoint

2006-04-26 10:39  strk

	* Added mloskot item (bug#100)

2006-04-26 10:26  strk

	* tools/geos-config.in: fixed library path to use layout detected
	  by autoconf

2006-04-24 15:47  strk

	* Public constructors change made permanent

2006-04-23 11:58  mloskot

	* Small refactoring of DouglasPeuckerSimplifierTest (prefer to use
	  ctor instead of operator= to create objects). Added new patterns
	  to .cvsignore.

2006-04-23 11:29  mloskot

	* Added new patterns to .cvsignore file.

2006-04-22 17:16  mloskot

	* Temporar fix of Bug #100. This report requires deeper analysis!.

2006-04-21 17:04  strk

	* Fixed constructor by type to always initialize scale factor

2006-04-20 16:21  strk

	* Added missing debugging output

2006-04-20 14:27  strk

	* HCoordinate class changed to use long double types internally, in
	  order to improve computation precision

2006-04-20 14:16  strk

	* Added some more doxygen comments

2006-04-20 11:11  strk

	* source/algorithm/HCoordinate.cpp: added compile time define to
	  force storage of intermediate computation values to variables (in
	  order to make the -ffloat-store gcc switch effective). Disabled
	  by default.

2006-04-19 09:21  strk

	* Added snapround and simplify tests items

2006-04-19 09:20  strk

	* updated

2006-04-14 15:34  strk

	* Had CAPI use new BinaryOp class in an aim to reduce robustness
	  problems

2006-04-14 15:25  strk

	* updated, somehow

2006-04-14 15:19  strk

	* removed precision reduction code (use BinaryOp for that)

2006-04-14 15:06  strk

	* Added BinaryOp.h header

2006-04-14 15:04  strk

	* fixed missing namespace qualification in overlay::overlayOp

2006-04-14 14:57  strk

	* XMLTester binary ops invoked using the new BinaryOp template
	  function.

2006-04-14 14:38  strk

	* new geos::Geom::BinaryOp template function implementing various
	  heuristics aimed at making binary geometry ops work around
	  robustness issues.

2006-04-14 14:35  strk

	* Added overlayOp() adapter for use in templates expecting binary
	  ops

2006-04-14 09:02  strk

	* Hadded output operator and debugging prints for HCoordinate.

2006-04-13 23:57  strk

	* Disables reduced precision overlayOp (is broken)

2006-04-13 23:42  strk

	* Plugged CommonBitsOp attempts in overlay op, before brute force
	  precision
	  reduction (this is likely going to change)

2006-04-13 23:28  strk

	* "always build before commit" (forgot a closing paren)

2006-04-13 23:23  strk

	* fixed bug in binary ops failing to consistently reduce operands.

2006-04-13 21:53  strk

	* fixed bug introduced by previous commit

2006-04-13 21:52  strk

	* Many debugging lines and assertions added. Fixed bug in
	  TaggedLineString class.

2006-04-13 17:09  strk

	* Use default GeometryFactory instance (finishGEOS() is a no-op
	  now)

2006-04-13 16:48  strk

	* Added GEOSSimplify and GEOSTopologyPreserveSimplify interfaces.
	  Removed compiler warnings in geostest

2006-04-13 16:44  strk

	* Fixed a bug in DPTransformer handling of MultiPolygons

2006-04-13 16:04  strk

	* Made TopologyPreservingSimplifier implementation successfully
	  build

2006-04-13 14:51  strk

	* Forced NDR output (to not rely on architecture). Removed CRs
	  endings.

2006-04-13 14:25  strk

	* TopologyPreservingSimplifier initial port

2006-04-13 10:39  strk

	* Initial implementation of TaggedLinesSimplifier class

2006-04-13 09:28  mloskot

	* Removed definition of copy ctor and assignment operator for
	  LineSegmentString class.

2006-04-13 09:21  mloskot

	* Removed definition of copy ctor and assignment operator for
	  TaggedLineString class.
	  According to following rule: Declaring, but not defining, private
	  copy operations has
	  the effect of "turning off" copying for the class.

2006-04-12 17:24  strk

	* Added note about reduction of installed headers in simplify
	  namespace

2006-04-12 17:19  strk

	* Ported TaggedLineStringSimplifier class, made LineSegment class
	  polymorphic to fix derivation of TaggedLineSegment

2006-04-12 15:20  strk

	* LineSegmentIndex class

2006-04-12 14:22  strk

	* Initial implementation of TaggedLineSegment and TaggedLineString
	  classes

2006-04-12 12:20  strk

	* Added support for use of CommonBitsOp in reduced precision
	  attempts
	  (compile-time option)

2006-04-12 11:57  strk

	* Fixed debugging line

2006-04-12 11:39  strk

	* Removed Geometry.h and CoordinateSequence.h includes.
	  The former created a circular dependency.

2006-04-12 11:17  strk

	* Fixed exceptions constructors (were using operator+ with strings
	  and const char*)

2006-04-12 10:57  strk

	* Added WKBReader default ctor using default GeometryFactory
	  instance

2006-04-11 16:04  strk

	* geos::simplify::DouglasPeukerSimplifier class + unit test

2006-04-11 12:56  strk

	* used typedef for auto_ptr<CoordinateSequence>

2006-04-11 12:21  strk

	* GeometryTransformer class ported

2006-04-11 11:55  strk

	* Added CoordinateSequence::AutoPtr typedef

2006-04-11 11:16  strk

	* Added LineString and LinearRing constructors by auto_ptr

2006-04-11 09:53  strk

	* Added missing duplicated include sentinel

2006-04-11 09:41  strk

	* Initial implementation of a GeometryList class, to be used to
	  manage
	  lists of Geometry pointers.

2006-04-11 09:31  strk

	* Added Geometry::AutoPtr typedef

2006-04-11 09:29  strk

	* Fixed initialization list (removed compiler warning)

2006-04-10 18:15  strk

	* Changed Geometry::envelope member to be of type
	  auto_ptr<Envelope>.
	  Changed computeEnvelopeInternal() signater to return
	  auto_ptr<Envelope>

2006-04-10 17:35  strk

	* Changed LineString::points and Point::coordinates to be wrapped
	  in an auto_ptr<>. This should close bugs #86 and #89

2006-04-10 15:11  strk

	* First manual edit (will likely update later tonight... with
	  changes grouped
	  by date)

2006-04-10 15:05  strk

	* Re-synced with JTS version (so this actually *was* a bug :)

2006-04-10 15:05  strk

	* Fixed a bug introduced by previous commit in getCentroid()

2006-04-10 14:18  strk

	* Fixed getCentroid(Coordinate&) to round using PrecisionModel
	  all unit tests succeed.

2006-04-10 13:40  strk

	* Added default ctor for WKTReader (using GeometryFactory's default
	  instance)

2006-04-10 13:13  strk

	* Removed INLINE flags from geos-config --libs

2006-04-10 13:09  strk

	* Added GeometryFactory::defaultInstance()
	  Made Geometry::INTERNAL_GEOMETRY_FACTORY an alias for it
	  removed last deletion from Unload::Release class

2006-04-10 12:05  strk

	* Added inline-replicator implementation files to make sure
	  functions in .inl files are still available out-of-line.
	  A side effect is this should fix MingW build.

2006-04-10 11:34  strk

	* Uncommented required Geometry.h include (for use in auto_ptr)

2006-04-10 09:21  mloskot

	* Added new test for UniqueCoordinateArrayFilter class. Small fixes
	  related to signed/unsigned comparison.

2006-04-09 11:07  mloskot

	* Small fixes in doc/example.cpp.

2006-04-09 04:56  mloskot

	* Removed redundant semicolons from xmltester sources.

2006-04-09 04:26  mloskot

	* Removed redundant semicolon reported by g++ -pedantic.

2006-04-09 04:09  mloskot

	* Removed redundant semicolon reported by g++ -pedantic.

2006-04-09 01:48  mloskot

	* Added Unit Test for IntersectionMatrix class.

2006-04-09 01:46  mloskot

	* [SORRY] Added comments for doxygen based on JTS docs. Added
	  row/col dimension consts. Added asserts in functions to check if
	  given row/col is in range.

2006-04-09 01:41  mloskot

	* Added comments for doxygen based on JTS docs. Added row/col
	  dimension consts. Added asserts in functions to check if given
	  row/col is in range.

2006-04-08 15:57  mloskot

	* Added copyright notice to TUT files. Small cleaning.

2006-04-08 13:05  strk

	* Added assertion

2006-04-08 13:00  strk

	* assertion checking, mergeLabel() call fix (bug#91)

2006-04-07 16:52  strk

	* Port info, doxygen comments, assertion checking

2006-04-07 16:01  strk

	* Port info, doxygen comments, testInvariant(), many assertionss,
	  handling of
	  the NULL EdgeEndStar member

2006-04-07 13:26  strk

	* Use of auto_ptr<> to prevent confusing leaks in tester

2006-04-07 13:14  mloskot

	* Fixed annoying warnings from TUT.

2006-04-07 13:01  mloskot

	* Fixed line-ends to LF.

2006-04-07 12:55  mloskot

	* Uncommented test nr 38 in PolygonTest.cpp.

2006-04-07 12:37  mloskot

	* Added java_math_round() function for Asymmetric Arithmetic
	  Rounding. Small fixes in Unit Tests.

2006-04-07 10:42  mloskot

	* Added test nr 29 to PointTest (JTS conformance). Removed inform()
	  calls from GeometryFactoryTest.

2006-04-07 09:54  strk

	* Geometry::getNumGeometries() changed to return 'unsigned int'
	  rather then 'int'

2006-04-07 09:12  strk

	* kept isInSegmentEnvelopes() check even when not debugging

2006-04-07 08:31  strk

	* Debugging lines

2006-04-07 08:30  strk

	* made addCommonBits/removeCommonBits interface consistent, doxygen
	  comments

2006-04-07 08:28  strk

	* debugging lines, assertions

2006-04-07 08:27  strk

	* debugging blocks

2006-04-07 07:21  mloskot

	* Add new-line at the EOF some files.

2006-04-07 05:55  mloskot

	* Added new objects to .cvsignore.

2006-04-07 05:44  mloskot

	* Added name for anonymous enum in Dimension class (bug). Added
	  missing new-line at the end of source files. Removed CR from line
	  ends.

2006-04-07 00:05  mloskot

	* Adding missing isRectangleTest.cpp

2006-04-06 23:50  mloskot

	* Adding new Unit Tests.

2006-04-06 23:35  strk

	* Added Mateusz Loskot

2006-04-06 23:31  mloskot

	* [UT Files Renaming] Add PointLocatorTest.cpp

2006-04-06 23:28  mloskot

	* [UT Files Renaming] Remove 'io' tests.

2006-04-06 23:26  mloskot

	* [UT Files Renaming] Remove 'geom' tests.

2006-04-06 23:25  mloskot

	* [UT Files Renaming] Remove file PointLocator.cpp

2006-04-06 23:20  mloskot

	* New version of Unit Test runner. Now, it's more GNU style
	  compatible

2006-04-06 22:30  mloskot

	* Add inform() target in tut.h and new callbacks in tut_reporter.h

2006-04-06 21:31  strk

	* Const correctness for debugging function

2006-04-06 21:30  strk

	* Added missing rint_vc() forward declaration

2006-04-06 17:33  strk

	* Added unit test for DoubleBits

2006-04-06 14:36  strk

	* Cleanup in geos::precision namespace (leaks plugged, auto_ptr
	  use, ...)

2006-04-06 12:58  strk

	* Added printing of EdgeRing if available

2006-04-06 12:48  strk

	* Added private vector to keep track of allocated MaximalEdgeRings
	  objects

2006-04-06 12:47  strk

	* Fixed output function

2006-04-06 12:45  strk

	* Delayed deletion of newly allocated MaximalEdgeRings.
	  Existing 'valid' operation tests don't should instability with
	  this patch.

2006-04-06 12:36  strk

	* removed spurious lines from previous commi

2006-04-06 12:34  strk

	* Port info, more debugging lines, doxygen comments

2006-04-06 12:33  strk

	* More debugging lines

2006-04-06 12:29  strk

	* Fixed bogus static PrecisionModel variable in ::readCoordinate().

2006-04-06 09:41  strk

	* Added operator<<, added pts!=NULL assertion in testInvariant()
	  function

2006-04-06 09:39  strk

	* Added operator<<

2006-04-06 09:01  strk

	* Doxygen comments, port info, operator<<, assertion checking

2006-04-06 07:52  strk

	* Fixed bug in ::print() function

2006-04-05 18:28  strk

	* Moved testInvariant() methods from private to public, added
	  some comments about them.

2006-04-05 15:59  strk

	* Removed dead code

2006-04-05 14:33  strk

	* Removed annoying warnings from external source

2006-04-05 14:04  strk

	* Fixed copy ctor to support "Null" Envelope copies.
	  Drop init(Envelope&) method.
	  Port info and various cleanups.

2006-04-05 10:25  strk

	* Fixed LineString constructor to ensure deletion of
	  CoordinateSequence
	  argument on exception throw

2006-04-05 09:34  strk

	* GEOSException derived from std::exception again, hopefully the
	  correct way now

2006-04-05 09:20  strk

	* Added port informations and many assertion checking.
	  Fixed bug in getRightmostSide() method ( a "testing-only" corner
	  case )

2006-04-04 16:07  strk

	* More assertion checking, less overhead when built with NDEBUG
	  defined

2006-04-04 13:35  strk

	* Port info, assertion checking, indentation

2006-04-04 12:39  strk

	* Changed NotRepresentableCoordinate exception handler to throw
	  a TopologyException. This allows further handling.

2006-04-04 11:37  strk

	* Port information + initialization lists in ctors

2006-04-04 11:28  strk

	* NotRepresentable condition detected using finite() from <cmath>
	  rather then using FINITE() macro. Made ::intersection() body
	  more readable.

2006-04-04 09:53  strk

	* Fixed applyCoordinateFilter() templated function body

2006-04-04 08:16  strk

	* Changed GEOSException hierarchy to be derived from
	  std::runtime_exception.
	  Removed the GEOSException::toString redundant method (use
	  ::what() instead)

2006-04-04 01:54  hobu

	* Add in changes/missing from previous rearranging.

2006-04-04 01:29  hobu

	* GEOS_JTS_PORT is in version.h not platform.h

2006-04-04 01:28  hobu

	* remove objects that no longer exist
	  default to MSVC_VER=1310

2006-04-03 17:05  strk

	* Assertion checking, port info, cleanups

2006-04-03 15:54  strk

	* - getArgGeometry() parameter type changed from 'int' to 'unsigned
	  int'
	  - Added port informations
	  - minor assertions checking
	  - minor cleanups

2006-04-03 14:07  strk

	* Commented out obsoleted toInternal() method

2006-04-03 13:58  strk

	* Applied patch by Charlie Savage:
	  - Fixes up the SWIG bindings to use the new GEOS namespaces
	  - Fixes a bug in the Python m4 macro
	  - Adds the -modern flag for SWIG when compiling a Python
	  extension

2006-04-03 13:56  strk

	* Made externally-owned PrecisionModel const

2006-04-03 10:56  strk

	* Removed implementation files build spec for fully-inlined classes

2006-04-03 10:44  strk

	* Added missing headers

2006-04-03 10:16  strk

	* DouglasPeuckerLineSimplifier class port

2006-04-03 08:43  strk

	* Added port info, minor cleanups

2006-04-03 08:29  strk

	* Added port info, cleaned up log message, minor assertion
	  checking.

2006-03-31 17:51  strk

	* A few assertion checking, comments cleanup, use of initialization
	  lists
	  in constructors, handled NULL parameters.

2006-03-31 16:55  strk

	* Added many assertions checking in LineString implementation.
	  Changed ::getCoordinate() to return NULL on empty geom.
	  Changed ::get{Start,End}Point() to return NULL on empty geom.

2006-03-31 16:53  strk

	* Added comment about possible NULL return from getCoordinate()

2006-03-31 11:03  strk

	* Fixed NULL-GeometryFactory constructor to use
	  INTERNAL_GEOMETRY_FACTORY
	  (should fix bug #81)

2006-03-30 09:26  strk

	* minor cleanup

2006-03-29 15:48  strk

	* Added missing 'const' in catch std::exception statements

2006-03-29 15:23  strk

	* Moved GeometryGraph inlines from .h to .inl file

2006-03-29 14:34  strk

	* Sync'ed testfile with JTS head

2006-03-29 14:31  strk

	* Added PointLocator unit test

2006-03-29 13:53  strk

	* EdgeRing equipped with Invariant testing function and lots of
	  exceptional assertions. Removed useless heap allocations, and
	  pointers usages.

2006-03-29 11:52  strk

	* const correctness, useless heap allocations removal

2006-03-29 11:48  strk

	* Removed useless heap allocations in construction, enforced const
	  correctness

2006-03-28 16:49  strk

	* Reintroduced rewind of input parameter in printHEX() [dropped by
	  prev commit]

2006-03-28 16:33  strk

	* Added note about args responsibility in GeometryFactory
	  constructor

2006-03-28 16:11  strk

	* swapped assert_equals() args to get obtained/expected the right
	  way.

2006-03-28 15:27  strk

	* Simplified printHEX() implementation

2006-03-28 15:19  strk

	* Added macros for sections skip (useful in debugging)

2006-03-28 14:45  strk

	* Added simple test for WKB reader.

2006-03-28 14:02  strk

	* added missing header for non-inlined builds

2006-03-28 14:01  strk

	* forgot to add in previous commit

2006-03-28 11:26  strk

	* ByteOrderDataInStream inlines moved to .inl file, updated
	  implementation files includes.

2006-03-28 11:25  strk

	* Assertion checking

2006-03-28 09:14  strk

	* Headers inclusion fix.

2006-03-28 08:57  strk

	* Comments cleanup, system headers included after project headers

2006-03-28 08:40  strk

	* C-API lib version bumped to 1.1.1 (release 2.2.2 will ship 1.1.0)

2006-03-27 17:59  strk

	* Fixed small leak.

2006-03-27 17:04  strk

	* Cleanups and explicit initializations

2006-03-27 16:02  strk

	* Added INL file for MinimalEdgeRing, added many debugging blocks,
	  fixed memory leak in ConnectedInteriorTester (bug #59)

2006-03-27 15:57  strk

	* Commented need for platform.h include

2006-03-27 15:56  strk

	* Added missing platform.h include (for ISNAN macro)

2006-03-27 14:20  strk

	* Added paranoid assertion checking and a note in header about
	  responsibility of return from buildMaximalEdgeRings()

2006-03-27 10:37  strk

	* Reduced heap allocations and probability of error by making
	  LineIntersector
	  and RelateNodeGraph part of ConsistentAreaTester class .

2006-03-27 10:36  strk

	* added missing space in exception message

2006-03-27 10:34  strk

	* moved external includes after internal ones

2006-03-27 09:50  strk

	* Added final isValid test from JTS (floating version)

2006-03-27 09:48  strk

	* Extracted TestValid2.xml from testLeaksBig.xml (target file is
	  taken from JTS source tree)

2006-03-27 09:45  strk

	* Added TestValid.xml test, taken from JTS source tree, already
	  present in testLeaksBig (from which tests were removed)

2006-03-27 09:28  strk

	* added namespaces use and headers split

2006-03-27 09:05  strk

	* Added note about responsibility of return from GEOSGeomType()

2006-03-27 09:00  strk

	* Bug #79 - Small fix in CoordinateArraySequence::toString()

2006-03-24 11:42  strk

	* reverted default of assertion checking

2006-03-24 11:11  strk

	* Inlining enabled by default, assertion checking disabled by
	  default.
	  Added --enable-cassert and --disable-inline configure switches.
	  Had geos-config --cflags output appropriate inline flag if
	  required (-DGEOS_INLINE)

2006-03-24 11:04  strk

	* Changed assert() with Assert::isTrue in addReverseSubpath

2006-03-24 10:44  strk

	* Fixed to build with -DNDEBUG

2006-03-24 09:52  strk

	* USE_INLINE => GEOS_INLINE

2006-03-24 09:26  strk

	* Bug #77 - Missing platform.h

2006-03-24 09:25  strk

	* Bugs #77 and #76: missing <algorithm>

2006-03-24 09:23  strk

	* Bug #78 - Small fixes and cleaning

2006-03-23 15:10  strk

	* Dropped by-pointer TopologyException constructor, various small
	  cleanups

2006-03-23 13:31  strk

	* Fixed to allow build with GEOS_DEBUG

2006-03-23 12:12  strk

	* Fixes to allow build with -DUSE_INLINE

2006-03-23 10:55  strk

	* Temporarly excluded 'swig' extension from distribution, to allow
	  for
	  successufull 'dist' rule and distributed testing.

2006-03-23 10:41  strk

	* Fixed automake files

2006-03-23 10:09  strk

	* Fixed missing backslash

2006-03-23 09:17  strk

	* precision.h header split, minor optimizations

2006-03-22 18:12  strk

	* indexChain.h header split.

2006-03-22 16:59  strk

	* cleaned up

2006-03-22 16:58  strk

	* Removed (almost) all inclusions of geom.h.
	  Removed obsoleted .cpp files.
	  Fixed a bug in WKTReader not using the provided
	  CoordinateSequence
	  implementation, optimized out some memory allocations.

2006-03-22 16:01  strk

	* indexBintree.h header split, classes renamed to match JTS

2006-03-22 14:28  strk

	* Filenames renamed to match class names (matching JTS)

2006-03-22 12:22  strk

	* indexQuadtree.h split

2006-03-22 11:19  strk

	* opPolygonize.h headers split.

2006-03-22 11:18  strk

	* Changed back 'unable to find edge to compute depths' from
	  assertion to TopologyException

2006-03-22 10:13  strk

	* opLinemerge.h split

2006-03-21 21:42  strk

	* planargraph.h header split, planargraph:: classes renamed to
	  match JTS symbols

2006-03-21 17:55  strk

	* opDistance.h header split

2006-03-21 17:11  strk

	* opPredicate.h header split

2006-03-21 13:11  strk

	* opRelate.h header split

2006-03-21 11:20  strk

	* Changed expected result to the obtained one :)
	  We're not cheating, it's a 2-vertex linestring for
	  which an InteriorPoint is requested, both vertexes
	  are correct answer (equidistant from centroid).

2006-03-21 11:12  strk

	* Cleanups: headers inclusion and Log section

2006-03-21 10:47  strk

	* indexStrtree.h split

2006-03-21 10:46  strk

	* streamlined header inclusion, put original copyright on top

2006-03-21 10:01  strk

	* indexSweepline.h header split

2006-03-20 18:18  strk

	* io.h header split

2006-03-20 17:40  strk

	* <cmath> included when appropriate

2006-03-20 17:27  strk

	* Bug #72 - Missing <vector> header

2006-03-20 17:17  strk

	* Fixed geosdir

2006-03-20 16:57  strk

	* spatialindex.h and opValid.h headers split

2006-03-20 16:08  strk

	* redirected find stderr to /dev/null

2006-03-20 13:20  strk

	* Changed assertion to TopologyException for the "orphaned" hole
	  case
	  in order to allow for reduced precision ops to catch the case.

2006-03-20 12:33  strk

	* Simplified some privat methods to use refs instead of pointers,
	  added
	  debugging section for failiures of holes/shells associations

2006-03-20 12:32  strk

	* Added note about responsibility of return from ::toPolygon

2006-03-20 12:03  strk

	* Added operator<< for Geometry, writing HEXWKB

2006-03-20 11:42  strk

	* Added missing <cmath> include

2006-03-20 10:42  strk

	* Bug #61 - Disambiguated geom::Polygon use

2006-03-20 10:14  strk

	* Bug #69 - Check for macro WIN32_LEAN_AND_MEAN

2006-03-20 10:13  strk

	* Bug #71 - Missing <algorithm>

2006-03-20 10:12  strk

	* Bug #70 - Small fix in fwd decl. of CoordinateLessThen

2006-03-20 10:11  strk

	* Bug #67 - Debugging helpers in GeometryFactory class

2006-03-17 16:48  strk

	* LineIntersector and PointLocator made complete components of
	  RelateComputer
	  (were statics const pointers before). Reduced inclusions from
	  opRelate.h
	  and opValid.h, updated .cpp files to allow build.

2006-03-17 14:56  strk

	* Fixed filename normalizer for sql output

2006-03-17 13:24  strk

	* opOverlay.h header splitted. Reduced header inclusions in
	  operation/overlay implementation files. ElevationMatrixFilter
	  code moved from own file to ElevationMatrix.cpp (ideally a
	  class-private).

2006-03-16 13:30  strk

	* Added missing testfile

2006-03-16 13:29  strk

	* new unit test for LineSegment (adding tests would be helpful)

2006-03-16 13:28  strk

	* obsoleted getCoordinate(), replaced by operator[]

2006-03-16 13:27  strk

	* Added notes about testing

2006-03-16 10:47  strk

	* Bug #65 - Command line changes and EOL fixes Unit Test

2006-03-16 10:42  strk

	* Bug #64 - Not all control paths return a value in
	  geos::geom::Geometry::getClassSortIndex

2006-03-16 10:38  strk

	* Bug #63 - Remove unreferenced local variable warning

2006-03-16 09:37  strk

	* Initial unit tests

2006-03-15 18:59  strk

	* Bug #62: 'struct' CoordinateLessThen in forward declaration

2006-03-15 18:57  strk

	* small cleanup

2006-03-15 18:57  strk

	* cleanups in DEBUG lines

2006-03-15 18:56  strk

	* Temporary hack to avoid snapround:: Noders (still using
	  ScaledNoder wrapper)
	  to allow for buffer_snapround.xml test to succeed

2006-03-15 18:55  strk

	* Added xml testfile showing bug in snapround:: noders

2006-03-15 18:44  strk

	* Bug #60 - Missing <cmath> header in some files

2006-03-15 17:33  strk

	* Changed operator<< to use operator<< for Nodes

2006-03-15 17:17  strk

	* Added missing forward declarations

2006-03-15 17:16  strk

	* streamlined headers inclusion

2006-03-15 16:27  strk

	* operator<< for Node class

2006-03-15 15:50  strk

	* const correctness, cleanups

2006-03-15 15:27  strk

	* cleanups

2006-03-15 15:26  strk

	* Cleanups

2006-03-15 13:03  strk

	* removed leftover debugging line

2006-03-15 12:54  strk

	* Removed DepthSegment.h include

2006-03-15 12:54  strk

	* Removed public DepthSegment definition (moved inside
	  SubgraphDepthLocater implementation)

2006-03-15 12:52  strk

	* DepthSegment class moved inside SubgraphDepthLocator
	  implementaion
	  as it was private to this file in JTS. Also, changed to reduce
	  copies of LineSegment copies.

2006-03-15 11:45  strk

	* doxygen comments

2006-03-15 11:44  strk

	* debug blocks, dumping SQL when GEOS_DEBUG > 1

2006-03-15 11:42  strk

	* more debugging lines, with two levels of debugging handled

2006-03-15 11:39  strk

	* comments cleanup, changed computeDepths to use a list<> rather
	  then a vector (performance related)

2006-03-15 10:40  strk

	* Fixed to allow doxygen runs from external builddir

2006-03-15 09:51  strk

	* streamlined header usage

2006-03-15 09:51  strk

	* streamlined headers usage

2006-03-15 09:13  strk

	* updated port info

2006-03-15 09:12  strk

	* isSimple doc

2006-03-14 17:46  strk

	* Removed unrequired include

2006-03-14 17:10  strk

	* cleanups

2006-03-14 17:08  strk

	* comments cleanup, integrity checks

2006-03-14 16:55  strk

	* oops, GEOS_DEBUG default to 0

2006-03-14 16:55  strk

	* comments cleanup

2006-03-14 16:53  strk

	* removed endline from printing funx

2006-03-14 16:08  strk

	* changed buildSubgraphs signature to use refs rather then
	  pointers, made it const-correct. Reduced heap allocations in
	  createSubgraphs()

2006-03-14 15:46  strk

	* Added PlanarGraph::getNodes(vector&) func, to reduce useless heap
	  allocations

2006-03-14 15:32  strk

	* Cleaned up toString funx (more WKT friendly)

2006-03-14 14:16  strk

	* operator<< for BufferSubgraph, more debugging calls

2006-03-14 12:55  strk

	* Headers split: geomgraphindex.h, nodingSnapround.h

2006-03-14 11:03  strk

	* Added operator<< for Edge and EdgeList

2006-03-14 00:37  strk

	* Fixed include filenames

2006-03-14 00:36  strk

	* Reduced 'buffer' headers inclusion

2006-03-14 00:19  strk

	* opBuffer.h split, streamlined headers in some (not all) files in
	  operation/buffer/

2006-03-13 22:33  strk

	* Added missing forward declarations

2006-03-13 21:54  strk

	* Streamlined headers inclusion.

2006-03-13 21:19  strk

	* Fixed bug in ScaledNoder scaling mechanism (hugly code, due to
	  CoordinateSequence visitor pattern design). Tests are still
	  failing so this possibly needs some other fix. Streamlined
	  includes by implementation file.

2006-03-13 21:14  strk

	* Added missing forward declarations

2006-03-13 21:13  strk

	* Added comment about possible refactoring

2006-03-11 16:58  strk

	* Fixed bug in OffsetCurveBuilder::getCoordinates.

2006-03-10 15:50  strk

	* Changed 'found null Directed Edge' from an Assertion to a
	  TopologyException, to give 'precision-reducing' overlay operation
	  a chance to handle it (it seems to work)

2006-03-10 13:07  strk

	* fine-tuned includes, reverted Assert=>assert due to user-input
	  based failure

2006-03-10 12:50  strk

	* boost detection code fix, first UTF source for testing purposes

2006-03-10 12:43  strk

	* updated

2006-03-10 12:09  strk

	* Update configure script to work with new boost.m4 file

2006-03-10 11:49  strk

	* Updated boost detection macro

2006-03-10 11:41  strk

	* Added missing <algorithm> include (bug#56)

2006-03-10 11:10  strk

	* Initial boost detection code

2006-03-10 11:09  strk

	* Comments cleanup

2006-03-10 10:48  strk

	* Bug #58 - Patch to makefile.vc after big refactoring commit

2006-03-10 10:44  strk

	* Unreferenced exception objects cleanup (#52)

2006-03-10 10:37  strk

	* Added missing <algorithm> include (#55)

2006-03-10 10:34  strk

	* Added missing <algorithm> include (#54)

2006-03-09 18:22  strk

	* Added isvalid test for latest validop patch

2006-03-09 18:18  strk

	* Added memory-friendly MaximalEdgeRing::buildMinimalRings()
	  implementation.
	  Applied patch to IsValid operation from JTS-1.7.1

2006-03-09 17:40  strk

	* Fixed bug#33 (hopefully)

2006-03-09 16:46  strk

	* geos::geom namespace definition, first pass at headers split

2006-03-09 16:18  strk

	* Fixed to allow tests from external build tree (thanks Norman:)

2006-03-09 16:01  strk

	* Fixed debugging lines

2006-03-09 15:50  strk

	* Fixed debugging lines, added missing header

2006-03-09 15:47  strk

	* Fixed debugging lines

2006-03-09 15:39  strk

	* Fixed debugging lines

2006-03-09 14:48  strk

	* Added missing INCLUDES line

2006-03-07 14:21  strk

	* Leak plugged, tweeked output to be nice with --sql-output

2006-03-07 14:20  strk

	* Big deal of heap allocations reduction

2006-03-07 14:18  strk

	* Profiler singleton implemented with a function-static Profiler
	  instance

2006-03-07 12:42  strk

	* addedvalidity test for a case with invalid input

2006-03-07 12:41  strk

	* Added --wkb-output and made --sql-output compatible with -v

2006-03-07 11:22  strk

	* table name for sqlOutput normalized

2006-03-07 11:06  strk

	* Added --sql-output switch for debugging

2006-03-07 10:46  strk

	* verbose validity errors

2006-03-06 21:27  strk

	* Cascading fixed after Unload definition moved to geos::io
	  namespace

2006-03-06 19:43  strk

	* Fixed Unload class definition namespace (geos::io)

2006-03-06 19:40  strk

	* geos::util namespace. New GeometryCollection::iterator interface,
	  many cleanups.

2006-03-06 15:23  strk

	* geos::io namespace

2006-03-06 14:30  strk

	* Validity error include Coordinate

2006-03-06 13:27  strk

	* Cleaned up equalsExact

2006-03-06 13:26  strk

	* Fixed equalsExact check, and also reduced tolerance

2006-03-06 12:47  strk

	* TopologyValidationError error names (enum) renamed to avoid
	  conflicts.

2006-03-06 12:16  strk

	* Added second case for Union

2006-03-06 12:11  strk

	* precision.h => geos/precision.h (#48)

2006-03-06 11:39  strk

	* Added test extracted from data provided by Guillaume Sueur

2006-03-06 11:34  strk

	* Dropped unused/unmaintained/platform-problematic serial version
	  info for classes (#47)

2006-03-06 11:17  strk

	* added a compile-time option to get VERBOSE_EXCEPTION (print args
	  on exceptions)

2006-03-06 11:17  strk

	* precision reducing overlayOp made compile-time optional

2006-03-06 11:05  strk

	* Added input and output validity test facilities

2006-03-03 14:01  strk

	* Experimental precision-reducing overlayOp

2006-03-03 13:50  strk

	* Cleaned up InteriorPointLine class

2006-03-03 10:46  strk

	* Removed 'using namespace' from headers, added missing headers in
	  .cpp files, removed useless includes in headers (bug#46)

2006-03-02 18:17  strk

	* Added robustness testcases

2006-03-02 16:22  strk

	* Updated copyright notice

2006-03-02 16:21  strk

	* geos::precision namespace added

2006-03-02 14:53  strk

	* SweepLineEvent::DELETE=>DELETE_EVENT, INSERT=>INSERT_EVENT (#45)

2006-03-02 14:34  strk

	* GeometryGraphOperation::li made a non-static member, and not more
	  a pointer

2006-03-02 14:21  strk

	* DEBUG => GEOS_DEBUG [#44]

2006-03-02 12:12  strk

	* Renamed DEBUG macros to GEOS_DEBUG, all wrapped in #ifndef block
	  to allow global override (bug#43)

2006-03-02 11:03  strk

	* Added assertion in relate test handler

2006-03-02 11:00  strk

	* Changed IntersectionMatrix funx taking strings to take const
	  string& instead

2006-03-02 10:25  strk

	* Added support for FLOATING_SINGLE precisionmodel in XML tests

2006-03-02 10:03  strk

	* Removed use of strdup, changed GEOSjtsport() to return const
	  char* instead of char* (is not advertised in headerfile, so no
	  compatibility problems)

2006-03-02 09:51  strk

	* Fixes in DEBUG lines (bug#42)

2006-03-02 09:49  strk

	* Changed LineSegment output to use 'LINESEGMENT' label rather then
	  'LINESTRING'

2006-03-02 09:49  strk

	* WINCE implmentation of gettimeofday (bug#40)

2006-03-02 09:46  strk

	* cleaned up debugging lines

2006-03-01 18:44  strk

	* added note about getInteriorPoint() possibly returning NULL

2006-03-01 18:43  strk

	* Handled new NULL return from Geometry::getInteriorPoint()

2006-03-01 18:37  strk

	* Geometry::createPointFromInternalCoord dropped (it's a
	  duplication of GeometryFactory::createPointFromInternalCoord).
	  Fixed bugs in InteriorPoint* and getCentroid() inserted by
	  previous commits.

2006-03-01 18:19  strk

	* getCentroid() test moved from testLeaksBig.xml to
	  TestCentroid.xml (synced with JTS-1.7)

2006-03-01 18:15  strk

	* Extracted getInteriorPoint() tests out of testLeaksBig.xml and
	  into TestInteriorPoint.xml (synced with JTS-1.7).

2006-03-01 18:14  strk

	* Handled NULL return from Geometry::getInteriorPoint()

2006-03-01 17:16  strk

	* LineSegment class made final and optionally (compile-time)
	  inlined.
	  Reduced heap allocations in Centroid{Area,Line,Point} and
	  InteriorPoint{Area,Line,Point}.

2006-03-01 16:42  strk

	* Fixed include name (Bug#41)

2006-03-01 16:01  strk

	* Fixed const correctness of operator<<(ostream&, SegmentNodeList&)
	  [bug#37]

2006-03-01 13:49  strk

	* Fixed debug lines (bug#36)

2006-03-01 13:48  strk

	* Fixed missing type specifier (bug#35)

2006-03-01 13:06  strk

	* Used FLOATING precision model in buffer.xml test, added expected
	  results,
	  changed XMLTester.cpp to use a tolerance when comparing expected
	  and obtained
	  results from buffer operations.

2006-03-01 12:12  strk

	* Fixed a bug in verbose output preventing geometry arg 'A' from
	  being properly printed

2006-03-01 11:47  strk

	* Applied patch by Mateusz Loskot (Bug #39)

2006-03-01 10:48  strk

	* Changed static TopologyValidationError::errMsg[] from 'string' to
	  'const char*'
	  to reduce dynamic memory allocations.

2006-03-01 10:39  strk

	* ctor and dtor made private and inlined

2006-03-01 09:56  strk

	* Case insensitive operation names and geometry arguments names
	  (a/b)

2006-03-01 09:43  strk

	* Unrecognized tests always printed (was only printed when verbose
	  before)

2006-03-01 08:52  strk

	* File to be included by Makefile.vc

2006-02-28 19:22  strk

	* Fixed in-place definition of static members in OffsetCurveBuilder
	  (bug#33)

2006-02-28 19:18  strk

	* Added cctype include (bug #34)

2006-02-28 17:44  strk

	* Added a check in SegmentNode::addSplitEdge to prevent attempts
	  to build SegmentString with less then 2 points.
	  This is a temporary fix for the buffer.xml assertion failure,
	  temporary
	  as Martin Davis review would really be needed there.

2006-02-28 15:34  strk

	* Fix for VC++ builds (Bug #32)

2006-02-28 14:34  strk

	* Added many assertions and debugging output hunting for a bug in
	  BufferOp

2006-02-28 14:05  strk

	* Fixed a bug in a debugging line

2006-02-28 13:08  strk

	* Added missing definition of IteratedNoder::MAX_ITER, moving it to
	  private access level

2006-02-28 11:15  strk

	* Fixed strchr use (Bug #30)

2006-02-28 11:11  strk

	* Fixed typo in GEOSLenght function

2006-02-28 05:03  sgillies

	* added GEOSLength(), GEOSEnvelope() to the C API

2006-02-27 14:41  strk

	* More verbose handling of exceptions

2006-02-27 11:53  strk

	* DirectedEdgeStar made more safe trough assert(), use of standard
	  iterator and
	  dynamic casts substituting static ones.

2006-02-27 09:05  strk

	* Doxygen comments, a few inlines and general cleanups

2006-02-24 16:20  strk

	* Added Mateusz implementation of round() in a new math.cpp file
	  named sym_round(). Changed use of rint_vc to sym_round in
	  PrecisionModel.
	  Moved rint_vc to math.cpp (geos::util namespace), to be renamed
	  to something more meaningful

2006-02-24 15:39  strk

	* - operator>> for Coordinate, planarNode and planarEdge
	  - Fixed bug in planarGraphComponent::setMarked
	  - Added linemerge.xml test (single test, should grow a bit)

2006-02-24 12:19  strk

	* Fixed typo in config file

2006-02-23 23:17  strk

	* - Coordinate::nullCoordinate made private
	  - Simplified Coordinate inline definitions
	  - LMGeometryComponentFilter definition moved to LineMerger.cpp
	  file
	  - Misc cleanups

2006-02-23 20:32  strk

	* Added support for LineMerge tests. Exception printed on stderr.

2006-02-23 20:05  strk

	* Fixed bug in MCIndexNoder constructor making memory checker go
	  crazy, more
	  doxygen-friendly comments, miscellaneous cleanups

2006-02-23 20:03  strk

	* updated to also show undocumented methods

2006-02-23 11:54  strk

	* - MCIndexPointSnapper
	  - MCIndexSnapRounder
	  - SnapRounding BufferOp
	  - ScaledNoder
	  - GEOSException hierarchy cleanups
	  - SpatialIndex memory-friendly query interface
	  - GeometryGraph::getBoundaryNodes memory-friendly
	  - NodeMap::getBoundaryNodes memory-friendly
	  - Cleanups in geomgraph::Edge
	  - Added an XML test for snaprounding buffer (shows leaks, working
	  on it)

2006-02-21 16:53  strk

	* MCIndexPointSnapper, MCIndexSnapRounder

2006-02-20 21:04  strk

	* - namespace geos::index
	  - SpatialIndex interface synced

2006-02-20 10:14  strk

	* - namespaces geos::index::*
	  - Doxygen documentation cleanup

2006-02-19 19:46  strk

	* Packages <-> namespaces mapping for most GEOS internal code
	  (uncomplete, but working). Dir-level libs for index/ subdirs.

2006-02-18 21:08  strk

	* - new CoordinateSequence::applyCoordinateFilter method (slow but
	  useful)
	  - SegmentString::getCoordinates() doesn't return a clone anymore.
	  - SegmentString::getCoordinatesRO() obsoleted.
	  - SegmentString constructor does not promises constness of passed
	  CoordinateSequence anymore.
	  - NEW ScaledNoder class
	  - Stubs for MCIndexPointSnapper and MCIndexSnapRounder
	  - Simplified internal interaces of OffsetCurveBuilder and
	  OffsetCurveSetBuilder

2006-02-16 08:41  strk

	* Fixed include: "util.h" => "geos/util.h"

2006-02-16 08:41  strk

	* added <cmath> include for round()

2006-02-16 08:19  strk

	* Missed from last commit

2006-02-15 22:48  sgillies

	* added GEOSGeomType

2006-02-15 17:19  strk

	* NodingValidator synced with JTS-1.7, added
	  CoordinateSequence::operator[]
	  and size() to easy port maintainance.

2006-02-15 14:59  strk

	* JTS-1.7 sync for:
	  noding/SegmentNode.cpp
	  noding/SegmentNodeList.cpp
	  noding/SegmentString.cpp

2006-02-14 13:28  strk

	* New SnapRounding code ported from JTS-1.7 (not complete yet).
	  Buffer op optimized by using new snaprounding code.
	  Leaks fixed in XMLTester.

2006-02-09 15:52  strk

	* GEOSException derived from std::exception; always thrown and
	  cought by const ref.

2006-02-09 15:41  sgillies

	* incrementing C API patch level

2006-02-09 14:49  sgillies

	* added GEOSArea() to the C API

2006-02-09 13:44  strk

	* Added support for SRID in input WKB, undeprecated
	  Geometry::setSRID
	  and Geometry::getSRID

2006-02-09 01:47  frank

	* Botched last fix. Hopefully this is better.

2006-02-09 01:13  strk

	* Added missing <limits> include

2006-02-09 00:06  frank

	* Fixed support for consuming WKB for 'POLYGON EMPTY' with
	  numRings==0.
	  http://bugzilla.remotesensing.org/show_bug.cgi?id=1064

2006-02-08 17:18  strk

	* - New WKTWriter::toLineString and ::toPoint convenience methods
	  - New IsValidOp::setSelfTouchingRingFormingHoleValid method
	  - New Envelope::centre()
	  - New Envelope::intersection(Envelope)
	  - New Envelope::expandBy(distance, [ydistance])
	  - New LineString::reverse()
	  - New MultiLineString::reverse()
	  - New Geometry::buffer(distance, quadSeg, endCapStyle)
	  - Obsoleted toInternalGeometry/fromInternalGeometry
	  - More const-correctness in Buffer "package"

2006-02-08 13:07  strk

	* Added note about new LineSequencer class

2006-02-08 12:59  strk

	* - NEW Geometry::applyComponentFilter() templated method
	  - Changed Geometry::getGeometryN() to take unsigned int and
	  getNumGeometries
	  to return unsigned int.
	  - Changed planarNode::getDegree() to return unsigned int.
	  - Added Geometry::NonConstVect typedef
	  - NEW LineSequencer class
	  - Changed planarDirectedEdgeStar::outEdges from protected to
	  private
	  - added static templated setVisitedMap to change Visited flag
	  for all values in a map
	  - Added const versions of some planarDirectedEdgeStar methods.
	  - Added containers typedefs for planarDirectedEdgeStar

2006-02-07 13:26  strk

	* Added missing geomgraph SUBDIR

2006-02-07 12:02  strk

	* Removed TestConvexHull.xml file (already included in
	  testLeaksBig.xml

2006-02-06 11:27  strk

	* new entry

2006-02-05 17:14  strk

	* - New ConnectedSubgraphFinder class.
	  - More iterators returning methods, inlining and cleanups
	  in planargraph.

2006-02-04 00:54  strk

	* - Doxygen dox updated
	  - LineStringLT struct moved from geomgraph.h to geom.h
	  - New planarSubgraph class
	  - Fixed ruby Makefiles to avoid running tests when disabled
	  - Renamed TESTS variable to XMLTESTS to not confuse 'make check'
	  rule

2006-02-03 09:26  strk

	* Added missing file

2006-02-02 02:20  strk

	* Fixed bug in isRectangle() failing to detect rectangles.

2006-02-01 22:22  strk

	* updated

2006-02-01 22:21  strk

	* - Added rectangle-based optimizations of intersects() and
	  contains() ops
	  - Inlined all planarGraphComponent class

2006-01-31 21:42  strk

	* Added DepthSegment object

2006-01-31 21:36  strk

	* Fixes error in calling read_hex from scripting languages.

2006-01-31 21:35  strk

	* Erroneusly ended in CVS

2006-01-31 21:17  strk

	* Added missing file from last commits

2006-01-31 19:11  strk

	* Another left-over from cleanups

2006-01-31 19:10  strk

	* Removed leftover files in obsoleted dirs

2006-01-31 19:07  strk

	* - Renamed DefaultCoordinateSequence to CoordinateArraySequence.
	  - Moved GetNumGeometries() and GetGeometryN() interfaces
	  from GeometryCollection to Geometry class.
	  - Added getAt(int pos, Coordinate &to) funtion to
	  CoordinateSequence class.
	  - Reworked automake scripts to produce a static lib for each
	  subdir and
	  then link all subsystem's libs togheter
	  - Moved C-API in it's own top-level dir capi/
	  - Moved source/bigtest and source/test to tests/bigtest and
	  test/xmltester
	  - Fixed PointLocator handling of LinearRings
	  - Changed CoordinateArrayFilter to reduce memory copies
	  - Changed UniqueCoordinateArrayFilter to reduce memory copies
	  - Added CGAlgorithms::isPointInRing() version working with
	  Coordinate::ConstVect type (faster!)
	  - Ported JTS-1.7 version of ConvexHull with big attention to
	  memory usage optimizations.
	  - Improved XMLTester output and user interface
	  - geos::geom::util namespace used for geom/util stuff
	  - Improved memory use in geos::geom::util::PolygonExtractor
	  - New ShortCircuitedGeometryVisitor class
	  - New operation/predicate package

2006-01-30 21:59  frank

	* yikes! comment out debug define again

2006-01-30 21:58  frank

	* fixed up some debug messages

2006-01-30 16:55  strk

	* More patches from Charlie Savage

2006-01-27 08:58  strk

	* Python and Ruby build disable by default (until we've properly
	  tested it)

2006-01-27 08:25  strk

	* * Ruby - removes dependency on renames.i file which is no longer
	  deleted
	  and was removed from CVS last week
	  * Python - fixes autoconf search for Python include path
	  * Python - fixes autoconf search for Python lib directory on
	  MingW/windows
	  * Python - adds python library to link line so that python
	  extension can
	  be built

2006-01-22 22:48  strk

	* Added Safe's performance improvement idea for CoordinateSequence

2006-01-21 16:11  strk

	* updated

2006-01-21 16:08  strk

	* Fixed integer conversion bug (ported from JTS-1.7).
	  Added last port information.

2006-01-21 16:04  strk

	* Added endian specification to case descriptions.
	  All tests are Little Endian, should add the same
	  tests with Big Endian format.

2006-01-20 19:28  strk

	* Updated port information

2006-01-20 19:21  strk

	* Fixed bug #13

2006-01-20 19:11  strk

	* Updated last port info

2006-01-20 17:20  strk

	* More SWIG/python/ruby patches

2006-01-20 00:59  strk

	* Better debugging

2006-01-20 00:59  strk

	* PrecisionModel made FLOATING

2006-01-18 17:49  strk

	* Reworked XMLTester to be quiet by default. Use -v switch to make
	  it verbose.

2006-01-18 17:47  strk

	* Added GEOMETRYCOLLECTION test

2006-01-18 17:47  strk

	* Added another local test to the test rule

2006-01-18 17:46  strk

	* Fixed leak in ::writeFormatted(Geometry *)

2006-01-18 17:45  strk

	* more debugging lines

2006-01-18 13:23  strk

	* Set binary flag for stringstream used in ::readHEX()

2006-01-18 12:54  strk

	* Added HEXWKB support in XMLTester. Added a simple test in HEXWKB
	  form
	  and a 'test' rule running the locally-available tests and showing
	  result summay.

2006-01-18 10:02  strk

	* Added missing macro file

2006-01-17 12:03  strk

	* Modified AC_PROG_SWIG macro to set SWIG to the empty string
	  on error (rather then making it echo an error and return false).
	  SWIG version 1.3.28 or up required in order to build SWIG-based
	  extensions.

2006-01-16 18:34  strk

	* Added initial conditional build of python and ruby wrappers

2006-01-15 23:01  strk

	* Added bare build/install/dist scripts support for ruby interface

2006-01-15 21:23  strk

	* Initial import of ruby unit tests

2006-01-15 21:22  strk

	* Added Envelope constructor by string (accepting what's returned
	  by ::toString)

2006-01-15 21:19  strk

	* Added WKBWriter::writeHEX() and WKBReader::readHEX()

2006-01-12 11:44  strk

	* synced after 2.2.1 release

2006-01-12 11:44  strk

	* Removed double call to ::isValid

2006-01-08 15:39  strk

	* Changed finite() function call with FINITE() macro.

2006-01-08 15:24  strk

	* Changed container-related typedef to class-scoped STL-like
	  typedefs.
	  Fixed const correctness of EdgeIntersectionList::begin() and
	  ::end() consts;
	  defined M_PI when undef as suggested by Charlie Savage.
	  Removed <stdio.h> include from GeometricShapeFactory.cpp.

2005-12-22 12:46  strk

	* Imported Charlie Savage new ruby wrapper and swig changes

2005-12-14 11:22  strk

	* Added a note about the need to *always* increment CAPI version

2005-12-14 02:32  strk

	* New entry

2005-12-13 23:59  strk

	* Removed INTERFACE_* defines (obsoleted).
	  Made GEOSCoordSeq_clone() arg const (won't change ABI, it's C
	  world, lucky ;)

2005-12-13 23:03  strk

	* Removed conditional blocks based on GEOS version (we're always
	  in sync). This fixed an annoying problem introduced since
	  INTERFACE_LAST
	  and INTERFACE_CURREN were taken off geos/version.h

2005-12-12 09:32  strk

	* Switched to -release mode for C++ library versioning.
	  Every release will be binary-incompatible with previous.
	  Removed GEOS_FIRST_INTERFACE and GEOS_LAST_INTERFACE defines
	  from geos/version.h.

2005-12-11 10:41  strk

	* Fixed premature initialization of average Z value in
	  ElevationMatrixFilter

2005-12-11 10:38  strk

	* Fixed mungled versions (1.0.0/3.0.1 => 1.0.1/3.0.0)

2005-12-10 16:07  strk

	* Unkown -> Unknown typo fix

2005-12-09 13:24  strk

	* Capi lib version set to 1.0.1 (due to leak fix in GEOSHasZ)

2005-12-09 11:36  strk

	* Small leak plugged in CAPI::GEOSHasZ() and in
	  invalid input to PolygonizeGraph (again)

2005-12-09 10:32  strk

	* Cleaned up debugging line left over from previous commit

2005-12-09 10:03  strk

	* Fixed a bug making PolygonizeGraph choking on invalid
	  LineStrings.
	  Minor optimizations in Polygonizer loops.

2005-12-08 14:14  strk

	* ElevationMatrixFilter used for both elevation and Matrix fill,
	  thus removing CoordinateSequence copy in
	  ElevetaionMatrix::add(Geometry *).
	  Changed CoordinateFilter::filter_rw to be a const method: updated
	  all apply_rw() methods to take a const CoordinateFilter.

2005-12-08 01:39  strk

	* SegmentString::eiList made a real object rather then a pointer.
	  Adde getter for const and non-const references of it (dropping
	  get by pointer)

2005-12-08 01:11  strk

	* minor optimizations in loops

2005-12-08 00:24  strk

	* Reduced coordinate assignments in ::createSplitEdge

2005-12-08 00:03  strk

	* LineBuilder::lineEdgesList made a real vector, rather then
	  pointer (private member).
	  Small optimizations in LineBuilder loops, cleanups in LineBuilder
	  class dox.

2005-12-07 23:36  strk

	* standard indentation

2005-12-07 22:52  strk

	* Added CoordinateSequence::apply_rw(CoordinateFilter *) and
	  CoordinateSequence::apply_ro(CoordinateFilter *) const
	  to reduce coordinate copies on read-write CoordinateFilter
	  applications (previously required getAt()/setAt() calls).
	  Undefined PROFILE_COORDINATE_COPIES (erroneously left defined by
	  previous commit)

2005-12-07 21:55  strk

	* Optimized memory allocations in ::removeRepeatedPoints

2005-12-07 20:52  strk

	* minor container methods call reduction

2005-12-07 20:51  strk

	* removed dead code

2005-12-07 20:51  strk

	* minor cleanups

2005-12-07 20:49  strk

	* Oops, removed Coordinate copies introduced by recent code
	  cleanups

2005-12-07 19:18  strk

	* Changed PlanarGraph::addEdges and EdgeList::addAll to take
	  a const vector by reference rather then a non-const vector by
	  pointer.
	  Optimized polygon vector allocations in
	  OverlayOp::computeOverlay.

2005-12-06 10:24  strk

	* Added acsite.m4 to distribution.
	  Added macros and flags required to build on mingw arch.

2005-11-30 16:07  strk

	* Added geos_c.h

2005-11-30 16:03  strk

	* Added --ldflags

2005-11-30 16:01  strk

	* Updated with C-API usage

2005-11-30 11:27  strk

	* catch std::exception by ref

2005-11-30 11:25  strk

	* includes cleanup

2005-11-29 23:01  strk

	* updated moving some items to 2.2.0

2005-11-29 15:45  strk

	* Fixed signedness of TopologyLocation methods, cleanups.

2005-11-29 15:16  strk

	* Fixed sign-related warnings and signatures.

2005-11-29 14:49  strk

	* More info

2005-11-29 14:44  strk

	* Updated

2005-11-29 14:39  strk

	* Removed number of points cache in Edge, replaced with local
	  caches.

2005-11-29 14:39  strk

	* More signed/unsigned fixes

2005-11-29 13:39  strk

	* Moved byte typedef from geom.h to io.h.
	  Removed useless commas at inlined funx end.
	  Changed CoordinateSequenceFactory::create(siz,dims) to use
	  unsigned for dims.

2005-11-29 11:18  strk

	* organized changes info

2005-11-29 00:48  strk

	* Removed edgeList cache from EdgeEndRing. edgeMap is enough.
	  Restructured iterated access by use of standard ::iterator
	  abstraction
	  with scoped typedefs.

2005-11-28 18:37  strk

	* Minor warning removal

2005-11-25 12:22  strk

	* Made XMLTester able to run multiple test files and keep overall
	  counters.

2005-11-25 11:40  strk

	* Another getSize in for loop, another int-unsigned int warning

2005-11-25 11:31  strk

	* Removed all CoordinateSequence::getSize() calls embedded in for
	  loops.

2005-11-25 11:30  strk

	* Fix in ::equals() - this finally passes testLeaksBig.xml tests

2005-11-25 09:57  strk

	* Fixed bug in getCoordinates() [ introduced by previous commit ]

2005-11-24 23:43  strk

	* Yes another fix, sorry. Missing const-correctness.

2005-11-24 23:24  strk

	* Fixed equals() function [ optimized in previous commit, but
	  unchecked ]

2005-11-24 23:24  strk

	* Added note about CoordinateSequence signed->unsigned change in
	  API

2005-11-24 23:09  strk

	* CoordinateSequence indexes switched from int to the more
	  the correct unsigned int. Optimizations here and there
	  to avoid calling getSize() in loops.
	  Update of all callers is not complete yet.

2005-11-24 23:07  strk

	* CentroidLine made concrete class (only destructor was virtual) -
	  avoided heap allocation for owned Coordinate centSum

2005-11-21 16:03  strk

	* Coordinate interface change:
	  Removed setCoordinate call, use assignment operator
	  instead. Provided a compile-time switch to
	  make copy ctor and assignment operators non-inline
	  to allow for more accurate profiling.
	  
	  Coordinate copies removal:
	  NodeFactory::createNode() takes now a Coordinate reference
	  rather then real value. This brings coordinate copies
	  in the testLeaksBig.xml test from 654818 to 645991
	  (tested in 2.1 branch). In the head branch Coordinate
	  copies are 222198.
	  Removed useless coordinate copies in ConvexHull
	  operations
	  
	  STL containers heap allocations reduction:
	  Converted many containers element from
	  pointers to real objects.
	  Made some use of .reserve() or size
	  initialization when final container size is known
	  in advance.
	  
	  Stateless classes allocations reduction:
	  Provided ::instance() function for
	  NodeFactories, to avoid allocating
	  more then one (they are all
	  stateless).
	  
	  HCoordinate improvements:
	  Changed HCoordinate constructor by HCoordinates
	  take reference rather then real objects.
	  Changed HCoordinate::intersection to avoid
	  a new allocation but rather return into a provided
	  storage. LineIntersector changed to reflect
	  the above change.

2005-11-18 00:55  strk

	* Fixed a bug in EdgeRing::containsPoint().
	  Changed EdgeRing::getLinearRing() to avoid LinearRing copy and
	  updated
	  usages from PolygonBuilder.
	  Removed CoordinateSequence copy in EdgeRing (ownership is
	  transferred
	  to its LinearRing).
	  Removed heap allocations for EdgeRing containers.
	  Initialization lists and cleanups.

2005-11-16 22:21  strk

	* enforced const-correctness and use of initializer lists.

2005-11-16 15:49  strk

	* Reduced gratuitous heap allocations.

2005-11-15 18:30  strk

	* Removed dead code

2005-11-15 12:14  strk

	* Reduced heap allocations, made use of references when
	  appropriate,
	  small optimizations here and there.

2005-11-15 10:04  strk

	* Reduced heap allocations (vectors, mostly).
	  Enforced const-correctness, changed some interfaces
	  to use references rather then pointers when appropriate.

2005-11-15 10:02  strk

	* optimized envelope computation reducing virtual calls

2005-11-14 18:14  strk

	* Reduced heap allocations made by TopologyLocation and Label
	  objects.
	  Enforced const-correctness on GraphComponent.
	  Cleanups.

2005-11-10 16:26  strk

	* Fixed printHEX (was printing one char past the WKB)

2005-11-10 15:20  strk

	* Made virtual overloads explicit.

2005-11-10 10:47  strk

	* Renamed MultiPoint::getCoordinate(int) to
	  MultiPoint::getCoordinateN(int)
	  to avoid hiding of Geometry::getCoordinate().

2005-11-10 10:24  strk

	* Fixed virtual overload of CoordinateArrayFilter::filter*

2005-11-10 09:33  strk

	* Removed virtual overloading LineString::compareTo(LineString *)

2005-11-09 15:14  strk

	* Forgot to add this

2005-11-09 13:44  strk

	* Cleanups in Node and NodeMap.
	  Optimization of EdgeIntersectionLessThen.

2005-11-09 08:57  strk

	* IntersectionMatrix made a concrete and final type.
	  Cleanups in class definition.

2005-11-08 20:12  strk

	* Memory overhead reductions in buffer operations.

2005-11-08 12:32  strk

	* Cleanups, ::setPoint small improvement

2005-11-08 11:33  strk

	* comments cleanup

2005-11-08 10:26  strk

	* Library versioning took back to 3.0.0

2005-11-08 10:03  strk

	* Set library version to 2.2.0.
	  Cleaned up Doxygen warnings.
	  Inlined more Envelope methods.
	  Dropped deprecated Envelope::overlaps methods.

2005-11-07 18:07  strk

	* Removed VisualStudio knowledge from configure script

2005-11-07 18:05  strk

	* Reduced set<> lookups

2005-11-07 13:17  frank

	* no longer used

2005-11-07 13:17  frank

	* removed VisualStudio, no longer distributed

2005-11-07 13:16  frank

	* obsolete

2005-11-07 12:31  strk

	* Changed EdgeIntersectionList to use a set<> rathern then a
	  vector<>, and
	  to avoid dynamic allocation of initial header.
	  Inlined short SweepLineEvent methods.

2005-11-07 11:32  strk

	* Added const qualifiers to function to reflect paradigm of
	  immutable
	  Geometry objects.

2005-11-04 15:42  strk

	* Fixed bug in SweepLineEventLessThen functor
	  (didn't conform to strict weak ordering).
	  Note: this was introduced by previous commit.

2005-11-04 11:06  strk

	* updated

2005-11-04 11:04  strk

	* Ported revision 1.38 of IsValidOp.java (adding closed Ring
	  checks).
	  Changed NestedRingTester classes to use Coorinate pointers
	  rather then actual objects, to speedup NULL tests.
	  Added JTS port revision when applicable.

2005-11-04 08:28  strk

	* Ported speedup of OverlayOp::insertUniqueEdge() from JTS-1.7 (rev
	  1.23)
	  Updated NEWS file.

2005-11-03 21:28  strk

	* Fixed constructors broke by previous commit

2005-11-03 19:51  strk

	* Indentation changes, small vector memory allocation optimization.

2005-11-03 09:15  strk

	* Removed declaration of PointCoordinateSequence and
	  PointCoordinateSequenceFactory

2005-11-01 09:40  strk

	* Replaced finite() with FINITE() calls.

2005-10-27 14:05  strk

	* Added a SweepLineEventLessThen functor to be used by sort
	  algorithm.

2005-10-24 13:28  strk

	* Changed constructors to take ownership of GEOSGeom and
	  GEOSCoordSeq objects.
	  Changed inspectors to retain ownership of GEOSGeom and
	  GEOSCoordSeq objects.
	  Added GEOSGeom_clone() method.

2005-10-21 15:13  strk

	* Added GEOSGeom_clone() function

2005-10-21 12:14  strk

	* Added missing GEOS_DLL specifiers

2005-10-21 12:07  strk

	* Added fine-grained geometry constructors and GEOSCoordSeq
	  abstract data type.
	  Renamed GEOSmakeCollection to GEOSGeom_createCollection

2005-10-21 09:02  strk

	* typo fixed

2005-10-21 02:46  frank

	* added myself to authors - isn't that cheeky!

2005-10-21 02:45  frank

	* added note on source\makefile.vc

2005-10-21 02:44  frank

	* added a wee readme

2005-10-21 02:41  frank

	* added DLL building, and geostest.exe

2005-10-21 02:41  frank

	* need to DLL export C API

2005-10-21 02:37  frank

	* DLL Export functions

2005-10-21 02:37  frank

	* avoid non-portable vasprintf, make big buffer static

2005-10-21 01:57  frank

	* updated for 3.0.0 and added C API

2005-10-20 20:37  frank

	* added getMachineByteOrder(), convert to unix text mode

2005-10-19 13:07  strk

	* Added support for SRID flag in WKB (full EWKB is accepted now)

2005-10-19 12:59  strk

	* Added input stream checks in ByteOrderDataInStream, throwing
	  ParseException on unexpected EOF

2005-10-17 15:55  strk

	* Added GetGeometryN, GetInteriorRingN, GetExteriorRing

2005-10-17 14:37  strk

	* Added comments on exception returns for Geometry info functions

2005-10-17 14:33  strk

	* Added missing exception handlers from previous commit.
	  Fixed GEOSGeomTypeId signatures.

2005-10-17 12:56  strk

	* Removed GEOS_VERSION define (Geometry.cpp, the only file using
	  this will use the one in version.h)

2005-10-17 12:55  strk

	* Fixed GEOSGeom typedef to be accepted by C++ compilers, added
	  extern "C" namespace for inclusion by C++ code (really needed?)

2005-10-17 09:38  strk

	* Added GEOSDistance() function.
	  Trapped all exceptions and reported using ERROR_MESSAGE rather
	  then NOTICE_MESSAGE.
	  Changed WKB functions to use 'unsigned char' rather then 'char'
	  Added missing GEOS_setWKBOutputDims() function in header file.

2005-09-28 16:33  strk

	* Added GEOS_setWKBOutputDims(int) function to specify coordinate
	  dimension in WKB output.

2005-09-28 10:15  strk

	* WKBWriter ctor out-lined (will require changes in the near
	  future, for higher dimensions support), added support for 3d WKB
	  output

2005-09-28 09:36  strk

	* Cleanups in the printHEX function

2005-09-27 16:29  strk

	* Ported JTS-1.7 use of PrecisionModel in WKBReader

2005-09-27 16:20  strk

	* Reverted previous change, fixed the bug by turning
	  WKBReader.factory
	  into a reference rather then a real object. ABI still breaks, but
	  API
	  at least is safe (we didn't release any WKB-aware package so
	  breaking
	  ABI is not a big deal at this stage).

2005-09-27 16:00  strk

	* Fixed bug in WKBReader destroying the GeometryFactory used in
	  Geometry
	  construction. Changed it's definition to *require* a
	  GeometryFactory
	  pointer parameter.

2005-09-27 08:51  strk

	* Added XMLTester.h in XMLTester_SOURCES list

2005-09-26 14:40  strk

	* Fixed handling of higher dimensional WKB streams

2005-09-26 13:46  strk

	* Modified GEOS_CAPI_VERSION to include underlying GEOS version

2005-09-26 13:42  strk

	* Moved C-api versioning to top-level configure.in
	  Added version info in geos_c.h

2005-09-26 12:25  strk

	* Changed LineMerge interface to accept a single Geometry and
	  return the simpler Geometry obtainable with the set of merger
	  LineStrings. Fixed leaks in geostest, fixed a leak in
	  GEOSRelate().

2005-09-26 12:23  strk

	* Initializzation lists in PrecisionModel ctors

2005-09-26 11:04  strk

	* Added changes in LineMerger

2005-09-26 11:01  strk

	* Const correctness changes in LineMerger package, and a few
	  speedups.

2005-09-26 08:18  strk

	* Added .lo, .la and geostest

2005-09-26 08:17  strk

	* Removed memory leak from WKB tester

2005-09-23 17:20  strk

	* Made LineMerger graph be a real object (rather then a pointer to
	  it)

2005-09-23 16:07  strk

	* Fixed export of GEOSPolygonize() and GEOSMakeCollection()

2005-09-23 09:49  strk

	* Added GEOSMakeCollection.
	  Changed GEOSGetCentroid to return an EmptyGeometry when no
	  Centroid can be
	  computed (Empty input, for example).

2005-09-19 08:16  strk

	* Added C api

2005-09-14 15:11  strk

	* Removed functions returning not-new GEOSGeom objects to avoid
	  ambiguity
	  whereas when to destroy returns. Added not about memory
	  management.

2005-09-14 14:55  strk

	* Added copyright notices and usage notes

2005-09-14 14:28  strk

	* Fixed bug writing WKB for all Multi* geoms as Collections.

2005-09-14 13:58  strk

	* Initial abstract C api.

2005-09-14 13:56  strk

	* Typo fixed

2005-09-03 21:26  strk

	* Reworked WKB I/O to avoid use of templates and make better use of
	  STL

2005-08-22 13:34  strk

	* Added 2.1.4 section

2005-08-22 13:31  strk

	* Fixed comparator functions used with STL sort() algorithm to
	  implement StrictWeakOrdering semantic.

2005-07-12 14:33  strk

	* updated

2005-07-11 16:21  strk

	* Removed '_' prefix from header guards

2005-07-11 12:17  strk

	* Cleaned up syntax

2005-07-11 12:17  strk

	* Commented out useless include

2005-07-11 10:50  strk

	* Added parens suggested by compiler

2005-07-11 10:27  strk

	* Cleaned up signed/unsigned mismatches

2005-07-11 10:27  strk

	* Fixed initializzazion lists

2005-07-11 10:26  strk

	* Made CoordinateSequence::getDimension return unsigned int instead
	  of int

2005-07-11 10:23  strk

	* removed useless assignment

2005-06-30 18:31  strk

	* Ported SubgraphDepthLocator optimizations from JTS code

2005-06-28 21:13  strk

	* Fixed a bug introduced by LineSegment skip - made LineSegment
	  skip a compile-time optione

2005-06-28 16:52  strk

	* Added number of points count as a debugging aid

2005-06-28 11:22  strk

	* Added DepthSegmentLT bugfix

2005-06-28 01:07  strk

	* improved extraction of result points in overlay op

2005-06-28 00:04  strk

	* improved ::isIncidentEdgeInResult() method

2005-06-27 21:58  strk

	* Bugfix in DepthSegmentLT as suggested by Graeme Hiebert

2005-06-27 21:24  strk

	* Fixed bug just-introduced with optimization.

2005-06-27 21:21  strk

	* Reduced Coordinate copies due to LineSegment overuse

2005-06-25 10:20  strk

	* OverlayOp speedup (JTS port)

2005-06-24 11:12  strk

	* Added LineIntersector concrete type note

2005-06-24 11:09  strk

	* Dropped RobustLineIntersector, made LineIntersector a concrete
	  class.
	  Added
	  LineIntersector::hasIntersection(Coordinate&,Coordinate&,Coordinate&)
	  to avoid computing intersection point (Z) when it's not
	  necessary.

2005-06-23 14:22  strk

	* Inlined and added missing ::clone() for Geometry subclasses

2005-06-23 11:23  strk

	* performance improvement for CGAlgorithms::isOnLine()

2005-06-22 00:46  strk

	* Shortcircuit tests for Union

2005-06-22 00:46  strk

	* Fixed bugus handling of collections in ::buildGeometry

2005-06-21 12:22  strk

	* XMLTester code cleanups

2005-06-20 10:23  strk

	* XMLTester installed by default

2005-06-17 15:17  strk

	* Removed ltmain.sh from repository, will be created by autogen.sh

2005-06-17 15:08  strk

	* Polygonizer segfault fix

2005-06-17 14:58  strk

	* Fixed segfault in LinearRing and LineString constructors

2005-06-14 11:57  strk

	* Added workaround for mingw Polygon name clash

2005-06-10 14:04  strk

	* Added libtoolize call

2005-06-10 13:24  strk

	* Added use declaration to make MingW build work

2005-06-08 09:38  strk

	* Added GCC version requirement note

2005-06-05 10:41  strk

	* Changes file renamed back to NEWS, automake insists on finding
	  it.

2005-05-30 16:20  autorun

	* Blank news file to molfify new versions of autoconf

2005-05-24 08:42  strk

	* Info moved into CHANGES file

2005-05-24 08:42  strk

	* Filled in section from 2.0.0 to 2.1.1

2005-05-24 07:48  strk

	* Initial import

2005-05-23 16:42  strk

	* Added Refractions copyright

2005-05-23 15:13  strk

	* Added debugging output

2005-05-23 15:04  strk

	* Fixed bug in ::reverse()

2005-05-22 17:45  strk

	* Fixed initialization list order

2005-05-22 17:42  strk

	* Added missing WKBWriterT.h

2005-05-20 16:15  strk

	* Code cleanups

2005-05-20 16:14  strk

	* Fixed a bug in addPolygonRing setting wrong depths on Edges

2005-05-19 10:29  strk

	* Removed some CGAlgorithms instances substituting them with direct
	  calls
	  to the static functions. Interfaces accepting CGAlgorithms
	  pointers kept
	  for backward compatibility but modified to make the argument
	  optional.
	  Fixed a small memory leak in OffsetCurveBuilder::getRingCurve.
	  Inlined some smaller functions encountered during bug hunting.
	  Updated Copyright notices in the touched files.

2005-05-19 10:26  strk

	* Added bogus multipolygon buffering test

2005-05-13 18:06  strk

	* Added default tolerance parameter for equalsExact

2005-05-13 17:15  strk

	* cleanups and indentations

2005-05-13 17:14  strk

	* Added comment about 2D-only comparison of ::equal(Coordinate,
	  Coordinate, double)

2005-05-09 21:17  strk

	* Second argument to ::write made mandatory.

2005-05-09 10:35  strk

	* Ported JTS robustness patches made by Martin on suggestions by
	  Kevin.

2005-05-03 15:30  strk

	* Added WKB TODOs

2005-04-29 17:40  strk

	* Updated Doxygen documentation and some Copyright headers.

2005-04-29 16:36  strk

	* Fixed biostringstream stream output.

2005-04-29 16:36  strk

	* Made WKBReader use global_factory, for having WKB reads produce
	  same context of input geoms.

2005-04-29 15:34  strk

	* Typedef'ed biostringstream, preferred parameter for
	  WKB parser templates.
	  Added << operator for biostringstream.
	  Typedef'ed WKBWriter and WKBReader to be parametrized by
	  biostringstream.
	  Added WKBtest in doc/example.cpp

2005-04-29 11:52  strk

	* Added new JTS interfaces for CoordinateSequence and factories,
	  removed example implementations to reduce maintainance costs.
	  Added first implementation of WKBWriter, made
	  ByteOrderDataInStream
	  a template class.

2005-04-29 11:50  strk

	* Added machine byte order extractor

2005-04-21 15:13  strk

	* library version bumped to 3.0.0

2005-04-21 13:43  strk

	* Updated chage logs

2005-04-21 11:16  strk

	* Removed useless Coordinate copies in mergeZ() - patch by Safe
	  Software

2005-04-20 17:56  strk

	* Removed NonRobustCGAlgorithms and RobustCGAlgorithms, already
	  unused (CGAlgorithms replaces both with robust implementation).

2005-04-20 17:22  strk

	* Added initial implementation of WKBReaderT and
	  ByteOrderDataInStreamT
	  class templates and ByteOrderValues class.
	  Work is unfinished as WKBReader requires new interface of
	  CoordinateSequence
	  taking higher dimensions into account.

2005-04-20 17:18  strk

	* Added standard copyright header

2005-04-19 11:49  strk

	* Fixed segfault in ::isEmpty

2005-04-14 11:49  strk

	* Applied slightly modified patch by Cheng Shan to speedup WKT
	  parsing.

2005-04-07 18:43  strk

	* Fixed bug throwing an exception when a result could be returned
	  instead
	  (ported JTS patch)

2005-04-06 11:09  strk

	* Applied patch from Jon Schlueter (math.h => cmath; ieeefp.h in
	  "C" block)

2005-04-02 17:07  sgillies

	* now supporting the win32 platform, thanks to Howard Butler

2005-03-26 08:19  strk

	* Commented out Polygonizer::LineStringAdder friendship

2005-03-10 17:27  strk

	* ported from current JTS

2005-03-04 07:48  strk

	* Removed useless copy from ::isOnLine() - suggested by Dale Lutz

2005-03-02 08:14  strk

	* Removed commented line, cousing strange behaviours with
	  autotools.

2005-02-22 18:21  strk

	* Changed SegmentNode to contain a *real* Coordinate (not a
	  pointer) to reduce
	  construction costs.

2005-02-22 17:10  strk

	* Reduced CoordinateSequence::getSize() calls.

2005-02-22 16:24  strk

	* cached number of points in Edge

2005-02-22 16:23  strk

	* Cached number of points in CoordinateSequence.

2005-02-22 15:49  strk

	* Reduced calls to DefaultCoordinateSequence->getSize().

2005-02-22 15:16  strk

	* STRtree::avg() and STRtree::centreY() inlined.

2005-02-22 10:55  strk

	* Optimized Edge::equals(Edge *e)

2005-02-18 08:20  strk

	* Added support for point-per-quadrant argument in buffer tests
	  (using arg2).

2005-02-17 09:56  strk

	* Commented out unused variable.

2005-02-17 09:56  strk

	* Applied patch from Jon Schlueter using <cmath> instead of
	  <math.h>

2005-02-15 17:15  strk

	* Inlined most Envelope methods, reserved() memory for some vectors
	  when
	  the usage was known a priori.

2005-02-11 08:58  strk

	* Applied patch from Curtis Barrett handling --includedir and
	  --libdir
	  params for configure.

2005-02-05 05:44  strk

	* Changed geomgraph nodeMap to use Coordinate pointers as keys,
	  reduces
	  lots of other Coordinate copies.

2005-02-04 23:55  strk

	* Envelope destructor made non-virtual to give compiler more static
	  binding options.

2005-02-04 18:49  strk

	* Changed ::computeDepths to use a set instead of a vector for
	  checking
	  visited Edges.

2005-02-04 14:49  strk

	* Added rule to build staticXMLTester (for profiling with gprof)

2005-02-03 09:17  strk

	* more profiling label

2005-02-01 16:09  strk

	* more profiling labels

2005-02-01 16:06  strk

	* Small optimizations.

2005-02-01 14:18  strk

	* More profiler labels

2005-02-01 14:18  strk

	* Made profiler start/stop inline

2005-02-01 13:44  strk

	* More profiling labels.

2005-01-31 15:41  strk

	* Small optimizations.

2005-01-28 10:01  strk

	* substituted sprintf calls with use of ostringstream

2005-01-28 09:47  strk

	* Replaced sprintf uses with ostringstream.

2005-01-28 08:47  strk

	* Removed sprintf usage, replaced with sstream

2005-01-28 07:58  strk

	* removed sprintf usage, ad ::toString call Coordinate::toString

2005-01-18 17:22  strk

	* reverted previous change, sign was actually stored in zgap

2005-01-18 17:09  strk

	* Fixed interpolateZ call using final intersection point instead of
	  HCoordinate.

2005-01-14 08:04  strk

	* Fixed Z interpolation to use the correct sign

2005-01-03 16:06  strk

	* Changed polygonize op to return a GeometryCollection

2005-01-03 15:56  strk

	* Fixed memory leaks just introduced for Polygonizer test case.

2005-01-03 15:49  strk

	* Added Polygonize test handling

2004-12-30 13:32  strk

	* Handled NULL result from getCentroid()

2004-12-30 13:31  strk

	* Fixed a segfault on EMPTYGEOM->getCeontroid()

2004-12-30 10:14  strk

	* never return LinearRing or MultiLinearRing from getBoundary

2004-12-30 10:14  strk

	* input checking and class promoting in createMultiLineString()

2004-12-22 09:42  strk

	* Fixed a premature Geometry destruction, Avoided
	  CoordinateSequence copies
	  when possible.

2004-12-16 18:29  pramsey

	* Bumped minor version number for 2.1.1 release.

2004-12-16 16:27  strk

	* Fixed LinearRing::clone() to return LinearRing instead of
	  LineString

2004-12-16 16:08  strk

	* New patches from Niki Spahiev <niki.spahiev@gmail.com>
	  (still unstable)

2004-12-16 09:05  strk

	* Added python example by Niki Spahiev <niki.spahiev@gmail.com>

2004-12-16 08:56  strk

	* Applyed patches by Niki Spahiev <niki.spahiev@gmail.com>

2004-12-14 10:35  strk

	* Comments cleanup. PolygonizeGraph keeps track of generated
	  CoordinateSequence
	  for delayed destruction.

2004-12-13 13:54  strk

	* Added a not about gcc 2.95.4 required friendship

2004-12-13 13:53  strk

	* Fixed uninitialized Coordinate.

2004-12-12 17:22  strk

	* version.h and platform.h installed again (missed when removed
	  from dist)

2004-12-08 14:33  strk

	* Checked inner polys getBoundary return for the single LineString
	  case.

2004-12-08 14:32  strk

	* cleanups

2004-12-08 14:31  strk

	* adjusted getBoundary expected returns to match OGC specs

2004-12-08 14:31  strk

	* elevationMatrix deleted by destructor

2004-12-08 14:30  strk

	* Added default profiler instance cleanup

2004-12-08 13:54  strk

	* gcc warnings checked and fixed, general cleanups.

2004-12-06 10:54  strk

	* Added timeval.h in distribution.

2004-12-05 10:54  strk

	* initial revision

2004-12-05 10:50  strk

	* forgot to add

2004-12-05 10:48  strk

	* Modifications by Alex Bodnaru

2004-12-05 10:44  strk

	* Applied Norman Vine patches for cleaner win32 build.

2004-12-04 15:56  strk

	* Added source/Makefile.vc and source/headers/geos/platform.h.in in
	  distribution

2004-12-04 15:31  strk

	* Added VisualStudio dir in distribution, removed platform.h and
	  version.h from it.

2004-12-04 01:20  frank

	* removed dll delete

2004-12-03 22:52  strk

	* enforced const return of CoordinateSequence::toVector() method to
	  derivate classes.

2004-12-03 16:26  frank

	* added headers

2004-12-03 16:25  frank

	* New

2004-12-03 16:22  frank

	* update to use I64 on MSVC for 64 bit integer constants, also
	  toVector chg.

2004-12-03 16:21  frank

	* dont try for sys/time.h with MSVC

2004-12-03 16:19  frank

	* New

2004-11-30 16:44  strk

	* Added gettimeofday implementation for win32, curtesy of Wu
	  Yongwei.

2004-11-30 13:05  strk

	* Removed inclusion of stdio.h, which should now be useless.

2004-11-30 13:04  strk

	* Added optional inclusion of ieeefp.h on platform providing it.

2004-11-29 16:05  strk

	* Fixed a bug in LineIntersector::interpolateZ causing NaN values
	  to come out.
	  Handled dimensional collapses in ElevationMatrix.
	  Added ISNAN macro and changed ISNAN/FINITE macros to avoid
	  dispendious isnan() and finite() calls.

2004-11-27 11:36  strk

	* Updated scripts by Alex Bodnaru, added Makefile

2004-11-26 09:53  strk

	* Added more FINITE calls, and added inf and -inf to FINITE checks

2004-11-26 09:22  strk

	* Added FINITE(x) macro and its use.
	  Made input geoms average Z computation optional in OverlayOp.

2004-11-24 18:10  strk

	* Stricter handling of USE_ELEVATION_MATRIX define

2004-11-24 18:10  strk

	* Cleanup of interpolateZ

2004-11-24 12:29  strk

	* Handled boundary cases in ::getCell

2004-11-24 11:32  strk

	* Re-enabled Z propagation in output lines.

2004-11-23 19:53  strk

	* Had LineIntersector compute Z by interpolation.

2004-11-23 16:22  strk

	* Added ElevationMatrix class and components to do post-processing
	  draping of overlayed geometries.

2004-11-22 15:51  strk

	* Added interpolation of containing geometry's average Z for
	  point_in_poly case.

2004-11-22 13:02  strk

	* Fixed a bug in Collinear intersection Z computation

2004-11-22 13:02  strk

	* Forced use if computed intersection point in ::createSplitEdge
	  (for Z computation)

2004-11-22 12:59  strk

	* Added debugging lines

2004-11-22 11:34  strk

	* More debugging lines and comments/indentation cleanups

2004-11-22 11:34  strk

	* Added Z computation for CollinearIntersections

2004-11-20 18:54  strk

	* Scripts updates from Alex Bodnaru

2004-11-20 18:17  strk

	* Added Z propagation for overlay lines output.

2004-11-20 17:16  strk

	* Handled Z merging for point on polygon boundary case.

2004-11-20 16:25  strk

	* Added Z computation for point on line case.

2004-11-20 15:46  strk

	* Added composing Z management functions and elements for class
	  Node

2004-11-20 15:45  strk

	* Fixed Z merging in addNode(Node *)

2004-11-20 15:41  strk

	* Added Z merging in ::addNode

2004-11-20 15:41  strk

	* Added management of vector of composing Z values.

2004-11-20 15:40  strk

	* Added Z computation in point-segment intersection.

2004-11-20 15:39  strk

	* Reduced HEAP allocations.

2004-11-19 16:35  strk

	* Added debian package builder scripts.

2004-11-19 16:15  strk

	* Completely removed sprintf usage, substituted by stringstream.

2004-11-19 16:09  strk

	* Added <stdio.h> include for sprintf recognition.

2004-11-19 10:10  strk

	* COMPUTE_Z re-enabled by default

2004-11-19 09:33  strk

	* removed useless CoordinateSequence copy in ::addLineString

2004-11-17 15:09  strk

	* Changed COMPUTE_Z defaults to be more conservative

2004-11-17 08:41  strk

	* Fixed a bug in Z computation and removed debugging output by
	  default.

2004-11-17 08:13  strk

	* Indentation changes.
	  Some Z_COMPUTATION activated by default.

2004-11-12 18:12  strk

	* Changed ::getBoundary() to return LineString if polygon has no
	  holes.
	  (has required to pass OGC conformance test T20)

2004-11-09 20:22  strk

	* Removed -g -O2 from geos-config --cflags output

2004-11-08 18:33  strk

	* Just another small improvement.

2004-11-08 15:58  strk

	* More performance tuning.

2004-11-08 13:12  strk

	* Added profiler.h

2004-11-08 12:15  strk

	* Added number of gathered timings in output.

2004-11-08 11:19  strk

	* Profiler::get() always return a Profile (new if not existant).

2004-11-08 10:58  strk

	* Optimized the ::intersect function to avoid nested function
	  calls.

2004-11-08 10:57  strk

	* Moved Log lines at the bottom, and cut oldest

2004-11-06 08:16  strk

	* Fixed CGAlgorithms::isCCW from JTS port.
	  Code cleanup in IsValidOp.

2004-11-05 12:18  strk

	* updated

2004-11-05 11:41  strk

	* Made IsValidOp handle IllegalArgumentException throw from
	  GeometryGraph
	  as a sign of invalidity (just for Polygon geometries).
	  Removed leaks generated by this specific exception.

2004-11-04 19:08  strk

	* Cleanups, initializers list, profiling.

2004-11-04 08:49  strk

	* Unlinked new documentation.

2004-11-03 08:22  strk

	* Slightly modified log/log2 based algo to better handle numbers in
	  the
	  range 0-1.

2004-11-02 16:38  strk

	* Fixed ieee-754 detection switch

2004-11-02 16:31  strk

	* updated

2004-11-02 16:05  strk

	* Autodetect availability of IEEE-754 FP

2004-11-02 15:49  strk

	* Moved ASSUME_IEEE_DOUBLE define from DoubleBits.cpp to
	  indexQuadtree.h.
	  Fixed a bug in powerOf2(). Made the !IEEE version less prone to
	  round-offs (still has approximation errors).

2004-11-02 14:13  strk

	* Fixed bug in IEEE-based exponent and PowerOf2 computation, but
	  disabled
	  at compile time.

2004-11-02 14:11  strk

	* Added more profiling.

2004-11-02 09:38  strk

	* Added timer for buffer test.

2004-11-01 16:43  strk

	* Added Profiler code.
	  Temporarly patched a bug in DoubleBits (must check drawbacks).
	  Various cleanups and speedups.

2004-10-27 13:57  strk

	* Added some debugging lines (disabled by default)

2004-10-27 11:05  strk

	* updated

2004-10-26 17:46  strk

	* Removed slash-stars in comments to remove annoying compiler
	  warnings.

2004-10-26 17:14  strk

	* current:revision:age set to 3.0.1 (will be release 2.1.0).
	  added news.

2004-10-26 16:22  strk

	* updated

2004-10-26 16:09  strk

	* Some more intentation and envelope equality check fix.

2004-10-21 22:29  strk

	* Indentation changes and some more COMPUTE_Z rules

2004-10-21 17:13  strk

	* Fixed bug introduced by previous patch.

2004-10-21 07:03  strk

	* Removed leak in ::readPolygonText reported by Carlos A. Rueda

2004-10-20 17:32  strk

	* Initial approach to 2.5d intersection()

2004-10-19 21:04  strk

	* updated

2004-10-19 19:51  strk

	* Fixed many leaks and bugs in Polygonizer.
	  Output still bogus.

2004-10-18 12:43  strk

	* swig interface added to distribution.

2004-10-13 10:03  strk

	* Added missing linemerge and polygonize operation.
	  Bug fixes and leaks removal from the newly added modules and
	  planargraph (used by them).
	  Some comments and indentation changes.

2004-09-23 21:36  strk

	* Fixed a bug in ::reverse (thanks to Elliott Edwards)

2004-09-23 21:28  pramsey

	* Back minor version back to 2.0.1

2004-09-23 04:30  pramsey

	* Bumped minor version to 2.0.2 after 2.0.1 release.

2004-09-21 09:47  strk

	* fixed a mis-initialization bug in ::reduce

2004-09-21 09:47  strk

	* Removed useless auto_ptr usage in ::exponent

2004-09-16 09:50  strk

	* updated

2004-09-16 09:48  strk

	* Finer short-circuit tests for equals, within, contains.

2004-09-16 09:48  strk

	* Added Envelope::equals

2004-09-16 07:32  strk

	* updated

2004-09-16 07:32  strk

	* Added short-circuit tests. Can be disabled at compile-time

2004-09-13 12:50  strk

	* comments cleanup

2004-09-13 12:40  strk

	* updated

2004-09-13 12:40  strk

	* Updated version number

2004-09-13 12:39  strk

	* Added missing newline at end of output

2004-09-13 12:39  strk

	* Made Point and MultiPoint subject to Validity tests.

2004-09-13 10:14  strk

	* Added INVALID_COORDINATE code num and error message.

2004-09-13 10:12  strk

	* Added invalid coordinates checks in IsValidOp.
	  Cleanups.

2004-09-13 09:18  strk

	* Added IsValidOp::isValid(Coordinate &)

2004-09-13 09:07  strk

	* Ported fix in LineString::isCoordinate

2004-09-12 03:51  pramsey

	* Casting changes to allow OS/X compilation.

2004-09-07 08:29  strk

	* Fixed doxygen malformed comment for Coordinate class

2004-08-20 03:20  pramsey

	* Added reference to bigtest.h so 'make dist' includes it properly.

2004-08-20 01:55  pramsey

	* Removed examples from build directories for release (they don't
	  build now).

2004-08-04 08:26  strk

	* comments lift, stack allocation reduced

2004-07-27 16:35  strk

	* Geometry::getEnvelopeInternal() changed to return a const
	  Envelope *.
	  This should reduce object copies as once computed the envelope of
	  a
	  geometry remains the same.

2004-07-26 19:28  sgillies

	* added to AUTHORS

2004-07-26 18:53  sgillies

	* added simple exception handling on all method calls

2004-07-26 16:35  strk

	* Removed dangling MultiPoint::isClosed() method definition.

2004-07-26 15:40  sgillies

	* wrapped up WKT reader and writer and added two test cases to
	  check that it works. found a bug where the WKT reader crashes the
	  program in the case of poorly formatted WKT string.

2004-07-25 23:45  sgillies

	* SWIG interface for high level language modules, Python setup
	  script, and beginning of a unit testing framework under
	  swig/python/tests. The build works for today's CVS GEOS, and the
	  test passes -- means that a module can be built, installed, and
	  imported.

2004-07-22 16:58  strk

	* runtime version extractor functions split. geos::version() is now
	  geos::geosversion() and geos::jtsport()

2004-07-22 08:45  strk

	* Documentation updates, memory leaks fixed.

2004-07-22 07:19  strk

	* Changed getCoordinatesRO description.

2004-07-22 07:04  strk

	* Documented missing geometry functions.

2004-07-21 09:55  strk

	* CoordinateSequence::atLeastNCoordinatesOrNothing definition fix.
	  Documentation fixes.

2004-07-21 09:11  strk

	* Updated

2004-07-20 08:35  strk

	* Updated doxygen rule

2004-07-20 08:34  strk

	* Fixed a bug in opDistance.h.
	  Removed doxygen tags from obsoleted CoordinateList.cpp.
	  Got doxygen to run with no warnings.

2004-07-19 19:37  pramsey

	* Changed doxygen target to be more "make dist" friendly. (and
	  allow autogeneration of CVS snapshot to work again.)

2004-07-19 13:19  strk

	* Documentation fixes

2004-07-19 10:38  strk

	* Added Doxyfile

2004-07-19 10:38  strk

	* updated

2004-07-19 10:37  strk

	* Doxygen doc added to default build rules

2004-07-19 10:37  strk

	* defaultCoordinateSequenceFactory made module-static (use
	  DefaultCoordinateSequenceFactory::instance() instead)

2004-07-19 10:35  strk

	* bigtest.h moved to local dir

2004-07-19 10:34  strk

	* removed doxygen documentation of removed feature

2004-07-19 10:33  strk

	* Class documentation changed to report geos.h as WKT writer/parser
	  header file

2004-07-19 10:30  strk

	* acconfig.h moved one directory up

2004-07-19 10:28  strk

	* Excluded example and test dirs from input set

2004-07-17 10:48  strk

	* updated

2004-07-17 10:48  strk

	* added Doxyfile (generated)

2004-07-17 10:48  strk

	* fixed typo in documentation

2004-07-17 10:47  strk

	* Doxygen configuration created at ./configure time, for
	  versioning.

2004-07-17 09:19  strk

	* added GEOS version report

2004-07-17 09:18  strk

	* Added geos::version()

2004-07-17 09:07  strk

	* Added --jtsport

2004-07-17 09:06  strk

	* Added GEOS_FIRST_INTERFACE, GEOS_LAST_INTERFACE and GEOS_JTS_PORT

2004-07-17 09:05  strk

	* Added JTS_PORT variable.
	  Simplified versioning settings: comments added,
	  major/minor/patchlevel
	  extracted by CURRENT,AGE,REVISION.

2004-07-16 17:02  strk

	* updated

2004-07-16 16:20  strk

	* Libtool versioning scheme adopted.

2004-07-16 16:09  strk

	* removed useless Includedir

2004-07-16 15:57  strk

	* made includes use <>

2004-07-16 13:27  strk

	* updated

2004-07-16 10:28  strk

	* Dimesions object allocated on the heap

2004-07-16 10:00  strk

	* Bug fixed in GeometricShapeFactory examples.
	  Added example of GeometricShapeFactory::createArc.

2004-07-16 09:58  strk

	* updated

2004-07-16 09:58  strk

	* Added LINEARRING to LINESTRING conversion

2004-07-16 09:57  strk

	* Modified library version to 1.4.0

2004-07-15 13:41  strk

	* Added createRectangle example.

2004-07-15 13:40  strk

	* Memory leaks fixed, CoordinateSequence use made JTS - compatible.

2004-07-14 21:21  strk

	* updated

2004-07-14 21:20  strk

	* Added GeometricShapeFactory note on doxygen mainpage

2004-07-14 21:20  strk

	* added geos/io.h and geos/unload.h

2004-07-14 21:19  strk

	* GeometricShapeFactory first pass of bug fixes

2004-07-14 21:17  strk

	* added missing GeometricShapeFactory.cpp

2004-07-14 21:17  strk

	* added inequality operator for Coordinate

2004-07-14 21:15  strk

	* Added GeometricShapeFactory example: createCircle.
	  Added simple filter to send example output to a postgis table.

2004-07-13 08:33  strk

	* Added missing virtual destructor to virtual classes.
	  Fixed implicit unsigned int -> int casts

2004-07-12 19:16  strk

	* Commented out CoordinateList class definition.

2004-07-12 15:42  strk

	* Fixed maximumPreciseValue scope

2004-07-09 08:01  strk

	* updated

2004-07-08 19:41  strk

	* renamed to reflect JTS API.

2004-07-08 19:38  strk

	* renamed from *List* equivalents

2004-07-08 19:37  strk

	* Renamed to PointCoordinateSequence.cpp

2004-07-08 19:37  strk

	* Renamed to CoordinateSequenceFactory.cpp

2004-07-08 19:36  strk

	* Renamed to DefaultCoordinateSequence.cpp

2004-07-08 19:34  strk

	* Mirrored JTS interface of CoordinateSequence, factory and
	  default implementations.
	  Added DefaultCoordinateSequenceFactory::instance() function.

2004-07-07 18:54  strk

	* updated

2004-07-07 10:29  strk

	* Adjusted exceptions documentation.

2004-07-07 09:38  strk

	* Dropped WKTWriter::stringOfChars (implemented by std::string).
	  Dropped WKTWriter default constructor (internally created
	  GeometryFactory).
	  Updated XMLTester to respect the changes.
	  Main documentation page made nicer.

2004-07-07 07:52  strk

	* Removed note about required speedup in BufferSubgraph.
	  I've made tests with 'sets' and there is actually a big slow
	  down..

2004-07-06 17:58  strk

	* Removed deprecated Geometry constructors based on PrecisionModel
	  and
	  SRID specification. Removed SimpleGeometryPrecisionReducer
	  capability
	  of changing Geometry's factory. Reverted Geometry::factory member
	  to be a reference to external factory.

2004-07-05 19:40  strk

	* Added GeometryFactory::destroyGeometry(Geometry *)

2004-07-05 15:20  strk

	* Documentation again.

2004-07-05 14:23  strk

	* More documentation cleanups.

2004-07-05 11:50  strk

	* initial import

2004-07-05 10:50  strk

	* deep-dopy construction taken out of Geometry and implemented only
	  in GeometryFactory.
	  Deep-copy geometry construction takes care of cleaning up copies
	  on exception.
	  Implemented clone() method for CoordinateList
	  Changed createMultiPoint(CoordinateList) signature to reflect
	  copy semantic (by-ref instead of by-pointer).
	  Cleaned up documentation.

2004-07-03 12:54  strk

	* more entries

2004-07-03 12:51  strk

	* Documentation cleanups for DoxyGen.

2004-07-02 17:22  strk

	* Doxygen configuration file renamed.

2004-07-02 14:27  strk

	* Added deep-copy / take-ownerhship for Point type.

2004-07-02 13:28  strk

	* Fixed all #include lines to reflect headers layout change.
	  Added client application build tips in README.

2004-07-02 13:21  strk

	* renamed to geos/version.h.in

2004-07-02 13:20  strk

	* Header files moved under geos/ dir.

2004-07-01 17:34  strk

	* GeometryFactory argument in Geometry constructor reverted
	  to its copy-and-destroy semantic.

2004-07-01 17:07  strk

	* Added doxygen_docs generation rule

2004-07-01 16:49  strk

	* re-generated with doxygen 1.2.15

2004-07-01 15:47  cvs

	* Added doxygen file for better doco generation.

2004-07-01 14:12  strk

	* Geometry constructors come now in two flavors:
	  - deep-copy args (pass-by-reference)
	  - take-ownership of args (pass-by-pointer)
	  Same functionality is available through GeometryFactory,
	  including buildGeometry().

2004-06-30 20:59  strk

	* Removed GeoemtryFactory copy from geometry constructors.
	  Enforced const-correctness on GeometryFactory arguments.

2004-06-28 21:58  strk

	* Constructors speedup.

2004-06-28 21:11  strk

	* Moved getGeometryTypeId() definitions from geom.h to each
	  geometry module.
	  Added holes argument check in Polygon.cpp.

2004-06-25 14:26  strk

	* fixed --includes

2004-06-22 16:57  strk

	* Written down some news

2004-06-22 16:56  strk

	* Added geos.h file.

2004-06-21 22:14  strk

	* added geos_version.h

2004-06-21 22:13  strk

	* updated

2004-06-21 22:13  strk

	* Added VERSION defines

2004-06-16 13:13  strk

	* Changed interface of SegmentString, now copying CoordinateList
	  argument.
	  Fixed memory leaks associated with this and MultiGeometry
	  constructors.
	  Other associated fixes.

2004-06-15 21:35  strk

	* fixed buildGeometry to always return a newly allocated geometry

2004-06-15 20:42  strk

	* updated to respect deep-copy GeometryCollection interface

2004-06-15 20:30  strk

	* fixed a typo

2004-06-15 20:20  strk

	* updated to respect deep-copy GeometryCollection interface

2004-06-15 20:07  strk

	* GeometryCollections constructors make a deep copy of Geometry
	  vector argument.

2004-06-15 20:01  strk

	* Empty geometry creation call made using NULL instead of newly
	  created empty vector (will be faster)

2004-06-15 19:24  strk

	* Fixed a bug preventing geos-config from giving correct version
	  info

2004-06-15 07:40  strk

	* Added missing <stdio.h> include

2004-06-15 07:40  strk

	* Updated

2004-05-28 18:16  ybychkov

	* Changed rounding method to make compilable with VC++

2004-05-27 12:09  strk

	* added one buffer test

2004-05-27 10:27  strk

	* Memory leaks fixed.

2004-05-27 10:26  strk

	* set (useless?) recordIsolated member in constructor

2004-05-27 09:53  strk

	* MonotoneChainOverlapAction::overlap(*) funx made virtual
	  as they are supposed to be.

2004-05-27 08:40  strk

	* Fixed a memleak in buffer test.

2004-05-27 08:37  strk

	* Fixed a bug preventing OffsetCurveBuilder point list from being
	  reset.

2004-05-26 19:48  strk

	* Changed abs() to fabs() when working with doubles.
	  Used dynamic_cast<> instead of typeid() when JTS uses instanceof.

2004-05-26 13:12  strk

	* Removed try/catch block from ::buildSubgraphs

2004-05-26 09:50  strk

	* Added comments about OverlayNodeFactory() ownership in NodeMap
	  and PlanarGraph constuctors

2004-05-26 09:49  strk

	* PlanarGraph made local to ::buffer instead of Class private.

2004-05-21 14:17  strk

	* updated

2004-05-21 13:58  strk

	* ::intersection missed to invalidate geometryCollection inputs

2004-05-21 13:55  strk

	* updated

2004-05-21 13:39  strk

	* ::makePrecise make use of nearbyint() now, to be compatible with
	  JTS

2004-05-21 13:37  strk

	* first import

2004-05-20 09:14  strk

	* updated

2004-05-19 19:39  ybychkov

	* Changed rounding method to make compilable with VC++

2004-05-19 13:40  strk

	* Fixed bug in ::addCircle

2004-05-19 13:18  strk

	* made CoordinateList::toString() a const member function

2004-05-19 13:01  strk

	* avoided assignment operator calls for BufferBuilder

2004-05-19 12:50  strk

	* Removed all try/catch blocks transforming stack allocated-vectors
	  to auto-heap-allocations

2004-05-19 09:57  ybychkov

	* Bugfix in OffsetCurveSetBuilder::addPolygon (JTS 1.4.1)

2004-05-18 13:49  strk

	* Output made more neat (geometry B is not printed if not
	  existent).
	  Added support for buffer tests.

2004-05-18 13:15  strk

	* made ::scroll handle already scrolled vect and more readable

2004-05-18 00:02  ybychkov

	* IsValidOp::checkShellNotNested() bugfix from JTS 1.4.1 (not
	  released yet) has been added.

2004-05-17 21:14  ybychkov

	* JavaDoc updated

2004-05-17 21:09  ybychkov

	* toString() performance enhancement

2004-05-17 21:03  ybychkov

	* JavaDoc updated

2004-05-17 12:54  strk

	* Added tab in list of blank chars

2004-05-17 12:53  strk

	* Expected result string trimmed for blanks

2004-05-17 12:37  strk

	* Added carriage returns and tabs in set of blanks chars

2004-05-17 12:36  strk

	* ParseException message made more readable

2004-05-17 10:45  strk

	* Fixed bogus FIXED coordinate rounding

2004-05-17 08:34  strk

	* reduced stack allocations, try/catch blocks in ::overlayOp

2004-05-17 07:42  strk

	* CentroidArea::add(const Geometry *geom) uses dynamic_cast

2004-05-17 07:23  strk

	* ::getCeontroid(): reduced dynamic allocations, added missing
	  check for isEmpty

2004-05-14 14:47  strk

	* Added LinearRing support

2004-05-14 14:45  strk

	* Fixed bogus inheritance of LinearComponentExtracter

2004-05-14 13:42  strk

	* DistanceOp bug removed, cascading errors fixed.

2004-05-14 12:14  strk

	* const correctness

2004-05-14 12:10  strk

	* avoided leaks on malformed LinearRing

2004-05-14 09:20  strk

	* Mem leaks fixed

2004-05-14 07:19  strk

	* Changed the algorythm for finding precisionModel type (current
	  way did
	  not work): now if you specify a scale precisionModel will be
	  FIXED,
	  otherwise it will be FLOATING.

2004-05-07 14:15  strk

	* fixed peekNextToken to avoid incrementing string pointer

2004-05-07 14:13  strk

	* Fixed segfault in ::insert

2004-05-07 14:12  strk

	* Fixed segfault in destructor

2004-05-07 13:23  strk

	* Memory leaks fixed.

2004-05-07 13:04  strk

	* leak removed in MultiLineString::getBoundary()

2004-05-07 09:05  strk

	* Some const correctness added. Fixed bug in
	  GeometryFactory::createMultiPoint
	  to handle NULL CoordinateList.

2004-05-07 07:57  strk

	* Added missing EdgeNodingValidator to build scripts.
	  Changed SegmentString constructor back to its original form
	  (takes const void *), implemented local tracking of "contexts"
	  in caller objects for proper destruction.

2004-05-06 16:30  strk

	* Kept track of newly allocated objects by ensureExtent for Bintree
	  and Quadtree,
	  deleted at destruction time. doc/example.cpp runs with no leaks.

2004-05-06 15:54  strk

	* SegmentNodeList keeps track of created splitEdges for later
	  destruction.
	  SegmentString constructor copies given Label.
	  Buffer operation does no more leaks for doc/example.cpp

2004-05-06 15:00  strk

	* Boundable destructor made virtual.
	  Added vector <AbstractNode *> *nodes member in AbstractSTRTree,
	  used to keep track of created node to cleanly delete them at
	  destruction time.

2004-05-06 13:58  strk

	* leak removed from createParentBoundablesFromVerticalSlices

2004-05-06 08:59  strk

	* memory leak fixed

2004-05-05 17:42  strk

	* AbstractNode destructor made virtual. AbstractNode::bounds made
	  protected.
	  SIRAbstractNode and STRAbstractNode destructors added to get rid
	  of
	  AbstractNode::bounds in the right way (is a void * casted to
	  appropriate
	  Class in the subClasses).

2004-05-05 16:57  strk

	* Rewritten static cga allocation to avoid copy constructor calls.

2004-05-05 16:51  strk

	* avoided copy constructor in Geometry::geometryChangedFilter
	  initializzazion

2004-05-05 16:39  strk

	* reduced explicit local objects allocation

2004-05-05 16:36  strk

	* Avoid use of copy c'tors on local objects initializzation

2004-05-05 15:51  strk

	* Fixed big leak in intersectChains()

2004-05-05 13:08  strk

	* Leaks fixed, explicit allocations/deallocations reduced.

2004-05-05 12:29  strk

	* memleak fixed in ::getDepth

2004-05-05 12:20  strk

	* Memory leak plugged in editGeometryCollection

2004-05-05 10:54  strk

	* Removed some private static heap explicit allocation, less
	  cleanup done by
	  the unloader.

2004-05-05 10:44  strk

	* updated

2004-05-05 10:22  strk

	* Removed dynamic allocations.

2004-05-05 10:03  strk

	* Reduced dynamic allocations in bufferOriginalPrecision and
	  bufferFixedPrecision.

2004-05-03 22:56  strk

	* leaks fixed, exception specification omitted.

2004-05-03 20:49  strk

	* Some more leaks fixed

2004-05-03 17:15  strk

	* leaks on exception fixed.

2004-05-03 16:29  strk

	* Added sortBoundables(const vector<Boundable *>) pure virtual in
	  AbstractSTRtree,
	  implemented in SIRtree and STRtree. Comparator funx made static
	  in STRtree.cpp
	  and SIRtree.cpp.

2004-05-03 13:17  strk

	* Fixed comparator function to express StrictWeakOrdering.

2004-05-03 12:09  strk

	* newline added at end of file

2004-05-03 10:43  strk

	* Exception specification considered harmful - left as comment.

2004-04-30 09:15  strk

	* Enlarged exception specifications to allow for
	  AssertionFailedException.
	  Added missing initializers.

2004-04-28 14:58  strk

	* Made AbstractSTRtree::query use dynamic_cast<> to simulate java's
	  instanceof. Previous typeid(*) use missed to catch an
	  STRAbstractNode
	  as a class derived from AbstractNode. Still have to check if this
	  is the correct semantic with Martin, but at least lots of
	  SIGABORT
	  are no more raised.

2004-04-26 22:00  pramsey

	* Bump version number to 1.4 to indicate new changes.

2004-04-26 12:37  strk

	* Some leaks fixed.

2004-04-23 00:02  strk

	* const-correctness changes

2004-04-21 14:14  strk

	* Fixed bug in computeDepths

2004-04-20 13:24  strk

	* More leaks removed.

2004-04-20 12:47  strk

	* MinimumDiameter leaks plugged.

2004-04-20 10:58  strk

	* More memory leaks removed.

2004-04-20 10:14  strk

	* Memory leaks removed.

2004-04-20 08:52  strk

	* GeometryFactory and Geometry const correctness.
	  Memory leaks removed from SimpleGeometryPrecisionReducer
	  and GeometryFactory.

2004-04-19 16:14  strk

	* Some memory leaks plugged in noding algorithms.

2004-04-19 15:14  strk

	* Added missing virtual destructor in SpatialIndex class.
	  Memory leaks fixes. Const and throw specifications added.

2004-04-19 12:51  strk

	* Memory leaks fixes. Throw specifications added.

2004-04-16 14:12  strk

	* Memory leak fix in copy constructor

2004-04-16 14:09  strk

	* Leaks fixes

2004-04-16 13:03  strk

	* More leaks fixed

2004-04-16 12:48  strk

	* Leak fixes.

2004-04-16 11:04  strk

	* Memory leaks plugged on exception thrown

2004-04-16 10:00  strk

	* Memory leak fixed.

2004-04-16 09:01  strk

	* Removed memory leak in CGAlgorithms::isOnline

2004-04-16 08:52  strk

	* Unload::Release final delete (static heap allocations should be
	  gone now)

2004-04-16 08:35  strk

	* Memory leaks fixed and const correctness applied for Point class.

2004-04-16 07:42  strk

	* PrecisionModel::Type made an enum instead of a Type.

2004-04-15 15:11  strk

	* Commented out deletion that seems to cause segfaults

2004-04-15 14:00  strk

	* Added new cleanup to Unload::Release

2004-04-14 13:56  strk

	* All geometries returned by {from,to}InternalGeometry calls are
	  now deleted after use (unless NOT new).
	  Some 'commented' throw specifications in geom.h

2004-04-14 13:14  strk

	* Removed deletion of externally pointed GeometryFactory from
	  OverlayOp destructor

2004-04-14 12:28  strk

	* shouldNeverReachHere exceptions made more verbose

2004-04-14 11:05  strk

	* Added support for LinearRing in GeometryEditor

2004-04-14 10:56  strk

	* Uncommented initializzazion and destruction of
	  DistanceOp::minDistanceLocation

2004-04-14 09:38  strk

	* PrecisionModel(double newScale) missed to set the scale

2004-04-14 09:30  strk

	* Private iterated noding funx now use int* instead of vector to
	  know
	  when it's time to stop.

2004-04-14 09:11  strk

	* endCapStyle was never set in BufferOp contructor

2004-04-14 08:38  strk

	* BufferBuilder constructor missed to initialize
	  workingPrecisionModel

2004-04-14 08:38  strk

	* BufferOp constructor missed to set argGeom

2004-04-14 07:29  strk

	* Fixed GeometryFactory constructors to copy given PrecisionModel.
	  Added GeometryFactory copy constructor. Fixed Geometry
	  constructors to copy GeometryFactory.

2004-04-14 06:04  ybychkov

	* "geomgraph/index" committ problem fixed.

2004-04-13 14:45  strk

	* Removed faulty assert in constructor

2004-04-13 14:33  strk

	* Added more source files

2004-04-13 14:28  strk

	* Removed spurious line

2004-04-13 13:31  strk

	* prototype mismatch fixed

2004-04-13 12:29  strk

	* GeometryLocation const-correctness.

2004-04-13 11:04  strk

	* Added lost opDistance.h

2004-04-13 11:03  strk

	* Added new header files

2004-04-13 10:58  strk

	* Added new source files

2004-04-13 10:05  strk

	* GeometryLocation constructor made const-correct.
	  Fixed erroneus down-casting in
	  DistanceOp::computeMinDistancePoints.

2004-04-13 08:15  strk

	* Changed all 'long long' with int64.
	  Changed all 'long long' constants to end with two Ls.

2004-04-10 22:41  ybychkov

	* "precision" upgraded to JTS 1.4

2004-04-10 08:40  ybychkov

	* "operation/buffer" upgraded to JTS 1.4

2004-04-08 04:53  ybychkov

	* "operation/polygonize" ported from JTS 1.4

2004-04-07 06:55  ybychkov

	* "operation/linemerge" ported from JTS 1.4

2004-04-05 06:35  ybychkov

	* "operation/distance" upgraded to JTS 1.4

2004-04-04 06:29  ybychkov

	* "planargraph" and "geom/utill" upgraded to JTS 1.4

2004-04-01 10:44  ybychkov

	* All "geom" classes from JTS 1.3 upgraded to JTS 1.4

2004-03-31 07:50  ybychkov

	* "geom" partially upgraded to JTS 1.4

2004-03-29 06:59  ybychkov

	* "noding/snapround" package ported (JTS 1.4);
	  "operation", "operation/valid", "operation/relate" and
	  "operation/overlay" upgraded to JTS 1.4;
	  "geom" partially upgraded.

2004-03-26 07:48  ybychkov

	* "noding" package ported (JTS 1.4)

2004-03-25 02:23  ybychkov

	* All "index/*" packages upgraded to JTS 1.4

2004-03-19 09:49  ybychkov

	* "geomgraph" and "geomgraph/indexl" upgraded to JTS 1.4

2004-03-18 10:42  ybychkov

	* "IO" and "Util" upgraded to JTS 1.4
	  "Geometry" partially upgraded.

2004-03-17 02:00  ybychkov

	* "Algorithm" upgraded to JTS 1.4

2004-03-01 22:04  strk

	* applied const correctness changes by Manuel Prieto Villegas
	  <ManuelPrietoVillegas@telefonica.net>

2004-02-27 17:43  strk

	* memory leak fix in Polygon::getArea() - reported by 'Manuel
	  Prieto Villegas' <mprieto@dap.es>

2004-02-27 17:42  strk

	* made CGAlgorithms::signedArea() and CGAlgorithms::length()
	  arguments const-correct

2004-02-20 05:44  pramsey

	* Changed to new version of ltmain, that matches the version of
	  libtool
	  on build box

2004-01-20 05:51  pramsey

	* Change platform.h back to AM_CONFIG_HEADER.

2004-01-20 05:10  pramsey

	* Change AM_CONFIG_HEADER to AC_CONFIG_HEADERS to allow autoheader
	  to work
	  its magic.

2003-12-11 17:01  strk

	* made buffer(0) back to its *correct* semantic (empy collection)

2003-12-11 16:01  strk

	* made buffer operation return a cloned input geom when called with
	  0 as distance

2003-12-11 15:53  strk

	* Fixed bogus copy constructor (making clone bogus)

2003-11-13 11:57  strk

	* bug fixed in relate call

2003-11-12 22:03  strk

	* added relational operators

2003-11-12 18:02  strk

	* Added throw specification. Fixed leaks on exceptions.

2003-11-12 17:15  strk

	* made sure PrecisionModel scale is never 0

2003-11-12 17:10  strk

	* added missing initialization

2003-11-12 16:14  strk

	* Added some more throw specifications and cleanup on exception
	  (leaks removed).

2003-11-12 15:43  strk

	* Added some more throw specifications

2003-11-12 15:02  strk

	* more cleanup on exception

2003-11-12 11:08  strk

	* removed old changelog, moved comments in the nice standard frame

2003-11-12 11:05  strk

	* added autoheader call

2003-11-07 17:51  strk

	* Memory leak fix in insertEdge()

2003-11-07 17:49  pramsey

	* Added current ChangeLog

2003-11-07 17:45  strk

	* will be generated with ./autogen.sh

2003-11-07 14:21  strk

	* Made doc/ directory part of distribution. Uniformed doc build
	  script to
	  autotools.

2003-11-07 14:19  strk

	* added config.h.in (missed before)

2003-11-07 14:18  strk

	* added config.h.in

2003-11-07 01:58  pramsey

	* Added people!

2003-11-07 01:23  pramsey

	* Add standard CVS headers licence notices and copyrights to all
	  cpp and h
	  files.

2003-11-06 19:04  strk

	* removed useless Coordinate copy in ::createSplitEdge()

2003-11-06 18:50  strk

	* first import

2003-11-06 18:48  strk

	* updated

2003-11-06 18:48  strk

	* added throw information comment in PolygonBuilder

2003-11-06 18:47  strk

	* Added throw specification for BufferOp's ::buildSubgraphs() and
	  ::computeBuffer(). Cleanup on exception in computeBuffer().

2003-11-06 18:46  strk

	* Added throw specification for BufferOp's ::buildSubgraphs() and
	  ::computeBuffer()

2003-11-06 18:45  strk

	* Added throw specification for
	  DirectEdgeStar::linkResultDirectedEdges()

2003-11-06 18:00  strk

	* Cleanup on exception in ::bufferOp()

2003-11-06 17:59  strk

	* Memory leaks fixed in ::containsPoint()

2003-11-06 17:48  strk

	* Fixed memory leaks in ::closePt() and ::addLineEndCap()

2003-11-06 17:47  strk

	* Added support for LinearRing, removed memory leaks in
	  ::addLineString

2003-11-06 17:41  strk

	* Added Buffer,Intersection,Difference and Symdifference. Exception
	  cleanup

2003-11-06 17:33  pramsey

	* Small addition of into about LD_LIBRARY_PATH

2003-11-05 21:52  strk

	* Modified example.cpp to make use of vectors instead of Geometry *
	  / int
	  couples. Added LineString creation example. Added Makefile to
	  compile it.

2003-11-03 16:09  strk

	* Removed comments about segfaults, made the simple collection
	  creation call
	  cleaner by use of the clone() method.

2003-10-31 16:36  strk

	* Re-introduced clone() method. Copy constructor could not really
	  replace it.

2003-10-29 10:38  strk

	* Added centroid computation example

2003-10-29 10:38  strk

	* Added support for LinearRing types (treated as LineString)

2003-10-24 21:27  strk

	* Added GeometryTypeId enum and getGeometryTypeId abstract Geometry
	  method.

2003-10-23 09:17  strk

	* Added stamp-h2 and platform.h

2003-10-23 09:12  strk

	* Made CoordinateArrayFilter destructor virtual.

2003-10-22 23:58  strk

	* Made platform.h be created by configure. In this way we will not
	  have
	  problems of installed headers trying to include phantom config.h.

2003-10-22 00:44  strk

	* Quadtree bitfield operations made using type int64. Type int64
	  typedef'ed based
	  on autoconf detected int type (long or long long). If long is not
	  64bits int64
	  will be really 32 bits and INT64_IS_REALLY32 will be defined.

2003-10-21 23:51  strk

	* Added macros to find 64bit integer.

2003-10-21 16:16  strk

	* Uncommented point creation lines. Updated comments about
	  segfaults.

2003-10-21 05:35  pramsey

	* Added test.xml so it gets picked up by 'make dist'

2003-10-21 05:09  pramsey

	* Added simple installation directions.

2003-10-21 04:55  pramsey

	* Fix up references to header files to 'make dist' works.

2003-10-20 17:50  strk

	* added Union example

2003-10-20 15:41  strk

	* Geometry::checkNotGeometryCollection made static and
	  non-distructive.

2003-10-20 14:02  strk

	* more explicit exception thrown on null Directed Edge detection

2003-10-20 13:56  strk

	* fixed typo

2003-10-20 13:53  strk

	* LinearRing handled as a LineString in GeometryGraph::add(const
	  Geometry *) - more explicit exception thrown for unknown
	  geometries

2003-10-17 05:51  ybychkov

	* Fixed a small memory leak.

2003-10-16 17:41  strk

	* Fixed a bug in GEOSException that prevented print of the type of
	  exception thrown.

2003-10-16 17:33  strk

	* dropped useless string() cast

2003-10-16 17:05  strk

	* Made TopologyException inherit from GEOSException. Adjusted
	  IllegalArgumentException subclassing.

2003-10-16 13:01  strk

	* Added call to Unload::Release()

2003-10-16 12:09  strk

	* bug fixed in exception handling

2003-10-16 08:50  strk

	* Memory leak fixes. Improved performance by mean of more calls to
	  new getCoordinatesRO() when applicable.

2003-10-16 08:48  strk

	* Exceptions handled

2003-10-15 16:39  strk

	* Made Edge::getCoordinates() return a 'const' value. Adapted code
	  set.

2003-10-15 15:47  strk

	* Adapted to new getCoordinatesRO() interface

2003-10-15 15:30  strk

	* Declared a SweepLineEventOBJ from which MonotoneChain and
	  SweepLineSegment
	  derive to abstract SweepLineEvent object previously done on void
	  * pointers.
	  No more compiler warnings...

2003-10-15 11:24  strk

	* Use getCoordinatesRO() introduced.

2003-10-15 11:23  strk

	* Formalized const nature of toVector() method and of first
	  argument to static removeRepeatedPoints().

2003-10-15 10:17  strk

	* Made setPoints() get a const vector<Coordinate>.

2003-10-15 09:54  strk

	* Added getCoordinatesRO() public method.

2003-10-15 08:52  strk

	* Memory leaks fixed.

2003-10-15 08:51  strk

	* Initial import

2003-10-15 08:08  strk

	* Memory leaks fixed. Partially due to getCoordinates() and
	  GeometryCollection()
	  changes, partially old dated.

2003-10-14 15:58  strk

	* Useless vector<Geometry *> leaking allocations removed

2003-10-13 21:26  strk

	* Added build time created files to cvsignore lists

2003-10-13 17:54  strk

	* IsValidOp constructor used same name for the arg and a private
	  element. Fixed.

2003-10-13 17:47  strk

	* delete statement removed

2003-10-13 15:39  strk

	* Fixed some leak or fault flips (forced copy of a single
	  coordinate)

2003-10-13 15:02  strk

	* accept input file as first argument on cmdline

2003-10-13 12:51  strk

	* removed sortedClasses strings array from all geometries.

2003-10-13 09:24  strk

	* long -> long long enlargement of types to allow for left/rigth
	  shift of 53 bits

2003-10-11 03:23  strk

	* fixed spurious typos

2003-10-11 01:56  strk

	* Code base padded with 'const' keywords ;)

2003-10-09 15:35  strk

	* added 'const' keyword to GeometryFactory constructor, Log on top
	  of geom.h

2003-10-09 11:20  strk

	* moved Log to a better place

2003-10-09 11:19  strk

	* added convexHull and PrecisionModel

2003-10-09 10:14  strk

	* just a style change in top Log comment.

2003-10-09 10:10  strk

	* Throw an exception if scale is 0. Added Log entry.

2003-10-09 09:42  strk

	* Tried to "formalize" constant nature of the first argument given
	  to constructor by PrecisionModel and SRID specification. Added
	  CVS Log on top.

2003-10-09 08:58  strk

	* Added convexHull() call to example, fixed leaks in ConvexHull

2003-10-09 00:11  strk

	* First reference-by-example file.

2003-10-08 16:51  strk

	* Added xie's Unload class with some fixes.

2003-10-08 13:18  strk

	* added missing LinearRing writing capabilities.

2003-10-08 10:36  strk

	* Constructor by vector<Geometry *> * now makes a copy of the
	  vector so that call
	  ers can safely delete it when done.

2003-10-07 21:47  strk

	* had all getCoordinates() callers free returned value.

2003-10-07 18:58  strk

	* LineString constructor now creates its own copy of given
	  CoordinateList object, and returns a new copy with
	  getCoordinates().
	  will be easier to remove by anyone else.

2003-10-03 01:20  ybychkov

	* Memory leak in Overlay fixed.

2003-09-29 16:25  strk

	* Some more cvsignore files. Some entries should probably not be
	  in the local copy

2003-09-29 15:07  strk

	* Added config.sub, config.guess and autom4te.cache

2003-09-29 13:15  strk

	* Don't wonder about Makefile.in, Makefile, gdal-config

2003-09-26 17:31  strk

	* getConvexHull() made check value returned by reduce() before
	  deleting
	  it (might be the untouched input).

2003-09-26 09:17  ybychkov

	* isValid segfault fixed. Overlay still leaks a bit.

2003-09-24 02:16  ybychkov

	* All reported bugs fiexd. Small leak in Overlay remains.

2003-09-06 08:24  ybychkov

	* isWithinDistance fixed and tested.

2003-09-06 00:01  ybychkov

	* getInteriorPoint bugs fixed.

2003-09-01 06:32  ybychkov

	* Some ConvexHull bugs fixed.

2003-08-30 07:55  ybychkov

	* Some bugfixes. XMLTester expanded to accomodate getBoundary,
	  getCentroid, isSimple.

2003-08-18 23:40  pramsey

	* Removed java source file from archive.

2003-08-18 22:34  pramsey

	* Change it back :/

2003-08-18 22:33  pramsey

	* Change version number.

2003-08-18 20:42  pramsey

	* Return ltmain to distro (oops)

2003-08-18 20:36  pramsey

	* Remove more autoconf files

2003-08-18 20:34  pramsey

	* Removed more autoconf files...

2003-08-18 20:27  pramsey

	* Removed 'missing' script.

2003-08-18 16:38  pramsey

	* Fixed up to treat headers as headers.

2003-08-17 18:40  pramsey

	* Norman's patch + global removal of "no newline" + small changes
	  to make Norman's patch work in the linux build environment.

2003-08-17 18:01  pramsey

	* Removed more configuration files per Norman's request.

2003-08-17 17:56  pramsey

	* Removed more configure files per Norman's request.

2003-08-17 17:55  pramsey

	* Removed Makefile.in files, per Norman's request.

2003-08-16 06:33  ybychkov

	* Memory leak fixes.

2003-06-21 22:17  pramsey

	* GNU compile fixes from nvine.

2003-06-19 20:54  ybychkov

	* 'geos' namespace added.

2003-06-18 20:08  ybychkov

	* Buffer is almost fully debugged.

2003-05-29 00:05  pramsey

	* Final GNU build adjustments.

2003-05-28 23:55  pramsey

	* Added new exception class.

2003-05-28 23:39  pramsey

	* Change reference to spatialIndex.h

2003-05-28 23:22  pramsey

	* Removed obsolete build entries for removed classes.

2003-05-28 22:22  ybychkov

	* Some bugfixes.

2003-05-28 22:11  ybychkov

	* no message

2003-05-28 05:02  pramsey

	* Changed __max/__min to max/min

2003-05-28 05:01  pramsey

	* Change __max to max

2003-05-27 23:56  pramsey

	* Changed from mistaken cpp file names.

2003-05-27 23:54  pramsey

	* Added include for <typeinfo>

2003-05-27 23:45  pramsey

	* GNU build support

2003-05-27 23:42  pramsey

	* Fix reference to spatialIndex header

2003-05-27 23:41  pramsey

	* Build updates.

2003-05-27 23:33  pramsey

	* Add new files into build support

2003-05-27 23:17  pramsey

	* Add all new headers into the build process.

2003-05-27 23:11  pramsey

	* Some updates to synch build with devel.

2003-05-21 23:28  ybychkov

	* Several bugs fixed.

2003-05-19 06:18  ybychkov

	* All exceptions are now classes.

2003-05-17 07:47  ybychkov

	* Last fix for CVS.

2003-05-17 06:08  ybychkov

	* Fixing CVS error.

2003-05-17 00:27  ybychkov

	* Fixing a commit problem.

2003-05-17 00:07  ybychkov

	* SIRtree is done. Distance is done.

2003-05-07 09:06  ybychkov

	* Closer to 1.3

2003-05-04 22:34  ybychkov

	* Closer to JTS 1.3

2003-04-28 06:01  ybychkov

	* Partially upgraded to JTS 1.3

2003-04-21 22:16  ybychkov

	* VisualStudio project added.

2003-04-17 00:37  ybychkov

	* Changed PrecisionModel to Value type. Removed bounds checking
	  from *At methods in CoordinateLists.

2003-04-12 04:31  ybychkov

	* Overlay passes all tests (both precise and normal)

2003-04-11 23:16  ybychkov

	* Overlay almost works. Fails 2 tests.

2003-04-10 04:34  ybychkov

	* Overlay passes all normal tests. Still fails on Precision tests.

2003-04-09 21:52  pramsey

	* Changed destructors to virtual to quiet GNU warnings

2003-04-04 23:49  pramsey

	* Install all headers at install time.

2003-04-04 22:04  pramsey

	* Newlines added to quiet gcc.

2003-04-04 03:44  pramsey

	* Build support

2003-04-04 03:43  pramsey

	* Build support.

2003-04-04 03:28  pramsey

	* Build support updates.

2003-04-04 03:11  pramsey

	* Build support for new example programs.

2003-04-04 00:18  dblasby

	* added comment about running ./autogen.sh

2003-04-02 21:55  ybychkov

	* Added example on how to wrap internal storage format with
	  CoordinateLists.

2003-04-02 08:02  ybychkov

	* isValid is debugged (passes all 805 tests).

2003-03-24 19:23  pramsey

	* Added newlines to end to quiet gcc

2003-03-24 19:21  pramsey

	* Yet more GNU build fiddling. Removed extraneous build support
	  from all
	  non-geom library directories.

2003-03-24 03:45  pramsey

	* More GNU build support

2003-03-24 03:07  pramsey

	* GNU build support on latest changes.

2003-03-19 00:34  ybychkov

	* All Overlay classes are ported. Overlay and isValid have not been
	  tested yet.

2003-03-18 01:42  ybychkov

	* 90% of Overlay classes ported.

2003-03-17 18:04  ybychkov

	* All 'index' packages and part of 'overlay' are done.

2003-03-17 02:49  ybychkov

	* IsValid and supporting packages are ported (but NOT tested).

2003-03-12 23:45  pramsey

	* Build support for valid.

2003-03-10 10:18  ybychkov

	* IsValid() and supporting index classes are ported, but don't work
	  yet (external dependencies)

2003-03-10 01:17  ybychkov

	* IsValid and supporting index classes are almost done.

2003-03-05 17:04  pramsey

	* Build support for new coordinateline examples.

2003-03-05 08:02  ybychkov

	* CoordinateList interface example.

2003-03-03 03:56  pramsey

	* Remove PointInRing

2003-03-03 03:35  pramsey

	* Removed unused file.

2003-03-03 02:41  ybychkov

	* Some Coordinate& related bugs fixed.

2003-03-03 02:26  ybychkov

	* GeometryFactory bug fix.

2003-03-03 00:46  ybychkov

	* Second pass of code cleanup. Coordinate references and inlining.

2003-03-02 03:47  ybychkov

	* First pass of code cleanup completed over all packages.

2003-03-01 06:10  pramsey

	* Uncommented default constructor for PointInRing

2003-03-01 06:08  pramsey

	* Fixed call to geometry factory.

2003-02-26 23:16  ybychkov

	* All packages except 'graph' has been refactored.

2003-02-20 03:32  pramsey

	* Fixed small bug in call to GeometryFactory (instantiate
	  PrecisionModel
	  with new)

2003-02-20 03:30  pramsey

	* GFactory: Move i outside of for loop. Needed to compile GNU
	  CListFactory: Add newline to end of file.

2003-02-20 00:10  ybychkov

	* Geom and Operation (including Relate) packages are updated.

2003-02-17 09:38  ybychkov

	* GEOM package fully updated & bugs fixed.

2003-02-17 00:40  ybychkov

	* GEOM package fully updated.

2003-02-16 22:52  ybychkov

	* GEOM package partially updated.

2003-02-12 21:09  pramsey

	* Added two files required by autoconf build process.

2003-02-12 20:51  pramsey

	* Commit build support files.

2003-02-12 19:11  pramsey

	* Change header installation path to $(prefix)/include/geos.

2003-02-12 06:50  pramsey

	* Added newlines to quiet g++ warnings.

2003-02-12 06:48  pramsey

	* Added newlines to ends of files to quiet g++ warnings.

2003-02-12 06:27  pramsey

	* Fix headers.

2003-02-12 06:26  pramsey

	* Changed headers.

2003-02-12 06:24  pramsey

	* Added return value.

2003-02-12 06:24  pramsey

	* Changed headers.

2003-02-12 06:19  pramsey

	* Make path to test file relative.

2003-02-12 06:18  pramsey

	* Change include reference syntax.

2003-02-12 06:07  pramsey

	* Remove NULL test.

2003-02-12 06:07  pramsey

	* Pass double to log().

2003-02-12 06:07  pramsey

	* Fixed main() return type.

2003-02-12 06:04  pramsey

	* Remove old library references.

2003-02-12 05:58  pramsey

	* Added stdio reference and newline at end.

2003-02-12 00:58  pramsey

	* Added all JTS test cases to the file.

2003-02-11 23:54  pramsey

	* Added support for new cpp files.

2003-02-11 23:33  ybychkov

	* Some bugs fixed.

2003-02-11 20:24  ybychkov

	* Small changes in PointCoordinateList and EdgeEndStar.

2003-02-11 19:01  mbdavis

	* fixed duplicate for loop index

2003-02-05 08:14  ybychkov

	* Second pass of CoordinateList interface migration.

2003-01-27 08:04  ybychkov

	* First pass of CoordinateList interface replacement.

2003-01-27 07:56  ybychkov

	* First pass of CoordinateList interface replacement.

2003-01-27 07:26  ybychkov

	* First pass of CoordinateList interface replacement.

2002-12-02 09:48  ybychkov

	* More performance updates.

2002-11-24 10:48  ybychkov

	* Some performance improvements.

2002-11-14 23:43  pramsey

	* Build support for the bigtest programs.

2002-11-08 19:49  ybychkov

	* Preformance is drastically improved

2002-11-05 23:13  ybychkov

	* Code for generating large tests added.

2002-10-31 07:37  ybychkov

	* XML tester is less fragile now.

2002-10-30 21:59  pramsey

	* Added configure support files for building w/o automake/autoconf

2002-10-30 21:58  pramsey

	* Small changes to make autoconf happy.

2002-10-30 20:04  pramsey

	* Edited test file to not crash XMLTester

2002-10-30 19:54  pramsey

	* New build changes necessary to build under Linux GNU.

2002-10-23 02:21  nvine

	* GNU portability changes

2002-10-17 07:12  ybychkov

	* All test cases now work. Some are still too slow.

2002-10-06 09:56  ybychkov

	* Relate() is almost debugged.

2002-09-12 14:08  fvilla

	* Add makefile support for new files and dir

2002-09-12 01:27  ybychkov

	* Relate is finished,but doesn't work yet.

2002-09-10 13:46  fvilla

	* Added operation/Makefiles

2002-09-06 20:18  ybychkov

	* A lot of changes: Code is brought to version 1.2 of JTS.
	  Compilable part of Operation added.

2002-09-05 18:32  fvilla

	* Fixed version numbering. Whenever version numbers are bumped up
	  the
	  change should be reflected in the AC_INIT_AUTOMAKE macro in
	  configure.in.
	  I've put it at 0.0.1 - should be changed as appropriate. The
	  version is
	  #define'd for code being compiled as GEOS_VERSION.

2002-09-03 16:04  pramsey

	* Changed reference to 'libgeom' to 'libgeos'

2002-09-03 13:53  fvilla

	* * Add automake/autoconf support for one-lib compilation
	  
	  * add libtool support for shared libraries.
	  --enable-shared={yes|no} and
	  --enable-static={yes|no} control static and shared lib
	  generation.
	  
	  * Makefile.in and configure files added to cvs (for users without
	  automake)
	  
	  * add dir macros/ with a GEOS_INIT macro to be used in
	  configure.in
	  of other packages using geos (not used by geos itself)
	  
	  * add dir tools/ with geos-config script
	  
	  * the makefile in source/geom is the only one that generates a
	  library - all others have the source files in EXTRA_DIST only
	  
	  * small glitch: 'make dist' will give errors trying to add the
	  source files non local to source/geom to the archive using
	  relative
	  paths. Does not have consequences other than the error messages -
	  will
	  see if I can fix this. In general the one-lib, complex-tree
	  solution is not
	  easy to work with in automake.

2002-09-01 18:08  pramsey

	* Minor portability changes.

2002-09-01 17:53  pramsey

	* Changes to support algorithm directory in build structure.

2002-09-01 17:51  pramsey

	* GNU compatibility fixes, changing __min/__max to min/max, adding
	  stdio.h where needed, small syntax adjustments, newlines at
	  end of files.

2002-08-30 18:33  pramsey

	* Added LGPL licence text.

2002-08-30 18:30  pramsey

	* Changed name of authors file as requested by autoconf.

2002-08-30 18:28  pramsey

	* Removed --force-missing which did not work for my version of
	  autoconf

2002-08-30 18:16  pramsey

	* Added cvs ignore files.

2002-08-30 18:15  pramsey

	* Added the testing files back into their new subdirectory.

2002-08-30 18:15  pramsey

	* Added GNU autoconf support files submitted by Norman Vine. Moved
	  test
	  files to a new subdirectory.

2002-08-30 15:52  ybychkov

	* 'algorithm' is almost complete

2002-08-22 09:23  ybychkov

	* 'graph/index' finished. Some .h changes.

2002-08-21 05:49  ybychkov

	* Some changes in 'graph'

2002-08-20 21:08  ybychkov

	* Changed consts to enums

2002-08-14 07:00  ybychkov

	* New structure of source.

2002-07-11 07:57  ybychkov

	* Assert and some graph classes

2002-07-03 05:24  ybychkov

	* started XML tester

2002-07-02 06:41  ybychkov

	* 'io' and SimpleTester done

2002-06-27 02:50  ybychkov

	* 'io' is almost done

2002-06-26 09:10  ybychkov

	* Some 'io' classes done.

2002-06-21 07:13  ybychkov

	* 'geos': first pass done. Some external dependencies and polishing
	  left.

2002-06-20 08:58  ybychkov

	* Only Geometry.java left

2002-06-19 06:29  ybychkov

	* 'geom' mostly done.

2002-06-14 07:46  ybychkov

	* 'geom' almost done

2002-06-12 01:47  ybychkov

	* LineString is 99% finished

2002-06-11 23:43  ybychkov

	* 'geom' package 70% done

2002-06-07 17:47  pramsey

	* Initial revision

2002-06-07 17:47  cvs

	* New repository initialized by cvs2svn.

